2007-09-03 [paul]	3.0.0

	* NEWS
	* README
	* RELEASE_NOTES
		3.0.0 released

2007-09-03 [paul]	2.10.0cvs191

	* po/bg.po
	* po/ca.po
	* po/de.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/it.po
	* po/pl.po
	* po/pt_BR.po
	* po/ru.po
	* po/sk.po
	* po/zh_CN.po
		updated by Yasen Pramatarov, Miquel Oliete, Stephan
		Sachse, Flammie Pirinen, Fabien Vantard, Pader Rezso,
		Andrea Spadaccini, Emil Nowak, Frederico Goncalves
		Guimaraes, Pavlo Bohmat, Andrej Kacian, and Ralph Young

2007-09-02 [colin]	2.10.0cvs190

	* src/edittags.c
	* src/common/tags.c
		Prevent empty or white-space tags

2007-09-01 [colin]	2.10.0cvs189

	* src/main.c
		Fix double-reading of accounts list when
		the wizard has been run due to no accounts
	* src/mainwindow.c
		Fix sensitivity of a menu item in case 
		there's no account

2007-09-01 [wwp]	2.10.0cvs188

	* src/wizard.c
		Fix wizard crash when Mailbox dir already exists
		(thanks to Colin).

2007-08-31 [colin]	2.10.0cvs187

	* src/etpan/imap-thread.c
		Fix unwanted creation of 
		libetpan's stream dump file
	* src/compose.c
		Fix coloring of pastes as quotation
	* src/summaryview.c
		Maemo: Fix opening of mails from keypad
		in Sent folders
	* src/addressbook.c
	* src/folderview.c
	* src/image_viewer.c
	* src/mimeview.c
	* src/gtk/prefswindow.c
		Maemo: Fix adjustments changes 

2007-08-30 [colin]	2.10.0cvs186

	* src/folderview.c
		Don't opened selected folder when clicking
		on white space
	* src/mainwindow.c
		Maemo: Make Esc close messageviews
	* src/messageview.c
		Maemo: Fix message scrolling to the end on 
		opening
		Maemo: Fix reopening same message
	* src/gtk/prefswindow.c
		Maemo: try to fix scrollbar. Doesn't work,
		it seems as if gtk_adjustment_set_value was
		a noop.

2007-08-30 [colin]	2.10.0cvs185

	* src/compose.c
	* src/folderview.c
	* src/main.c
	* src/prefs_matcher.c
	* src/prefs_template.c
	* src/quote_fmt.c
	* src/send_message.c
	* src/toolbar.c
	* src/gtk/gtkaspell.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/clamav/clamav_plugin_gtk.c
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		Fix all potential misuses of format-string functions

2007-08-30 [wwp]	2.10.0cvs184

	* src/prefs_template.c
		Fix a leak.

2007-08-29 [colin]	2.10.0cvs183

	* src/plugins/trayicon/trayicon.c
		Fix leak of hooks in case of error,
		thanks to Holger Berndt

2007-08-28 [colin]	2.10.0cvs182

	* src/mainwindow.c
		Don't use current folder settings when
		composing from the compose button's
		account selector

2007-08-28 [colin]	2.10.0cvs181

	* src/quote_fmt_parse.y
		Fix cursor offset when quote contains UTF-8
		chars

2007-08-28 [colin]	2.10.0cvs180

	* src/compose.c
	* src/compose.h
		Fix signature replacement when it's been wrapped

2007-08-27 [colin]	2.10.0cvs179

	* src/summaryview.c
		Fix indentation

2007-08-27 [colin]	2.10.0cvs178

	* src/summaryview.c
		Fix Quicksearch's Sticky mode

2007-08-27 [colin]	2.10.0cvs177

	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/imap_gtk.c
	* src/mh_gtk.c
		Fix loss of subfolders properties when
		renaming a folder

2007-08-26 [wwp]	2.10.0cvs176

	* src/alertpanel.c
	* src/messageview.c
	* src/prefs_actions.c
		Revert parts of 2.10.0cvs174: g_markup_printf_escaped()
		will have to be used when necessary *before* calling
		alertpanel functions.

2007-08-25 [paul]	2.10.0cvs175

	* src/prefs_actions.c
		workaround gettext problem marking
		string as c-format when it's not

2007-08-25 [wwp]	2.10.0cvs174

	* src/alertpanel.c
	* src/messageview.c
	* src/prefs_actions.c
		Call the pango markup escape function right ince in alertpanel_create
		instead of everywhere (reverts some parts of 2.10.0cvs123 and
		2.10.0cvs158).

	* src/common/log.c
		Fix a crash due to a misuse of g_print(), encountered when the string
		passed to g_print was containing printf substitution symbols.

2007-08-25 [paul]	2.10.0cvs173

	* src/common/log.c
		fix a segfault when refreshing RSSyl feeds

2007-08-25 [paul]	2.10.0cvs172

	* src/gtk/icon_legend.c
		add watchthread.xpm

2007-08-25 [paul]	2.10.0cvs171

	* src/Makefile.am
	* src/stock_pixmap.c
	* src/pixmaps/insert_file.xpm
		add a new pixmap instead of re-using
		paste.xpm. (easier for icon theme authors)

2007-08-24 [holger]	2.10.0cvs170

	* src/plugins/trayicon/trayicon.c
		The same fix for another hook id.

2007-08-24 [holger]	2.10.0cvs169

	* src/plugins/trayicon/trayicon.c
		Micro-fix: Do the error checking for
		the right hook id.

2007-08-24 [paul]	2.10.0cvs168

	* src/folder.h
		fix typo causing compiler warning

2007-08-24 [paul]	2.10.0cvs167

	* README
		put back the correct version of this file also

2007-08-24 [colin]	2.10.0cvs166

	* src/send_message.c
		Use progress bar when sending messages

2007-08-24 [paul]	2.10.0cvs165

	* Makefile.am
		oops! if i'm quick no-one will notice
		(put back the proper file)

2007-08-24 [paul]	2.10.0cvs164

	* AUTHORS
	* Makefile.am
	* README
	* src/gtk/authors.h
	* tools/Makefile.am
	* tools/README
	* tools/mew2claws-mail.pl
		add new script that imports a Mew address book
		submitted by Jerome Lelong

2007-08-24 [paul]	2.10.0cvs163

	* manual/plugins.xml
		remove the obsolete plugins, add the
		missing plugins, including the forthcoming
		SpamReport plugin

2007-08-24 [paul]	2.10.0cvs162

	* manual/advanced.xml
		add info about the hidden emphasis_color option
	* manual/keyboard.xml
		correct the info about hotkeys
		wrap the long lines

2007-08-24 [paul]	2.10.0cvs161

	* src/folderview.c
		add mnemonic to 'Run procesing rules'

2007-08-24 [paul]	2.10.0cvs160

	* src/account.c
	* src/folder.c
	* src/folder.h
		use suitable defaults for outbox,
		queue, drafts and trash folders

2007-08-24 [wwp]	2.10.0cvs159

	* src/folderview.c
		Update menu item sensitivity if necessary (or we get a
		gtk critical message).

2007-08-23 [wwp]	2.10.0cvs158

	* src/action.c
	* src/prefs_actions.c
		Allow literal % chars in action commands (use %%).
		Add a missing p++ to the action parser in action_get_type(),
		which was missing it, even if it was neutral.
		Fix a pango markup warning at runtime.

2007-08-23 [wwp]	2.10.0cvs157

	* src/addressbook.c
		Contacts are now locale-aware sorted in the address book
		(LC_COLLATE matters here).
		Fix missing table initializers.

2007-08-23 [colin]	2.10.0cvs156

	* src/imap.c
		Check scan_required on dest folder when copying

2007-08-23 [colin]	2.10.0cvs155

	* src/imap.c
		Fix scanning when folder was empty

2007-08-22 [colin]	2.10.0cvs154

	* src/msgcache.c
		Don't g_warning when g_try_malloc fails(), or it makes
		things worse as g_log() allocates. Fixes bug 1290,
		'Claws Mail crashes if too little memory when 
		rebuilding folder tree'

2007-08-22 [colin]	2.10.0cvs153

	* src/inc.c
		Fix format string vulnerability, thanks to
		Ulf Harnhammar, Secunia Research

2007-08-22 [colin]	2.10.0cvs152

	* src/ldapserver.c
		Set tv_usec too

2007-08-22 [wwp]	2.10.0cvs151

	* src/ldapquery.c
		Few better null-ptr checks.

2007-08-22 [colin]	2.10.0cvs150

	* src/editldap.c
	* src/editldap_basedn.c
	* src/ldapquery.c
	* src/ldapserver.c
	* src/ldapserver.h
	* src/ldapupdate.c
	* src/ldaputil.c
	* src/ldaputil.h
		Fix ldap timeouts

2007-08-22 [colin]	2.10.0cvs149

	* src/ldapquery.c
		Finish previous fix

2007-08-22 [colin]	2.10.0cvs148

	* src/ldapquery.c
		Fix wrong assertions

2007-08-22 [colin]	2.10.0cvs147

	* src/ldaputil.c
		Fix test (set ldap v3 if bindDN is set or TLS is set)

2007-08-22 [colin]	2.10.0cvs146

	* src/editldap.c
	* src/ldaputil.c
		Fix wrong "Connected successfully to server". Connection only succeeds if
		we can get the base DN.

2007-08-21 [wwp]	2.10.0cvs145

	* src/browseldap.c
	* src/editldap.c
	* src/ldapctrl.c
	* src/ldapquery.c
	* src/ldapserver.c
	* src/ldapupdate.c
	* src/ldaputil.c
		More sanity checks in ldap functions.

2007-08-21 [wwp]	2.10.0cvs144

	* src/prefs_account.c
		Don't return a value in a void function().

2007-08-21 [paul]	2.10.0cvs143

	* src/messageview.c
		add check for ftp: to messageview_list_urls()

2007-08-21 [colin]	2.10.0cvs142

	* src/editldap.c
	* src/ldapctrl.c
	* src/ldapctrl.h
	* src/ldapquery.c
	* src/ldapupdate.c
		Fix bug 1293, 'LDAP address book not working'
		Search only on specified fields, but fetch 
		every field possible. People will have to 
		reset the searched Attributes in their LDAP
		servers properties.

2007-08-21 [wwp]	2.10.0cvs141

	* src/addr_compl.c
	* src/addrbook.c
	* src/addrcache.c
	* src/addrcindex.c
	* src/addressbook.c
	* src/addrindex.c
	* src/browseldap.c
	* src/crash.c
	* src/editaddress_other_attributes_ldap.c
	* src/exporthtml.c
	* src/folder.c
	* src/folderview.c
	* src/imap.c
	* src/jpilot.c
	* src/ldapserver.c
	* src/ldapupdate.c
	* src/ldif.c
	* src/main.c
	* src/mainwindow.c
	* src/matcher.c
	* src/mh.c
	* src/msgcache.c
	* src/mutt.c
	* src/pine.c
	* src/pop.c
	* src/prefs_customheader.c
	* src/prefs_msg_colors.c
	* src/procmime.c
	* src/textview.c
	* src/vcard.c
	* src/wizard.c
	* src/common/log.c
	* src/common/socket.c
	* src/common/ssl_certificate.c
	* src/common/utils.c
	* src/common/utils.h
	* src/gtk/description_window.c
	* src/plugins/demo/demo.c
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/spamassassin/libspamc.c
		Make sure we use glib functions to send text messages (information,
		debug, warning, errors) to stdout/stderr - no more direct puts
		fputs printf fprintf to stdout/stderr when it can be done using
		g_log*() and g_print/g_printerr. Doing this, we make sure every
		stdout/stderr message is saved to log in Windows.


2007-08-21 [wwp]	2.10.0cvs140

	* src/main.c
	* src/common/utils.h
		Route glib's stdout/stderr messages to a log file (Windows only),
		instead of loosing them.

2007-08-21 [paul]	2.10.0cvs139

	* src/mainwindow.c
		replace deprecated g_strncasecmp()
	* src/messageview.c
		fix 'List URLS'

2007-08-20 [ticho]	2.10.0cvs138

	* src/account.c
	* src/prefs_account.h
		Copy all account preferences in account_clone() - some
		were missing.
	* src/prefs_account.c
		Handle empty privacy system combobox gracefully (warning
		instead of a crash).

2007-08-20 [colin]	2.10.0cvs137

	* src/ldapctrl.c
		Fix a leak

2007-08-20 [paul]	2.10.0cvs136

	* src/browseldap.c
	* src/editldap.c
	* src/ldapctrl.c
	* src/ldapquery.c
	* src/ldapquery.h
	* src/ldapserver.c
	* src/ldaputil.c
		add debug_prints
		patch by Michael Rasmussen

2007-08-19 [colin]	2.10.0cvs135

	* src/imap.c
		Fix previous commit. Sensitivity update is needed
		for "Cancel receiving". However when batching we
		don't need to do it for every message flag change,
		just once at the start and once at the end.

2007-08-19 [colin]	2.10.0cvs134

	* src/imap.c
		Remove useless menu updates on session lock/unlock

2007-08-19 [colin]	2.10.0cvs133

	* src/etpan/imap-thread.c
		Make all fetch logs less verbose

2007-08-19 [paul]	2.10.0cvs132

	* src/foldersel.c
	* src/folderview.c
	* src/summaryview.c
		fix bug 1286, 'Can't move a folder into a "Folders
		Only" folder'

2007-08-18 [ticho]	2.10.0cvs131

	* src/editaddress_other_attributes_ldap.c
		Converted option menu for other ldap attributes to GtkComboBox.

2007-08-18 [colin]	2.10.0cvs130

	* src/compose.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_send.c
	* src/send_message.c
		Revert 'send_dialog_mode' meaning to 
		'send_dialog_invisible', so that the 
		new checkbox doesn't change the 
		existing behaviour.

2007-08-18 [paul]	2.10.0cvs129

	* src/summaryview.c
		add missing menu update

2007-08-17 [colin]	2.10.0cvs128

	* src/folder.c
		Set batching after getting flags - maybe fixes
		bug 1292, 'CM crashes on writing mail'

2007-08-16 [ticho]	2.10.0cvs127

	* src/prefs_send.c
		Convert two GtkOptionMenu widgets to new GtkComboBox.
	* src/gtk/combobox.h
	* src/gtk/gtkutils.c
		Allow NULL for GtkComboBox menuitem label, rendering such
		items as row separators.

2007-08-16 [paul]	2.10.0cvs126

	* src/plugins/trayicon/trayicon.c
		remove wrongly used gettextisation

2007-08-15 [ticho]	2.10.0cvs125

	* src/importldif.c
		Fixed a runtime warning where an attempt to pack an
		already packed GtkLabel was made.

2007-08-15 [ticho]	2.10.0cvs124

	* src/prefs_compose_writing.c
		Convert the insert-or-attach-dragged-files GtkOptionMenu
		into GtkComboBox.

2007-08-14 [ticho]	2.10.0cvs123

	* src/messageview.c
	* src/gtk/gtkutils.c
		Changed return receipt account selector to GtkComboBox.
		Fixed a runtime warning where GTK tried to parse
		"name <email@address" as a Pango markup in an alertpanel label.

2007-08-14 [ticho]	2.10.0cvs122

	* src/prefs_logging.c
		Changed GtkOptionMenu in logging preferences to GtkComboBox.

2007-08-14 [wwp]	2.10.0cvs121

	* tools/Makefile.am
	* tools/README
	* tools/popfile-link.sh
		Added a new tool: POPFile helper, to open
		selected messages in POPFile control center,
		in order to change the messages' status.

2007-08-14 [ticho]	2.10.0cvs120

	* src/compose.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_send.c
	* src/send_message.c
		Change "Show send dialog" optionmenu to a checkbutton.
	* src/prefs_receive.c
		Migrate "Show receive dialog" GtkOptionMenu to GtkComboBox.

2007-08-13 [wwp]	2.10.0cvs119

	* src/addr_compl.c
	* src/addressbook.c
	* src/addrindex.c
	* src/compose.c
	* src/filtering.c
	* src/folderview.c
	* src/inc.c
	* src/matcher.c
	* src/mh.c
	* src/partial_download.c
	* src/prefs_gtk.c
	* src/procmsg.c
	* src/stock_pixmap.c
	* src/summaryview.c
	* src/common/utils.c
	* src/gtk/gtkaspell.c
	* src/gtk/menu.c
		Make sure we never pass NULL pointers for %s substitutions
		(prevent from crashing in Windows).

2007-08-13 [wwp]	2.10.0cvs118

	* src/msgcache.c
		Re-enable mmap_reads in Windows with some missing
		CloseHandle of mapping objects, thanks to
		Marcus Brinkmann.

2007-08-13 [paul]	2.10.0cvs117

	* src/common/utils.c
		fix bug 1287, 'Compile time problem on Solaris
		(nexenta gnu/Solaris) utils.c'
		Thanks to Piotr Chrzczonowicz

2007-08-12 [wwp]	2.10.0cvs116

	* src/plugins/pgpcore/prefs_gpg.c
		Don't try to unset a GPG_AGENT_INFO that was not
		set (and don't use a NULL string in Windows, it was
		crashing with --debug if GPG_AGENT_INFO was not set).

2007-08-12 [wwp]	2.10.0cvs115

	* src/privacy.h
		Make gcc type-check arguments passed to privacy_set_error().

2007-08-12 [ticho]	2.10.0cvs114

	* src/prefs_folder_item.c
		Make sure that folder default account combobox always has some
		account preselected.
	* src/gtk/combobox.c
		Handle empty combobox gracefully (warning instead of crash).

2007-08-12 [ticho]	2.10.0cvs114

	* src/prefs_folder_item.c
		Make sure that folder default account combobox is not empty.
	* src/gtk/combobox.c
		Handle empty combobox gracefully (warning instead of crash).

2007-08-11 [paul]	2.10.0cvs113

	* src/addrgather.c
	* src/folderview.c
		use 'subfolder' instead of 'sub-folder', matching
		everywhere else the term is used
	* src/imap_gtk.c
		fix engrish

2007-08-10 [wwp]	2.10.0cvs112

	* src/msgcache.c
		Disable mmap reads in Windows only (at least temporarily), they
		prevent from renaming/removing target cache files.

2007-08-10 [paul]

	3.0.0-rc2 released

2007-08-10 [wwp]	2.10.0cvs111

	* src/msgcache.c
		fix unpredictable crashes in Windows due to broken
		cache/mark/tags files writting (file were opened for
		writing in text mode).

	* src/recv.c
		use gettimeofday() from w32lib.h on Windows.

2007-08-10 [colin]	2.10.0cvs110

	* src/imap.c
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
		Better IMAP scanning (NOOP instead of CLOSE/SELECT)

2007-08-09 [colin]	2.10.0cvs109

	* src/editldap.c
		Fix port being reset to 636 on SSL
	* src/folder.c
		Fix folder_item_get_msg_num_by_file
		on drafts/queue folders

2007-08-09 [wwp]	2.10.0cvs108

	* src/folder.c
		Fix tags DB path in Windows (thanks to Colin): '/' is a valid
		path divider in Windows, but Glib uses '\' as G_DIR_SEPARATOR.


2007-08-09 [colin]	2.10.0cvs107

	* src/folderview.c
	* src/summaryview.c
	* src/gtk/prefswindow.c
		A few Maemo layout fixes

2007-08-09 [paul]	2.10.0cvs106

	* src/prefs_account.c
		remove the hyphen from plug-ins to
		match everywhere else

2007-08-08 [wwp]	2.10.0cvs105

	* src/prefs_folder_item.c
		Fix an extraneous stealth ^L char.

2007-08-08 [wwp]	2.10.0cvs104

	* src/prefs_folder_item.c
		Better fix, group variables declarations (USE_ASPELL).

2007-08-08 [wwp]	2.10.0cvs103

	* src/prefs_folder_item.c
		Fix compilation w/ USE_ASPELL set (broken
		by 2.10.0cvs102).

2007-08-08 [ticho]	2.10.0cvs102

	* src/prefs_folder_item.c
		Migrate two deprecated GtkOptionMenu widgets to GtkComboBox.

2007-08-08 [colin]	2.10.0cvs101

	* src/imap.c
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
		Close selected mailbox before doing
		status on it.

2007-08-08 [colin]	2.10.0cvs100

	* src/html.c
		Complete symbol table, thanks to wwp.
		Fixes bug 1284, 'The html -> text 
		converter ignores entities'
	* src/msgcache.c
		Fix possible fd leak

2007-08-08 [colin]	2.10.0cvs99

	* src/imap.c
		Better way to fetch UIDs on non-UIDPLUS servers

2007-08-07 [colin]	2.10.0cvs98

	* src/imap.c
		fix bug 1275, 'auto-saved draft messages not 
		always being removed'; Also, make multiple
		copy (in the same account) faster by matching
		source/destination message UIDs.
	* src/messageview.c
		Don't try to reshow deleted mail
	* src/msgcache.c
		Fix leak on error path

2007-08-07 [wwp]	2.10.0cvs97

	* manual/account.xml
	* manual/advanced.xml
	* manual/fr/account.xml
	* manual/fr/advanced.xml
		Updated the reference manual and the French translation to
		reflect 2.10.0cvs84: enable running folder Processing
		rules on demand.

2007-08-06 [wwp]	2.10.0cvs96

	* src/prefs_common.c
	* src/prefs_common.h
	* src/textview.c
		Allow changing the emphasis color used to highlight
		the newsreader/x-mailer header value when it matches
		our preferred mail agent (hidden pref 'emphasis_col' added
		to clawsrc).

2007-08-06 [colin]	2.10.0cvs95

	* src/compose.c
	* src/compose.h
		Re-commit 2.10.0cvs86, with a protection
		against Pango bug. Also, try to fix 
		bug 1275, 'auto-saved draft messages not 
		always being removed'

2007-08-06 [wwp]	2.10.0cvs94

	* src/gtk/quicksearch.c
		Replace deprecated GtkCombo with its modern equivalen GtkComboBox.

2007-08-06 [ticho]	2.10.0cvs93

	* src/prefs_account.c
	* src/gtk/combobox.c
		Use GtkComboBox instead of GtkOptionMenu for privacy system
		selection in account preferences.

2007-08-06 [wwp]	2.10.0cvs92

	* src/plugins/pgpcore/plugin.def
		Apply one more chunk from gpg4win's 03-w32-port patch.

2007-08-05 [colin]	2.10.0cvs91

	* src/compose.c
	* src/compose.h
		reverting buggy patch for now

2007-08-05 [colin]	2.10.0cvs90

	* src/folder.c
		Fix slowdown

2007-08-04 [colin]	2.10.0cvs89

	* src/prefs_summaries.c
	* src/summary_search.c
		Replace deprecated widgets. Patch by
		Andrej.

2007-08-04 [colin]	2.10.0cvs88

	* src/mh.c
		Refresh GUI only every 2000 mails on mh_get_last_num
		This is fast (readdir) and done only once per 
		session/folder

2007-08-03 [colin]	2.10.0cvs87

	* src/prefs_account.c
	* src/gtk/combobox.h
	* src/gtk/gtkutils.c
		Fix a deprecated widget. Patch by
		Andrej

2007-08-03 [colin]	2.10.0cvs86

	* src/compose.c
	* src/compose.h
		Make colorisation and wrapping algorithms
		faster. Fixes bug 1246, 'compose becomes 
		increasingly slow replying to complex emails'

2007-08-03 [paul]	2.10.0cvs85

	* src/mh.c
		keep the window painted

2007-08-02 [paul]	2.10.0cvs84

	* src/folderview.c
	* src/mainwindow.c
	* src/mainwindow.h
		enable running folder Processing
		rules on demand

2007-08-02 [paul]	2.10.0cvs83

	* src/textview.c
		speed up/clean up rendering of larger
		msgs
		Thanks to Colin

2007-08-01 [paul]	2.10.0cvs82

	* src/mainwindow.h
		clean up cruft
	* src/toolbar.c
		change default toolbar layout on maemo
	* src/pixmaps/close.xpm
		make the red cross a grey cross
	* src/pixmaps/jpilot.xpm
		make icon smaller so it fits better

2007-07-31 [paul]	2.10.0cvs81

	* src/setup.c
	* src/gtk/gtkutils.c
		fix crash on maemo on first launch

2007-07-30 [paul]	2.10.0cvs80

	* src/prefs_matcher.c
		specify the units of age and size

2007-07-30 [paul]	2.10.0cvs79

	* src/main.c
		Fix IMAP timeout setting

2007-07-30 [colin]	2.10.0cvs78

	* src/prefs_account.c
		Fix a deprecated widget. Patch by
		Andrej

2007-07-27 [paul]	2.10.0cvs77

	* src/matcher_parser_parse.y
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
		these changes forgotten in cvs74's
		'watch thread' feature

2007-07-27 [paul]	2.10.0cvs76

	* src/compose.c
		fix potential crasher
		thanks to Colin

2007-07-27 [paul]	2.10.0cvs75

	* src/mainwindow.c
	* src/manual.c
	* src/manual.h
	* src/gtk/gtkutils.c
		make mainwindow's /Help/Manual point to the
		remote copy if the local copy doesn't exist

2007-07-27 [paul]	2.10.0cvs74

	* src/Makefile.am
	* src/filtering.c
	* src/folder.c
	* src/mainwindow.c
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser_parse.y
	* src/procmsg.c
	* src/procmsg.h
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/summaryview.c
	* src/summaryview.h
	* src/toolbar.c
	* src/toolbar.h
	* src/pixmaps/watchthread.xpm
		add 'watch thread' feature

2007-07-27 [paul]	2.10.0cvs73

	* src/prefs_folder_item.c
		adjust labels, add tooltips

2007-07-27 [colin]	2.10.0cvs72

	* src/summaryview.c
		Maemo: Remove less used menu items

2007-07-26 [colin]	2.10.0cvs71

	* src/messageview.c
		Maemo: destroy messageview after trashing mail.
		Maybe should be done on X11 too

2007-07-26 [colin]	2.10.0cvs70

	* src/folderview.c
	* src/mainwindow.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/summaryview.c
		Add View/Show or Hide/Column headers

2007-07-26 [colin]	2.10.0cvs69

	* src/procmime.c
		Fix unwanted output

2007-07-26 [colin]	2.10.0cvs68

	* src/ldapserver.c
		Fix possible crash on cache invalidation
	* src/compose.c
	* src/procmime.c
	* src/procmime.h
	* src/quote_fmt_parse.y
		Make replying to mails with big attachments
		much faster. Fixes bug 1224, 'The process of 
		Replying to emails with large attachments 
		seems unreasonably long...'

2007-07-26 [colin]	2.10.0cvs67

	* src/mimeview.c
	* src/matcher.c
	* src/common/ssl.c
		Fix threads use on BSDs

2007-07-26 [paul]	2.10.0cvs66

	* src/gtk/prefswindow.c
		fix account prefs breakage
		thanks to Colin

2007-07-26 [paul]	2.10.0cvs65

	* configure.ac
		standardise ./configure --help messages

2007-07-26 [colin]	2.10.0cvs64

	* src/addressbook.c
	* src/editaddress.c
		Fix two vCard-related crashes

2007-07-25 [colin]	2.10.0cvs63

	* src/inc.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_receive.c
		Maemo: Add a better way to notify of
		new mails
	* src/mainwindow.c
	* src/statusbar.h
	* src/summaryview.c
	* src/toolbar.c
		Maemo: Various layout fixes
	* src/gtk/prefswindow.c
		Maemo: Better prefs layout

2007-07-25 [paul]	2.10.0cvs62

	* src/textview.c
		fix the layout on maemo
		thanks to Colin

2007-07-25 [iwkse]	2.10.0cvs61

	* src/summaryview.c
		add 'o' shortcut on summaryview

2007-07-25 [iwkse]	2.10.0cvs60

	* src/textview.c
		fix o shortcut

2007-07-24 [colin]	2.10.0cvs59

	* src/mh.c
		Fix missing timestamp update on source
		folder when moving
	* src/textview.c
	* src/textview.h
		Better text layout on part's choices

2007-07-23 [colin]	2.10.0cvs58

	* src/mimeview.c
	* src/textview.c
		Maemo: Automatically choose the correct application
		to open parts
	* src/gtk/quicksearch.c
		Make search run on GDK_KP_Enter too

2007-07-23 [wwp]	2.10.0cvs57

	* src/quote_fmt_lex.l
		Revert accidentaly committed lines (account_sig) in
		2.10.0cvs56.

2007-07-23 [wwp]	2.10.0cvs56

	* src/quote_fmt_lex.l
		Fix typos around long form expressions in the quote lexer.

2007-07-23 [paul]

	3.0.0-rc1 released

2007-07-23 [colin]	2.10.0cvs55

	* src/addr_compl.c
		Fix auto-completion on Maemo

2007-07-23 [colin]	2.10.0cvs54

	* src/statusbar.c
		Maemo: Fix sticking statusbars

2007-07-22 [colin]	2.10.0cvs53

	* src/main.c
		Maemo: Fix the strange "top_application" info
		at startup. We should do something when 
		receiving such a message.

2007-07-20 [paul]	2.10.0cvs52

	* src/news_gtk.c
		add missing #include "statusbar.h"

2007-07-20 [colin]	2.10.0cvs51

	* src/folder.c
	* src/folder.h
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/folderview.c
	* src/imap.c
	* src/imap_gtk.c
	* src/imap_gtk.h
	* src/news.c
	* src/news_gtk.c
	* src/news_gtk.h
	* src/prefs_folder_item.c
		Implement age-based caching: allow to
		specify a threshold for the offline synchronisation
		feature, and whether old cached bodies should 
		be removed
	* src/toolbar.c
	* src/toolbar.h
		Fix label/tooltips
	* src/plugins/dillo_viewer/dillo_viewer.c
		Check that Dillo's installed

2007-07-20 [wwp]	2.10.0cvs50

	* src/mimeview.c
	* src/stock_pixmap.c
		Draw a frame around the selected mimeview part icon (instead of the
		shifted 'dancing' icon).

2007-07-20 [colin]	2.10.0cvs49

	* src/main.c
		Unref stuff even on error
	* src/wizard.c
		disconnect signals only at the very
		end of the wizard save.

2007-07-20 [colin]	2.10.0cvs48

	* src/mainwindow.c
	* src/messageview.c
	* src/toolbar.c
	* src/toolbar.h
		Fix random crashes while navigating
		(GTK_EVENTS_FLUSH)

2007-07-19 [colin]	2.10.0cvs47

	* configure.ac
	* src/main.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/wizard.c
	* src/common/defs.h
	* src/common/utils.c
		Maemo: add an easy way to store data (mails
		and IMAP/NNTP caches) on one of the SD cards,
		and protect against unmounts if needed

2007-07-19 [paul]	2.10.0cvs46

	* src/Makefile.am
	* src/stock_pixmap.c
	* src/gtk/about.c
	* src/pixmaps/claws-mail_logo-small.xpm
		implement a (slightly) different About
		dialog for maemo and add a small version
		of the logo for it
	* src/wizard.c
		use a scrolled window for wizard page 1
		on maemo

2007-07-19 [paul]	2.10.0cvs45

	* src/Makefile.am
		too soon for this line

2007-07-19 [paul]	2.10.0cvs44

	* src/Makefile.am
		fix build on n800

2007-07-19 [colin]	2.10.0cvs43

	* src/wizard.c
		Solve Mail/Mailbox name when specifying
		full /path/to/Mail.

2007-07-18 [colin]	2.10.0cvs42

	* src/inc.c
	* configure.ac
		Fix build on n770

2007-07-18 [colin]	2.10.0cvs41

	* src/inc.c
		Maemo: plug the online/offline system into
		maemo's interfaces to have Claws automatically
		switch according to the system status
	* src/statusbar.c
		Maemo: use HildonBanners to display status
		messages. Renders the main statusbar useless.

2007-07-18 [paul]	2.10.0cvs40

	* src/filtering.c
		fix screen blanking on moving/copying many msgs
	* src/folder.c
		fix processing progressbar and screen blanking
		during processing

2007-07-18 [paul]	2.10.0cvs39

	* src/messageview.c
		revert cvs37, breakage on maemo

2007-07-18 [paul]	2.10.0cvs38

	* src/gtk/gtkutils.c
		make sure we can still build with older GTK's

2007-07-18 [colin]	2.10.0cvs37

	* src/messageview.c
		Only hide the small layout's messageview, instead
		of destroying it when closing
	* src/gtk/gtkutils.c
		Use gtk_window_present_with_time to popup windows,
		it seems to make things better with modern WMs
		(actually focusing)

2007-07-17 [colin]	2.10.0cvs36

	* src/editaddress.c
		Simplify layout on Maemo
	* src/folder.c
		Fix possible crash
	* src/prefs_display_header.c
		Remove some headers by default on Maemo

2007-07-17 [paul]	2.10.0cvs35

	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_logging.c
	* src/common/log.c
		add options to stop/enable writing logs to disc

2007-07-17 [paul]	2.10.0cvs34

	* src/edittags.c
		fix some issues with the Apply tags window:
		- set search column (enables autocompl in the treeview)
		- apply tag from "New tag" if it existed
		- clears New tag entry when adding it with the button
		Thanks to Colin

2007-07-17 [paul]	2.10.0cvs33

	* src/edittags.c
		fix 'apply tags' dialogue weirdness

2007-07-16 [colin]	2.10.0cvs32

	* src/toolbar.c
		Fix double-loading of mails on Maemo

2007-07-16 [colin]	2.10.0cvs31

	* src/messageview.c
		Prevent double-loading of the same part under some
		conditions; hide statusbar on Maemo

2007-07-16 [colin]	2.10.0cvs30

	* src/edittags.c
	* src/edittags.h
	* src/mainwindow.c
	* src/summaryview.c
		Improve the tag interface - allow
		to set/unset tags from a special
		window.
	* src/gtk/gtkvscrollbutton.c
	* src/mimeview.c
	* src/mimeview.h
	* src/stock_pixmap.c
		Fix Mimeview's ugly hacks in the
		icon list. 

2007-07-16 [paul]	2.10.0cvs29

	* src/wizard.c
		rework dialog
	* src/gtk/icon_legend.c
		put it all in a scrolled window

2007-07-15 [colin]	2.10.0cvs28

	* src/mainwindow.c
		Maemo: force layout to be Small screen; the
		others don't make sense

2007-07-14 [colin]	2.10.0cvs27

	* src/mimeview.c
	* src/gtk/gtkvscrollbutton.c
		Maemo: Fix mimeview's buttons size

2007-07-14 [colin]	2.10.0cvs26

	* src/toolbar.c
		Fix the button workaround fix.
		(Use the correct variable)

2007-07-14 [colin]	2.10.0cvs25

	* src/mainwindow.c
	* src/toolbar.c
		Maemo: put the progress bar in the
		toolbar

2007-07-14 [colin]	2.10.0cvs24

	* src/prefs_common.c
		Maemo: hide statusbar by default
	* src/Makefile.am
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/toolbar.c
	* src/pixmaps/go_folders.xpm
		Maemo: Add a specific icon to go back to
		folder list

2007-07-14 [colin]	2.10.0cvs23

	* src/toolbar.c
		Don't set homogeneous finally

2007-07-14 [colin]	2.10.0cvs22

	* src/toolbar.c
		Fix button show/hide issues

2007-07-14 [colin]	2.10.0cvs21

	* src/toolbar.c
		Fix huge arrows
		Fix button workaround to be able to click
		if mouse was on button when it went un-
		sensitive.
		Revert previous commit, gtk_tool_item_set_homogeneous
		doesn't mean what it seems to mean ;-)

2007-07-14 [paul]	2.10.0cvs20

	* src/toolbar.c
		make homogeneous FALSE always

2007-07-13 [colin]	2.10.0cvs19

	* src/toolbar.c
	* src/toolbar.h
		Rework to fit the non-deprecated API
	* src/compose.c
	* src/folderview.c
	* src/mainwindow.c
	* src/messageview.c
	* src/summaryview.c
		Maemo layout changes. Better toolbars,
		removal of CTree headers. 

2007-07-13 [paul]	2.10.0cvs18

	* src/gtk/colorlabel.c
		fix bug 1261, '[DE] coloring messages in overview 
		keys are not localised'
		the string is now included in claws-mail.pot

2007-07-13 [colin]	2.10.0cvs17

	* src/summaryview.c
		Fix bug 1267, 'printing mutliple messages 
		opens one message-dialog after the other'
		Ask for confirmation when printing 10
		messages or more.

2007-07-11 [colin]	2.10.0cvs16

	* COPYING
	* README
	* autogen.sh
	* manual/claws-mail-manual.xml
	* manual/gpl.xml
	* manual/es/claws-mail-manual.xml
	* manual/es/gpl.xml
	* manual/fr/claws-mail-manual.xml
	* manual/fr/gpl.xml
	* manual/pl/gpl.xml
	* src/account.c
	* src/account.h
	* src/action.c
	* src/action.h
	* src/adbookbase.h
	* src/addr_compl.c
	* src/addr_compl.h
	* src/addrbook.c
	* src/addrbook.h
	* src/addrcache.c
	* src/addrcache.h
	* src/addrcindex.c
	* src/addrcindex.h
	* src/addrclip.c
	* src/addrclip.h
	* src/addrdefs.h
	* src/addressadd.c
	* src/addressadd.h
	* src/addressbook.c
	* src/addressbook.h
	* src/addressbook_foldersel.c
	* src/addressbook_foldersel.h
	* src/addressitem.h
	* src/addrgather.c
	* src/addrgather.h
	* src/addrharvest.c
	* src/addrharvest.h
	* src/addrindex.c
	* src/addrindex.h
	* src/addritem.c
	* src/addritem.h
	* src/addrquery.c
	* src/addrquery.h
	* src/addrselect.c
	* src/addrselect.h
	* src/alertpanel.c
	* src/alertpanel.h
	* src/browseldap.c
	* src/browseldap.h
	* src/codeconv.c
	* src/codeconv.h
	* src/compose.c
	* src/compose.h
	* src/crash.c
	* src/crash.h
	* src/customheader.c
	* src/customheader.h
	* src/displayheader.c
	* src/displayheader.h
	* src/editaddress.c
	* src/editaddress.h
	* src/editaddress_other_attributes_ldap.c
	* src/editaddress_other_attributes_ldap.h
	* src/editbook.c
	* src/editbook.h
	* src/editgroup.c
	* src/editgroup.h
	* src/editjpilot.c
	* src/editjpilot.h
	* src/editldap.c
	* src/editldap.h
	* src/editldap_basedn.c
	* src/editldap_basedn.h
	* src/edittags.c
	* src/edittags.h
	* src/editvcard.c
	* src/editvcard.h
	* src/enriched.c
	* src/enriched.h
	* src/exphtmldlg.c
	* src/exphtmldlg.h
	* src/expldifdlg.c
	* src/expldifdlg.h
	* src/export.c
	* src/export.h
	* src/exporthtml.c
	* src/exporthtml.h
	* src/exportldif.c
	* src/exportldif.h
	* src/filtering.c
	* src/filtering.h
	* src/folder.c
	* src/folder.h
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/foldersel.c
	* src/foldersel.h
	* src/folderutils.c
	* src/folderutils.h
	* src/folderview.c
	* src/folderview.h
	* src/gedit-print.c
	* src/gedit-print.h
	* src/grouplistdialog.c
	* src/grouplistdialog.h
	* src/headerview.c
	* src/headerview.h
	* src/html.c
	* src/html.h
	* src/image_viewer.c
	* src/image_viewer.h
	* src/imap.c
	* src/imap.h
	* src/imap_gtk.c
	* src/imap_gtk.h
	* src/import.c
	* src/import.h
	* src/importldif.c
	* src/importldif.h
	* src/importmutt.c
	* src/importmutt.h
	* src/importpine.c
	* src/importpine.h
	* src/inc.c
	* src/inc.h
	* src/jpilot.c
	* src/jpilot.h
	* src/ldapctrl.c
	* src/ldapctrl.h
	* src/ldaplocate.c
	* src/ldaplocate.h
	* src/ldapquery.c
	* src/ldapquery.h
	* src/ldapserver.c
	* src/ldapserver.h
	* src/ldapupdate.c
	* src/ldapupdate.h
	* src/ldaputil.c
	* src/ldaputil.h
	* src/ldif.c
	* src/ldif.h
	* src/localfolder.c
	* src/localfolder.h
	* src/main.c
	* src/main.h
	* src/mainwindow.c
	* src/mainwindow.h
	* src/manual.c
	* src/manual.h
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser.h
	* src/matcher_parser_lex.l
	* src/matcher_parser_parse.y
	* src/mbox.c
	* src/mbox.h
	* src/message_search.c
	* src/message_search.h
	* src/messageview.c
	* src/messageview.h
	* src/mh.c
	* src/mh.h
	* src/mh_gtk.c
	* src/mh_gtk.h
	* src/mimeview.c
	* src/mimeview.h
	* src/msgcache.c
	* src/msgcache.h
	* src/mutt.c
	* src/mutt.h
	* src/news.c
	* src/news.h
	* src/news_gtk.c
	* src/news_gtk.h
	* src/noticeview.c
	* src/noticeview.h
	* src/partial_download.c
	* src/partial_download.h
	* src/pine.c
	* src/pine.h
	* src/pop.c
	* src/pop.h
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_actions.c
	* src/prefs_actions.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_compose_writing.c
	* src/prefs_compose_writing.h
	* src/prefs_customheader.c
	* src/prefs_customheader.h
	* src/prefs_display_header.c
	* src/prefs_display_header.h
	* src/prefs_ext_prog.c
	* src/prefs_ext_prog.h
	* src/prefs_filtering.c
	* src/prefs_filtering.h
	* src/prefs_filtering_action.c
	* src/prefs_filtering_action.h
	* src/prefs_folder_column.c
	* src/prefs_folder_column.h
	* src/prefs_folder_item.c
	* src/prefs_folder_item.h
	* src/prefs_fonts.c
	* src/prefs_fonts.h
	* src/prefs_gtk.c
	* src/prefs_gtk.h
	* src/prefs_image_viewer.c
	* src/prefs_image_viewer.h
	* src/prefs_logging.c
	* src/prefs_logging.h
	* src/prefs_matcher.c
	* src/prefs_matcher.h
	* src/prefs_message.c
	* src/prefs_message.h
	* src/prefs_msg_colors.c
	* src/prefs_msg_colors.h
	* src/prefs_other.c
	* src/prefs_other.h
	* src/prefs_quote.c
	* src/prefs_quote.h
	* src/prefs_receive.c
	* src/prefs_receive.h
	* src/prefs_send.c
	* src/prefs_send.h
	* src/prefs_spelling.c
	* src/prefs_spelling.h
	* src/prefs_summaries.c
	* src/prefs_summaries.h
	* src/prefs_summary_column.c
	* src/prefs_summary_column.h
	* src/prefs_summary_open.c
	* src/prefs_summary_open.h
	* src/prefs_template.c
	* src/prefs_template.h
	* src/prefs_themes.c
	* src/prefs_themes.h
	* src/prefs_toolbar.c
	* src/prefs_toolbar.h
	* src/prefs_wrapping.c
	* src/prefs_wrapping.h
	* src/privacy.c
	* src/privacy.h
	* src/procheader.c
	* src/procheader.h
	* src/procmime.c
	* src/procmime.h
	* src/procmsg.c
	* src/procmsg.h
	* src/quote_fmt.c
	* src/quote_fmt_lex.l
	* src/quote_fmt_parse.y
	* src/recv.c
	* src/recv.h
	* src/remotefolder.c
	* src/remotefolder.h
	* src/send_message.c
	* src/send_message.h
	* src/setup.c
	* src/setup.h
	* src/simple-gettext.c
	* src/sourcewindow.c
	* src/sourcewindow.h
	* src/ssl_manager.c
	* src/ssl_manager.h
	* src/statusbar.c
	* src/statusbar.h
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/summary_search.c
	* src/summary_search.h
	* src/summaryview.c
	* src/summaryview.h
	* src/textview.c
	* src/textview.h
	* src/toolbar.c
	* src/toolbar.h
	* src/undo.c
	* src/undo.h
	* src/unmime.c
	* src/unmime.h
	* src/uri_opener.c
	* src/uri_opener.h
	* src/vcard.c
	* src/vcard.h
	* src/wizard.c
	* src/wizard.h
	* src/common/base64.c
	* src/common/base64.h
	* src/common/claws.c
	* src/common/claws.h
	* src/common/defs.h
	* src/common/fnmatch.c
	* src/common/fnmatch.h
	* src/common/fnmatch_loop.c
	* src/common/hooks.c
	* src/common/hooks.h
	* src/common/log.c
	* src/common/log.h
	* src/common/md5.c
	* src/common/md5.h
	* src/common/mgutils.c
	* src/common/mgutils.h
	* src/common/nntp.c
	* src/common/nntp.h
	* src/common/passcrypt.c
	* src/common/passcrypt.h.in
	* src/common/plugin.c
	* src/common/plugin.h
	* src/common/prefs.c
	* src/common/prefs.h
	* src/common/progressindicator.c
	* src/common/progressindicator.h
	* src/common/quoted-printable.c
	* src/common/quoted-printable.h
	* src/common/session.c
	* src/common/session.h
	* src/common/smtp.c
	* src/common/smtp.h
	* src/common/socket.c
	* src/common/socket.h
	* src/common/ssl.c
	* src/common/ssl.h
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
	* src/common/string_match.c
	* src/common/string_match.h
	* src/common/stringtable.c
	* src/common/stringtable.h
	* src/common/tags.c
	* src/common/tags.h
	* src/common/template.c
	* src/common/template.h
	* src/common/timing.h
	* src/common/utils.c
	* src/common/utils.h
	* src/common/uuencode.c
	* src/common/uuencode.h
	* src/common/version.h.in
	* src/common/w32_dirent.c
	* src/common/w32_reg.c
	* src/common/w32_signal.c
	* src/common/w32_stat.c
	* src/common/w32_stdlib.c
	* src/common/w32_string.c
	* src/common/w32_time.c
	* src/common/w32_unistd.c
	* src/common/w32_wait.c
	* src/common/w32lib.h
	* src/common/xml.c
	* src/common/xml.h
	* src/common/xmlprops.c
	* src/common/xmlprops.h
	* src/etpan/etpan-errors.h
	* src/etpan/etpan-thread-manager-types.h
	* src/etpan/etpan-thread-manager.c
	* src/etpan/etpan-thread-manager.h
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
	* src/gtk/about.c
	* src/gtk/about.h
	* src/gtk/colorlabel.c
	* src/gtk/colorlabel.h
	* src/gtk/colorsel.c
	* src/gtk/colorsel.h
	* src/gtk/combobox.c
	* src/gtk/combobox.h
	* src/gtk/description_window.c
	* src/gtk/description_window.h
	* src/gtk/filesel.c
	* src/gtk/filesel.h
	* src/gtk/foldersort.c
	* src/gtk/foldersort.h
	* src/gtk/gtkaspell.c
	* src/gtk/gtkaspell.h
	* src/gtk/gtksctree.c
	* src/gtk/gtkshruler.c
	* src/gtk/gtkshruler.h
	* src/gtk/gtksourceprintjob.c
	* src/gtk/gtksourceprintjob.h
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/gtkvscrollbutton.c
	* src/gtk/gtkvscrollbutton.h
	* src/gtk/icon_legend.c
	* src/gtk/icon_legend.h
	* src/gtk/inputdialog.c
	* src/gtk/inputdialog.h
	* src/gtk/logwindow.c
	* src/gtk/logwindow.h
	* src/gtk/manage_window.c
	* src/gtk/manage_window.h
	* src/gtk/menu.c
	* src/gtk/menu.h
	* src/gtk/pluginwindow.c
	* src/gtk/pluginwindow.h
	* src/gtk/prefswindow.c
	* src/gtk/prefswindow.h
	* src/gtk/progressdialog.c
	* src/gtk/progressdialog.h
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
	* src/gtk/sslcertwindow.c
	* src/gtk/sslcertwindow.h
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/clamav/clamav_plugin.h
	* src/plugins/clamav/clamav_plugin_gtk.c
	* src/plugins/demo/demo.c
	* src/plugins/dillo_viewer/dillo_prefs.c
	* src/plugins/dillo_viewer/dillo_prefs.h
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/pgpcore/passphrase.h
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/pgp_viewer.h
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/pgpcore/prefs_gpg.h
	* src/plugins/pgpcore/select-keys.c
	* src/plugins/pgpcore/select-keys.h
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpcore/sgpgme.h
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpinline/pgpinline.h
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/pgpmime.h
	* src/plugins/pgpmime/plugin.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin.h
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/trayicon_prefs.c
	* src/plugins/trayicon/trayicon_prefs.h
	* src/plugins/trayicon/libeggtrayicon/eggtrayicon.c
	* src/plugins/trayicon/libeggtrayicon/eggtrayicon.h
	* src/plugins/trayicon/libeggtrayicon/gtk2-funcs.h
	* src/plugins/trayicon/libeggtrayicon/gtkplugxembed.c
	* src/plugins/trayicon/libeggtrayicon/gtkplugxembed.h
	* tools/OOo2claws-mail.pl
	* tools/README.sylprint
	* tools/acroread2claws-mail.pl
	* tools/claws-mail-compose-insert-files.pl
	* tools/convert_mbox.pl
	* tools/filter_conv.pl
	* tools/filter_conv_new.pl
	* tools/fix_date.sh
	* tools/freshmeat_search.pl
	* tools/google_search.pl
	* tools/kmail-mailbox2claws-mail.pl
	* tools/kmail2claws-mail.pl
	* tools/kmail2claws-mail_v2.pl
	* tools/mairix.sh
	* tools/make.themes.project
	* tools/multiwebsearch.pl
	* tools/nautilus2claws-mail.sh
	* tools/outlook2claws-mail.pl
	* tools/textviewer.sh
	* tools/thunderbird-filters-convertor.pl
	* tools/update-po
	* tools/uuooffice
	* tools/vcard2xml.py
	* tools/kdeservicemenu/claws-mail-kdeservicemenu.pl
		Upgrade to GPLv3 or later.

2007-07-10 [wwp]	2.10.0cvs15

	* src/main.c
		Fix re-opening of all composing messages that were
		opened when closing the previous instance, thanks
		to Colin.

2007-07-10 [paul]	2.10.0cvs14

	* src/editaddress_other_attributes_ldap.c
	* src/ldapupdate.c
		fix crash on selecting 'other attributes' combo
		for either a new entry or an old entry with no
		existing attributes.
		fix bug on editing multiple attributes which
		resulted them all having the value of the last
		one changed.
		Thanks to Colin

2007-07-10 [colin]	2.10.0cvs13

	* src/editaddress.c
	* src/editaddress_other_attributes_ldap.h
	* src/ldapupdate.c
		Fix --disable-ldap build

2007-07-09 [colin]	2.10.0cvs12

	* src/Makefile.am
	* src/addritem.c
	* src/addritem.h
	* src/editaddress.c
	* src/editaddress_other_attributes_ldap.c
	* src/editaddress_other_attributes_ldap.h
	* src/editldap.c
	* src/ldapctrl.c
	* src/ldapctrl.h
	* src/ldapupdate.c
		Add capability to edit all inetOrgPerson
		attributes on LDAP. Patch by Michael 
		Rasmussen

2007-07-09 [colin]	2.10.0cvs11

	* src/Makefile.am
	* src/exporthtml.c
	* src/mbox.c
	* src/msgcache.c
	* src/prefs_summaries.c
	* src/prefs_themes.c
	* src/procheader.c
	* src/common/Makefile.am
	* src/common/log.c
	* src/common/timing.h
	* src/common/utils.c
	* src/common/utils.h
	* src/common/w32_account.c
	* src/common/w32lib.h
	* src/gtk/Makefile.am
	* src/gtk/colorlabel.c
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpcore/claws.def
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/plugin.def
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpinline/claws.def
	* src/plugins/pgpinline/mypgpcore.def
	* src/plugins/pgpinline/plugin.def
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/pgpmime/claws.def
	* src/plugins/pgpmime/mypgpcore.def
	* src/plugins/pgpmime/plugin.def
		Commit win32 patch, from Werner Koch and
		Marcus Brinkmann

2007-07-09 [colin]	2.10.0cvs10

	* src/prefs_toolbar.c
		Fix crash when no actions exist

2007-07-07 [paul]	2.10.0cvs9

	* COPYING
	* manual/claws-mail-manual.xml
		update copyright year
	* po/fi.po
		updated by Flammie Pirinen

2007-07-05 [wwp]	2.10.0cvs8

	* src/plugins/clamav/clamav_plugin_gtk.c
		Make vertical spacing like in other plugin prefs pages.

2007-07-05 [wwp]	2.10.0cvs7

	* src/quote_fmt.c
		It's %am that works, not %ae (this doc incoherence has been
		introduced with 2.9.2cvs13).

2007-07-04 [wwp]	2.10.0cvs6

	* src/plugins/bogofilter/bogofilter.c
		Gettext-ize an occurrence of "Any" that wasn't.

2007-07-04 [colin]	2.10.0cvs5

	* po/POTFILES.in
		Fix untranslated strings; thanks
		to Pader Rezso.

2007-07-03 [colin]	2.10.0cvs4

	* src/folder.c
	* src/mainwindow.c
		Fix saving of sort mode for tags and
		thread date. Thanks to Pierre Ossman.
		Completes fix for bug 1233

2007-07-03 [paul]	2.10.0cvs3

	* src/compose.c
		fix auto-save
	* src/summaryview.c
		fix build warnings
	Thanks to Colin

2007-07-02 [colin]	2.10.0cvs2

	* src/folder.h
	* src/mainwindow.c
	* src/procmsg.h
	* src/summaryview.c
		Add View/Sort/by Thread date
		Fixes bug 1233, 'Capability to sort 
		threads by most recent message'
		Based on a patch by Paul Rolland

2007-07-02 [colin]	2.10.0cvs1

	* src/Makefile.am
	* src/compose.c
	* src/edittags.c
	* src/edittags.h
	* src/filtering.c
	* src/folder.c
	* src/folder.h
	* src/headerview.c
	* src/headerview.h
	* src/main.c
	* src/mainwindow.c
	* src/mainwindow.h
	* src/manual.h
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser_parse.y
	* src/mimeview.c
	* src/msgcache.c
	* src/msgcache.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
	* src/prefs_summary_column.c
	* src/procmsg.c
	* src/procmsg.h
	* src/quote_fmt.c
	* src/quote_fmt_lex.l
	* src/quote_fmt_parse.y
	* src/summaryview.c
	* src/summaryview.h
	* src/textview.c
	* src/common/Makefile.am
	* src/common/defs.h
	* src/common/tags.c
	* src/common/tags.h
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Add Tags implementation. Tags are arbitrary labels
		that can be applied to messages. It is possible 
		to create, edit, remove tags; apply them to mails;
		filter on tags or tag presence; apply or unset
		tags via filtering actions; reference tags in
		reply templates.

2007-07-02 [paul]	2.10.0

	* NEWS
	* README
	* RELEASE_NOTES
		2.10.0 released

2007-07-02 [paul]	2.9.2cvs78

	* po/de.po
	* po/en_GB.po
	* po/es.po
	* po/fr.po
	* po/hu.po
	* po/pt_BR.po
	* po/ru.po
	* po/zh_CN.po
		updated by Stephan Sachse, me, Ricardo Mones
		Lastra, Fabien Vantard, Pader Rezso, Frederico
		Goncalves Guimaraes, Pavlo Bohmat, and Ralgh Young

2007-07-02 [paul]	2.9.2cvs77

	* AUTHORS
		updated

2007-06-29 [wwp]	2.9.2cvs76

	* src/gtk/headers.h
		Fix a typo (thanks to Ricardo for finding this out).

2007-06-28 [paul]	2.9.2cvs75

	* src/folderview.c
		fix build warnings

2007-06-28 [paul]	2.9.2cvs74

	* tools/Makefile.am
		fix bug in the autotools build system.
		Files cataloged under EXTRA_DIST were never
		automatically copied to the build tree.
		(fix 'make distcheck')
		Patch by Michael Rasmussen.

2007-06-24 [colin]	2.9.2cvs73

	* src/news_gtk.c
		Fix bug 1249, 'Error handling for 
		news errors needs modification'
		Only popup error if the according
		pref in Prefs/Receive is set.

2007-06-21 [colin]	2.9.2cvs72

	* src/common/plugin.c
	* src/common/plugin.h
		Change plugin API to know whether it's safe to 
		unload plugins or whether we should just hide
		them. Fixes bug 1248, 'Core dumps after 
		unloading plugin and clicking on load plugins'
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/demo/demo.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/plugin.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/trayicon/trayicon.c
		Update API

2007-06-19 [colin]	2.9.2cvs71

	* src/compose.c
	* src/messageview.c
		Fix crash mentioned in bug 1246
		Race condition when automatically drafting
		due to insertion on reedit.

2007-06-18 [wwp]	2.9.2cvs70

	* src/importldif.c
		LDIF import: use a "Proceed" button to complete
		the process.

2007-06-18 [paul]	2.9.2cvs69

	* configure.ac
		use pkgconfig to check for gtk and glib

2007-06-17 [wwp]	2.9.2cvs68

	* src/ldif.c
	* src/importldif.c
		LDIF import: better error handling, minor code
		and UI cleanup, and renamed the Save button
		to Close, as imported stuff is already saved
		when the Save button is shown.

2007-06-17 [colin]	2.9.2cvs67

	* src/prefs_summaries.c
	* src/procmsg.c
		Don't set as read when forwarded, only replied to

2007-06-17 [paul]	2.9.2cvs66

	* src/alertpanel.c
		add missing #include

2007-06-16 [colin]	2.9.2cvs65

	* src/prefs_summaries.c
	* src/procmsg.c
		Change the pref "Only mark as read when opened
		in new window" to "..., replied to or forwarded".
		Based on a patch by Paul Rolland.

2007-06-16 [paul]	2.9.2cvs64

	* src/gtk/authors.h
		alphabetical order! :)

2007-06-16 [colin]	2.9.2cvs63

	* AUTHORS
	* src/gtk/authors.h
		Add Michael Rasmussen in authors list

2007-06-16 [colin]	2.9.2cvs62

	* src/messageview.c
		Fix messageview_copy_clipboard to take advantage
		of plugins' get_selection.

2007-06-15 [colin]	2.9.2cvs61

	* src/action.c
	* src/addr_compl.c
	* src/addressbook.c
	* src/folderview.c
	* src/message_search.c
	* src/mimeview.c
	* src/summary_search.c
	* src/summaryview.c
	* src/textview.c
		Allow GDK_KP_Enter to do the same as GDK_Return
		Patch by Michael Rasmussen

2007-06-15 [paul]	2.9.2cvs60

	* src/compose.c
		fix bug when closing a compose window
		during autosave

2007-06-14 [paul]	2.9.2cvs59

	* src/main.c
	* src/common/defs.h
		migrate sylpheed config

2007-06-14 [wwp]	2.9.2cvs58

	* src/gtk/pluginwindow.c
		Yet another attempt to fix sizing/alignment of the
		button bar in plugins window.

2007-06-12 [colin]	2.9.2cvs57

	* po/POTFILES.in
	* src/Makefile.am
	* src/folderview.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_summaries.c
	* src/prefs_summary_open.c
	* src/prefs_summary_open.h
	* src/summaryview.c
		Make "when entering a folder" actions more personalisable

2007-06-12 [wwp]	2.9.2cvs56

	* tools/README
		Use short description from Paul (mairix.sh).

2007-06-12 [wwp]	2.9.2cvs55

	* tools/README
		Updated info about mairix.sh.

2007-06-11 [paul]	2.9.2cvs54

	* src/prefs_logging.c
		rework log window length widgets
		and some sensitivity fixes

2007-06-11 [paul]	2.9.2cvs53

	* src/mainwindow.c
	* src/prefs_logging.c
		rename 'Protocol Log' to 'Network Log'
		and some function renaming

2007-06-10 [wwp]	2.9.2cvs52

	* src/gtk/pluginwindow.c
		Revert 2.9.2cvs51.

2007-06-10 [wwp]	2.9.2cvs51

	* src/gtk/pluginwindow.c
		Fix button bar in plugin window, was centered and not
		behaving like other dialogs w/ such button bar.

2007-06-08 [wwp]	2.9.2cvs50

	* src/compose.c
	* src/compose.h
	* src/main.c
	* src/mainwindow.c
	* src/mainwindow.h
		Provide a way out of automatic draft saving on IMAP, when
		exiting offline.
		Prevent drafting while sending and quitting while sending.
		Thanks for Colin.



2007-06-08 [wwp]	2.9.2cvs49

	* src/prefs_account.c
	* src/gtk/prefswindow.c
	* src/gtk/prefswindow.h
		Activate the Basic page when opening account prefs.

2007-06-08 [wwp]	2.9.2cvs48

	* src/common/socket.c
		Don't crash if fork() fails, thanks to Colin.

2007-06-08 [wwp]	2.9.2cvs47

	* src/gtk/prefswindow.c
		Wrap some long lines, and reset horizontal scroller's adjusment
		(this was already done, vertically), when changing tab (not page)
		in prefs windows.

2007-06-08 [paul]	2.9.2cvs46

	* src/common/utils.c
		use gethostname() instead of uname()
		based on a patch by Michael Hughes
		<Sylpheed-Claws_user@thehugheslogcabin.net>

2007-06-07 [wwp]	2.9.2cvs45

	* src/prefs_common.c
		Fix some useless warnings, thanks to Colin.

2007-06-06 [colin]	2.9.2cvs44

	* src/ldapupdate.c
		Fix strange allocations. 

2007-06-06 [colin]	2.9.2cvs43

	* src/ldapupdate.c
		Patch by Michael Rasmussus to help
		bug 1232

2007-06-05 [wwp]	2.9.2cvs42

	* src/prefs_account.c
	* src/prefs_folder_item.c
	* src/prefs_quote.c
	* src/quote_fmt.c
	* src/quote_fmt.h
		Per-folder templates can now be applied recursively.
		Always save per-folder templates (formats were erroneously
		saved only if they were enabled).
		Check for validity of quotation marks everywhere there
		are defined.

2007-06-05 [wwp]	2.9.2cvs41

	* src/inc.c
		Fix incoming messages from local accounts always getting filtered
		(even if the account prefs say don't), thanks to Colin.

2007-06-05 [wwp]	2.9.2cvs40

	* src/compose.c
	* src/compose.h
		Use per-folder/per-account quote chars when applying a
		template or inserting text as well. Const'ify some
		vars more.

2007-06-04 [colin]	2.9.2cvs39

	* src/compose.c
		More work for wwp :)

2007-06-04 [wwp]	2.9.2cvs38

	* src/compose.c
		Same as 2.9.2cvs36 but for forwarding.

2007-06-04 [colin]	2.9.2cvs37

	* src/compose.c
		Use original mail file for forward/redirect
		Fixes some forwarded mails to be attached as
		application/octet-stream (when they have binary
		parts), and incidentally fixes bug 848
		'Redirect breaks GnuPG'

2007-06-04 [wwp]	2.9.2cvs36

	* src/compose.c
		Fix quote mark mis-initialisation when replying/forwarding
		(introduced w/ 2.9.2cvs20).

2007-06-04 [wwp]	2.9.2cvs35

	* src/prefs_compose_writing.c
	* src/prefs_quote.c
		Fix a bug where Quotation characters (prefs/compose/writing)
		was cleared (introduced w/ 2.9.2cvs26).

2007-06-04 [wwp]	2.9.2cvs34

	* src/prefs_account.c
	* src/prefs_account.h
		Better fix for compiling w/o aspell (rollbacks
		2.9.2cvs31).

2007-06-04 [wwp]	2.9.2cvs33

	* src/account.c
	* src/prefs_account.c
	* src/prefs_account.h
	* src/procmsg.c
		It's now possible to disable mail filtering plugins
		on a per-account basis.

2007-06-04 [wwp]	2.9.2cvs32

	* src/procheader.c
	* src/common/utils.c
	* src/common/utils.h
		Support CRLF in headers part of messages.
		Support few more date formats (RFC3339 subsets).

2007-06-04 [wwp]	2.9.2cvs31

	* src/prefs_account.c
		Fix compiling w/o aspell support.

2007-06-03 [wwp]	2.9.2cvs30

	* src/prefs_gtk.c
		Don't decode leading ENV_ and ~ in P_PASSWORD
		values.

2007-06-03 [wwp]	2.9.2cvs29

	* src/prefs_gtk.c
		Don't decode leading ENV_ and ~ in P_PASSWORD
		values.

2007-06-03 [wwp]	2.9.2cvs28

	* src/prefs_account.c
	* src/gtk/prefswindow.c
	* src/gtk/prefswindow.h
		Added a way to force preloading of all pages
		(prefswindow).
		Moved tabs to pages in account prefs.

2007-06-02 [colin]	2.9.2cvs27

	* src/addressbook.c
		Fix possible crash, fix ldap write bugs
	* src/ldapupdate.c
		Fix ldap write bugs - patch by Michael
		Rasmussen
	* src/alertpanel.c
	* src/alertpanel.h
		Add a hook whenever alertpanel opens/closes

2007-05-31 [wwp]	2.9.2cvs26

	* src/prefs_compose_writing.c
	* src/prefs_quote.c
		Re-organized writing options a bit:
		 - renamed the Quoting page to Templates
		 - moved all composing templates to that page
		 - moved non-templates options to the Writing one,
		   grouped reply-related options, reordered reply and
		   forward options.

2007-05-31 [wwp]	2.9.2cvs25

	* src/compose.c
		Removed unused code.

2007-05-31 [colin]	2.9.2cvs24

	* src/addressbook.c
		Fix missing display name when modifying
		LDAP. Patch by Michael Rasmussen

2007-05-31 [wwp]	2.9.2cvs23

	* src/plugins/bogofilter/Makefile.am
	* src/plugins/clamav/Makefile.am
	* src/plugins/demo/Makefile.am
	* src/plugins/dillo_viewer/Makefile.am
	* src/plugins/spamassassin/Makefile.am
		Fix building of those plugins in Mac OS X.

2007-05-30 [wwp]	2.9.2cvs22

	* src/gtk/quicksearch.c
		Fix missing initialization.

2007-05-30 [wwp]	2.9.2cvs21

	* src/procheader.c
		Revert accidental commit (debug outputs).

2007-05-30 [wwp]	2.9.2cvs20

	* src/compose.c
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_folder_item.c
	* src/prefs_gtk.c
	* src/prefs_gtk.h
		Implemented per-account and per-folder
		compose/reply/forward formats.

2007-05-30 [wwp]	2.9.2cvs19

	* src/prefs_compose_writing.c
	* src/prefs_quote.c
	* src/procheader.c
	* src/quote_fmt.c
	* src/quote_fmt.h
		Internal API changes (factorize quote format
		prefs and checks).

2007-05-30 [colin]	2.9.2cvs18

	* src/compose.c
		Fix race where it's possible to re-click Send
		between end of SMTP session and end of "move to
		sent folder" when sending an email with send
		dialog enabled.

2007-05-30 [colin]	2.9.2cvs17

	* src/crash.c
		Ask for backtrace on all threads. Patch by
		Pawel
	* src/folderview.c
		Fix stale news statusbar when scanning fails.
		Patch by Pawel
	* src/ldapupdate.c
		Fix some LDAP write updates bugs. Patch
		by Michael Rasmussen

2007-05-29 [colin]	2.9.2cvs16

	* src/imap.c
		Fix loss of local flags when moving mails
		on IMAP in high-bandwidth mode (UID FETCH)

2007-05-25 [paul]	2.9.2cvs15

	* src/common/socket.c
		fix sometimes crasher on cancelling
		message sending

2007-05-25 [colin]	2.9.2cvs14

	* src/imap.c
		Fix a memory leak
	* src/imap_gtk.c
		Be more helpful in the subscription
		message

2007-05-23 [wwp]	2.9.2cvs13

	* src/compose.c
	* src/prefs_compose_writing.c
	* src/prefs_quote.c
	* src/prefs_template.c
	* src/prefs_template.h
	* src/quote_fmt.c
	* src/quote_fmt.h
	* src/quote_fmt_lex.l
	* src/quote_fmt_parse.y
		Introduced new syntax elements (symbols and commands)
		in templates/quote_fmt. Compatibility w/ old
		symbols is kept.
		Updated and reworked the corresponding Information
		dialog.
		Display the line number in dialogs that talk about
		parser errors (in addition to the error message in
		output).

2007-05-23 [wwp]	2.9.2cvs12

	* src/quote_fmt_parse.y
		Fix 2.9.2cvs11, probably a paste accident ;).

2007-05-23 [wwp]	2.9.2cvs11

	* src/compose.c
	* src/prefs_template.c
	* src/quote_fmt.h
	* src/quote_fmt_parse.y
		Fix 2.9.2cvs10, which broke --disable-aspell.

2007-05-22 [wwp]	2.9.2cvs10

	* src/compose.c
	* src/prefs_template.c
	* src/quote_fmt.c
	* src/quote_fmt.h
	* src/quote_fmt_lex.l
	* src/quote_fmt_parse.y
	* src/gtk/gtkaspell.c
	* src/gtk/gtkaspell.h
		Added template/quote format syntactical elements
		to show and query:
			- current dictionary
			  %T to show (shows empty if not set or not enabled),
			  ?T and !T to check if the default dictionary is
			  enabled and set
			- current account's default dictionary
			  %aT to show (empty if not set or not enabled),
			  ?aT and !aT to check if it's enabled and set
			- name completion for an address, from the address
			  book
			  %ABf, %ABt, %ABc respectively show the full name got
			  from the address book if From, To or Cc match a single
			  contact.
			  ?ABf, !ABf, ?ABt, !ABt, ?ABc and !ABc check if completion
			  matches any contact and if the full name is non-empty.
			  If From, To or Cc are lists of email addresses, only
			  the first address will be checked.
		In compose.c, fix msginfo's To, Cc and Newsgroup address lists,
		that could show a trailing ','.
		Also, template/quote_fmt parser now shows the line number in case
		of parser error.

2007-05-15 [colin]	2.9.2cvs9

	* src/main.c
	* src/main.h
		Add a public function to know whether Claws
		crashed last time
		Store opened folder when exiting
	* src/folder.c
	* src/folder.h
		Store last opened message in each FolderItem;
		Reset last seen messages if Claws crashed, so 
		that one can't go in an infinite crash in case 
		a particular mail crashes Claws.
	* src/messageview.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/summaryview.c
	* src/prefs_summaries.c
		Add "Select last opened message" when entering
		a folder
		Add "Select last opened folder" at startup.

2007-05-14 [colin]	2.9.2cvs8

	* manual/xml2pdf
		Fix bashism, search for xml catalog 
		in /usr/local/share/xml/catalog too
		Patch by Pawel

2007-05-13 [wwp]	2.9.2cvs7

	* src/gtk/logwindow.c
		fix raising log windows when they are either minimized or
		in background.

2007-05-11 [colin]	2.9.2cvs6

	* src/gtk/filesel.c
		Use Hildon's file chooser on Maemo. Patch
		by Jean-Luc Biord; fixes part 2 of bug 1201,
		'File attachment "manipulation" bugs...'

2007-05-10 [wwp]	2.9.2cvs5

	* src/prefs_common.c
	* src/prefs_common.h
	* src/gtk/quicksearch.c
		Add a quicksearch option to automatically run
		a search selected from the history (this option
		is exclusive towards type-ahead).

2007-05-10 [colin]	2.9.2cvs4

	* src/imap.c
		Fix g_warnings, thanks to Brian
		Morrison

2007-05-09 [colin]	2.9.2cvs3

	* src/crash.c
	* src/exporthtml.c
	* src/mbox.c
	* src/prefs_summaries.c
	* src/procheader.c
	* src/common/log.c
	* src/common/utils.c
	* src/gtk/gtksourceprintjob.c
	* src/gtk/sslcertwindow.c
		Use the re-entrant variant of time functions
		Probably fixes bug 1217, 'reentrancy problems 
		with time functions'

2007-05-09 [colin]	2.9.2cvs2

	* src/imap.c
		Fix crasher when reconnection fails

2007-05-08 [paul]	2.9.2cvs1

	* NEWS
	* README
	* RELEASE_NOTES
	* configure.ac
		bump version number following
		stable release

2007-05-08 [paul]	2.9.1cvs48

	* src/plugins/demo/demo.c
	* src/plugins/dillo_viewer/dillo_prefs.c
	* src/plugins/dillo_viewer/dillo_prefs.h
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/pgp_viewer.h
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/pgpcore/prefs_gpg.h
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpcore/sgpgme.h
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/pgpmime.h
	* src/plugins/pgpmime/plugin.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin.h
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/README
	* tools/README
	* tools/README.sylprint
	* tools/outlook2claws-mail.pl
	* tools/sylprint.pl
	* tools/tb2claws-mail
	* tools/tbird2claws.py
	* tools/update-po
	* tools/vcard2xml.py
	* tools/kdeservicemenu/README
		cleanups and corrections

2007-05-06 [wwp]	2.9.1cvs47

	* tools/uudec
		Fix missing dash to `display` command-line, reported
		by Georg Himmrich <georg at mails d0t diesind d0t net>.

2007-05-06 [colin]	2.9.1cvs46

	* src/Makefile.am
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/pixmaps/printer.xpm
		Add a printer icon

2007-05-06 [paul]	2.9.1cvs45

	* src/compose.c
	* src/ldapquery.c
	* src/privacy.h
	* src/summary_search.c
	* src/summaryview.c
		fix build warnings

2007-05-05 [wwp]	2.9.1cvs44

	* src/messageview.c
	* src/mh.c
	* src/prefs_actions.c
	* src/prefs_gtk.c
	* src/summaryview.c
	* src/common/xml.c
		Fix "faild" typos everywhere and capitalization of
		some g_warnings.

2007-05-04 [colin]	2.9.1cvs43

	* src/compose.c
	* src/privacy.c
	* src/privacy.h
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/pgpcore/prefs_gpg.h
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
		Add an API to warn about encryption limits,
		and allow to disable these warnings

2007-05-03 [colin]	2.9.1cvs42

	* src/summaryview.c
	* src/mainwindow.c
		Fix bug 1213, 'Delete more than 
		one thread at once'

2007-05-03 [wwp]	2.9.1cvs41

	* src/prefs_common.c
	* src/prefs_filtering.c
	* src/prefs_template.c
	* src/common/template.c
	* src/common/template.h
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
		Templates are no longer automatically sorted
		by name, but can be sorted manually using
		|< < > >| buttons as well as drag'n'drop.

2007-05-03 [wwp]	2.9.1cvs40

	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin.h
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
		Added an option to conditionally mark saved spam
		as read	(default is and was to do so).
		Satisfies feature request 1708539 on sf.net tracker.

2007-05-03 [colin]	2.9.1cvs39

	* src/inc.c
		Fix bug 1211, 'Offline dialog message bugs/annoyances...'

2007-05-02 [colin]	2.9.1cvs38

	* src/textview.c
		Fix bug 1209, 'Clicking on address 
		in header (mailto uri) selects 
		default account'. Patch adapted from
		G.P. Halkes' patch.

2007-05-02 [colin]	2.9.1cvs37

	* src/grouplistdialog.c
		Set cursor to wait cursor while loading
		groups.

2007-05-02 [paul]	2.9.1cvs36

	* src/folder.c
	* src/common/defs.h
		rename cache and mark files
		(data is preserved)

2007-04-30 [paul]	2.9.1cvs35

	* manual/glossary.xml
	* manual/plugins.xml
		updates. Patch by Ricardo

2007-04-29 [wwp]	2.9.1cvs34

	* src/mainwindow.c
	* configure.ac
		Fix few grammatical errors (patch by David Relson < relson at
		osagesoftware dot com >).

2007-04-28 [colin]	2.9.1cvs33

	* src/account.c
	* src/pop.c
	* src/prefs_account.c
	* src/prefs_account.h
		Drop the "Download all" preference. It's
		stupidly useless and confuses people from
		time to time.

2007-04-27 [wwp]	2.9.1cvs32

	* src/account.c
	* src/prefs_account.c
	* src/prefs_account.h
		Don't reflect accounts changes to the mainwindow when it's
		not necessary.

2007-04-27 [colin]	2.9.1cvs31

	* src/folder.c
		Freeze/thaw when sync'ing flags
	* src/imap.c
	* src/prefs_account.c
	* src/prefs_account.h
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
		Add a way to use UID FETCH instead
		of searches to fetch message lists
		and flags. More expensive towards
		bandwidth, less expensive towards
		server's CPU. Probably fixes 
		bug 1158, 'Scanning new folders on 
		Exchange 2007 extremely slow'.
		Patch 95% by Hoa.

2007-04-27 [paul]	2.9.1cvs30

	* src/mainwindow.c
	* src/prefs_logging.c
		improvements to english usage

2007-04-27 [colin]	2.9.1cvs29

	* src/imap.c
		Fix build without libetpan (my bad!)

2007-04-26 [colin]	2.9.1cvs28

	* src/imap.c
	* src/imap.h
		Fix uselessly exported function
	* src/textview.c
		Consider "- -- \n" as signature separator
		(that's what signature separators look like
		 in PGP/Inline signed mails)

2007-04-26 [colin]	2.9.1cvs27

	* configure.ac
		libetpan-0.49 is now required
	* src/procmime.c
		Fix double fetching of mails if
		first try failed
	* src/imap.c
		Make offline sync faster, by
		remembering last change time, and
		last sync time.

2007-04-26 [hoa]	2.9.1cvs26

	* src/imap.c
	* src/imap.h
	* src/mainwindow.c
	* src/toolbar.c
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
		cancellation of IMAP operations is now allowed.
		Fixes bug 1056, 'Possibility to 'cancel transfer' in IMAP'

2007-04-26 [colin]	2.9.1cvs25

	* src/folder.c
		Always fetch body+headers in folders that are
		synched for offline use, if "Synchronise as
		soon as possible" is set.
		Fixes bug 1200, 'Add option to always retrieve full 
		messages'

2007-04-25 [colin]	2.9.1cvs24

	* src/compose.c
		Fix bug 1198, 'Reply-all "disappearing" address bug 
		persists...'

2007-04-24 [colin]	2.9.1cvs23

	* src/folderview.c
		Fix bug 1195, 'Hardware key navigation' 
		Make GDK_Enter toggle expansion (Maemo)

2007-04-24 [wwp]	2.9.1cvs22

	* src/compose.c
		Fix few compiler warnings.

2007-04-24 [paul]	2.9.1cvs21

	* src/Makefile.am
	* src/stock_pixmap.c
	* src/stock_pixmap.h
		complete last commit

2007-04-24 [paul]	2.9.1cvs20

	* src/gtk/about.c
	* src/pixmaps/active.xpm
	* src/pixmaps/checkbox_off.xpm
	* src/pixmaps/checkbox_on.xpm
	* src/pixmaps/inactive.xpm
		kick out the blobs
		remove transparent border from checkbox icons

2007-04-24 [wwp]	2.9.1cvs19

	* src/textview.c
	* src/textview.h
		Fix a crash in textview, thanks to Colin.

2007-04-23 [wwp]	2.9.1cvs18

	* src/prefs_common.c
		Fix 2.9.1cvs5: no header was being translated at all.

2007-04-23 [colin]	2.9.1cvs17

	* src/Makefile.am
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/summaryview.c
	* src/summaryview.h
	* src/gtk/gtksctree.c
	* src/gtk/gtksctree.h
	* src/pixmaps/selection.xpm
		Fix bug 1193, 'Need a way to multi-select
		items'. Add a toggle button to the summaryview
		to switch between normal and multiple selection
		(Maemo)

2007-04-23 [colin]	2.9.1cvs16

	* src/Makefile.am
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/summaryview.c
	* src/summaryview.h
	* src/gtk/gtksctree.c
	* src/gtk/gtksctree.h
	* src/pixmaps/selection.xpm
		Fix bug 1193, 'Need a way to multi-
		select items'
		Add a toggle button in the summaryview
		to enable normal or multiple selection.
		(Maemo)

2007-04-23 [colin]	2.9.1cvs15

	* src/compose.c
		Fix bug 1196, 'Edit>Select All doesn't work' (Maemo)

2007-04-21 [colin]	2.9.1cvs14

	* src/gtk/quicksearch.c
		Fix previous commit (actually use correct
		parameter)

2007-04-21 [colin]	2.9.1cvs13

	* src/gtk/quicksearch.c
		Fix changing quicksearch type (after Esc,
		after changing Recursive, ...)

2007-04-20 [wwp]	2.9.1cvs12

	* src/gtk/Makefile.am
		Added headers.h (completes 2.9.1cvs5).

2007-04-20 [wwp]	2.9.1cvs11

	* src/addressbook.c
		Fix the use of display name in name column,
		it has been overriden w/ the use of nickname
		by 2.9.0cvs3. Now nickname is used (if any)
		in case of LDAP books only.

2007-04-20 [colin]	2.9.1cvs10

	* src/mimeview.c
	* src/summaryview.c
	* src/textview.c
		Add handling of 'a' to loop in a mail's
		mimeparts

2007-04-20 [colin]	2.9.1cvs9

	* src/toolbar.c
		Fix bug 1190, 'dir_open' button doesn't work'
		(Maemo)

2007-04-20 [colin]	2.9.1cvs8

	* src/folderview.c
	* src/mainwindow.c
		Fix bug 1194, 'Hardware keys move from email 
		list to account/directory list, but not back 
		to email list...' (Maemo)

2007-04-20 [colin]	2.9.1cvs7

	* src/compose.h
		complete previous commit

2007-04-20 [colin]	2.9.1cvs6

	* src/compose.c
		Fix bug 1187, 'Reply-to addressee disappears 
		when reply-to text box is clicked...' (Maemo)

2007-04-20 [wwp]	2.9.1cvs5

	* po/POTFILES.in
	* src/addressbook.c
	* src/compose.c
	* src/filtering.c
	* src/headerview.c
	* src/matcher.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_display_header.c
	* src/prefs_matcher.c
	* src/summaryview.c
	* src/gtk/headers.h
	* src/gtk/quicksearch.c
		Translate more header names according to the relevant option value,
		mostly in filtering debug messages (reported by Tim <timbrain@post.cz>).
		Replaced nearly all uses of prefs_common.trans_hdr with a call
		to prefs_common_translated_header_name().
		Added a headers.h reference file that contains known header names
		(RFC2822 and others) to the translation process' input, so that
		translated header names will still exist even if no occurrence of
		_("headername") is found anymore in the sources.
		Don't translate column name 'Number' following to trans_hdr option
		value as it's not a header name.

2007-04-20 [colin]	2.9.1cvs4

	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Add "From, To or Subject" quicksearch
		type. Patch by ulfschaper@users.sf.net

2007-04-20 [colin]	2.9.1cvs3

	* src/matcher.c
		Implement proper references filtering condition.
		Patch based on a patch by Khanh-Dang <kdntl@users.sf.net>

2007-04-19 [wwp]	2.9.1cvs2

	* src/prefs_display_header.c
	* src/message_search.c
		Fix few warnings (g_free of const gchar*).

2007-04-19 [paul]	2.9.1cvs1

	* NEWS
	* README
	* RELEASE_NOTES
	* configure.ac
		bump version number following
		stable release

2007-04-19 [paul]	2.9.0cvs9

	* manual/advanced.xml
	* manual/glossary.xml
		fix typos

2007-04-18 [paul]	2.9.0cvs8

	* src/pop.c
		fix for CVE-2007-1558 (APOP)
		Thanks to Colin

2007-04-18 [paul]	2.9.0cvs7

	* src/messageview.c
	* src/mimeview.c
	* src/summaryview.c
	* src/gtk/filesel.c
		Fix encoding woes wrt saving of
		mails and parts
		Thanks to Colin

2007-04-18 [colin]	2.9.0cvs6

	* src/gtk/pluginwindow.c
		Fix bug 1185, 'Pluginwindow's [X] button doesn't save'

2007-04-17 [wwp]	2.9.0cvs5

	* src/addressadd.c
	* src/addressbook.c
	* src/addrindex.c
	* src/ldapupdate.c
		Fix --disable-ldap build,
		fix some LDAP annoyances on 
		searches, thanks to Colin.

2007-04-17 [wwp]	2.9.0cvs4

	* src/ldapupdate.c
		Fix more mixed decls, sensitive w/ strict ANSI-C89 compilers
		like gcc 2.9x. Thanks to Colin.

2007-04-17 [wwp]	2.9.0cvs3

	* src/Makefile.am
	* src/addressadd.c
	* src/addressbook.c
	* src/addrindex.c
	* src/addritem.c
	* src/addritem.h
	* src/editaddress.c
	* src/ldapctrl.c
	* src/ldapctrl.h
	* src/ldapquery.c
	* src/ldapserver.c
	* src/ldapserver.h
	* src/ldapupdate.c
	* src/ldapupdate.h
		Add LDAP write support. Patch mostly by 
		Michael <mir at datanom dot net>

2007-04-17 [wwp]	2.9.0cvs2

	* src/compose.c
		Prepend "Add to address book" to the context menu of compose window's sender and
		recipient fields.

2007-04-16 [paul]	2.9.0cvs1

	* src/gtk/authors.h
		add Pader Rezso

2007-04-16 [paul]	2.9.0

	* NEWS
	* README
	* RELEASE_NOTES
		2.9.0 released

2007-04-16 [paul]	2.8.1cvs102

	* po/fr.po
		updated by Fabien Vantard

2007-04-16 [paul]	2.8.1cvs101

	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/hu.po
	* po/pl.po
	* po/pt_BR.po
	* po/sr.po
	* po/zh_CN.po
		updated by Miquel Oliete, Tim Brain, Stephan Sachse,
		Pader Rezso, Emil Nowak, Frederico Goncalves Guimaraes,
		Aleksandar Urosevic, and Ralgh Young

2007-04-15 [mones]	2.8.1cvs100

	* po/es.po
		Updated for release

2007-04-14 [colin]	2.8.1cvs99

	* src/message_search.c
	* src/prefs_display_header.c
	* src/summary_search.c
	* src/gtk/combobox.c
		Fix allocations

2007-04-14 [wwp]	2.8.1cvs98

	* src/gtk/combobox.c
	* src/message_search.c
	* src/summary_search.c
	* src/prefs_display_header.c
		Workaround a bug with GTK+ 2.6.x where gtk_combo_box_get_active_text()
		returns NULL, get the text value directly from the GtkEntry child.

2007-04-13 [colin]	2.8.1cvs97

	* src/gtk/quicksearch.c
		Give the focus back to summaryview when
		emptying the quicksearch with Esc

2007-04-13 [colin]	2.8.1cvs96

	* src/message_search.c
	* src/prefs_display_header.c
	* src/summary_search.c
		Fix possibles crashes when getting text
		from gtk combos

2007-04-13 [colin]	2.8.1cvs95

	* src/pop.c
		Add some UIDL debugging

2007-04-12 [colin]	2.8.1cvs94

	* src/folder.c
		Force folder scan if necessary after
		copying mails, to be able to reapply
		flags.

2007-04-11 [colin]	2.8.1cvs93

	* src/main.c
		don't scan for new mail on startup if --select
		is specified (or race conditions arise). If so,
		do both sequentially.

2007-04-09 [colin]	2.8.1cvs92

	* src/common/defs.h
		Use leafpad by default on Maemo. Patch
		by Jean-Luc Biord.

2007-04-06 [colin]	2.8.1cvs91

	* src/pixmaps/queue_close.xpm
	* src/pixmaps/queue_close_hrm.xpm
	* src/pixmaps/queue_close_hrm_mark.xpm
	* src/pixmaps/queue_close_mark.xpm
	* src/pixmaps/queue_open.xpm
	* src/pixmaps/queue_open_hrm.xpm
	* src/pixmaps/queue_open_hrm_mark.xpm
	* src/pixmaps/queue_open_mark.xpm
		Move the clock one pixel down :)

2007-04-05 [colin]	2.8.1cvs90

	* src/mainwindow.c
		Don't sync when switching offline from
		command line - it's usually too late :)

2007-04-05 [paul]	2.8.1cvs89

	* src/Makefile.am
	* src/stock_pixmap.c
	* src/pixmaps/dir_close_hrm.xpm
	* src/pixmaps/dir_close_hrm_mark.xpm
	* src/pixmaps/drafts_close.xpm
	* src/pixmaps/drafts_close_mark.xpm
	* src/pixmaps/drafts_open.xpm
	* src/pixmaps/drafts_open_mark.xpm
	* src/pixmaps/inbox.xpm
	* src/pixmaps/inbox_close.xpm
	* src/pixmaps/inbox_close_hrm.xpm
	* src/pixmaps/inbox_close_hrm_mark.xpm
	* src/pixmaps/inbox_close_mark.xpm
	* src/pixmaps/inbox_hrm.xpm
	* src/pixmaps/inbox_hrm_mark.xpm
	* src/pixmaps/inbox_mark.xpm
	* src/pixmaps/inbox_open.xpm
	* src/pixmaps/inbox_open_hrm.xpm
	* src/pixmaps/inbox_open_hrm_mark.xpm
	* src/pixmaps/inbox_open_mark.xpm
	* src/pixmaps/outbox.xpm
	* src/pixmaps/outbox_close.xpm
	* src/pixmaps/outbox_close_hrm.xpm
	* src/pixmaps/outbox_close_hrm_mark.xpm
	* src/pixmaps/outbox_close_mark.xpm
	* src/pixmaps/outbox_hrm.xpm
	* src/pixmaps/outbox_hrm_mark.xpm
	* src/pixmaps/outbox_mark.xpm
	* src/pixmaps/outbox_open.xpm
	* src/pixmaps/outbox_open_hrm.xpm
	* src/pixmaps/outbox_open_hrm_mark.xpm
	* src/pixmaps/outbox_open_mark.xpm
	* src/pixmaps/queue_close.xpm
	* src/pixmaps/queue_close_hrm.xpm
	* src/pixmaps/queue_close_hrm_mark.xpm
	* src/pixmaps/queue_close_mark.xpm
	* src/pixmaps/queue_open.xpm
	* src/pixmaps/queue_open_hrm.xpm
	* src/pixmaps/queue_open_hrm_mark.xpm
	* src/pixmaps/queue_open_mark.xpm
		updated, added and replaced icons
		Icons by Colin

2007-04-04 [colin]	2.8.1cvs88

	* src/imap.c
		Fix build without libetpan

2007-04-03 [colin]	2.8.1cvs87

	* src/imap.c
		Fix crash with Citadel, and try to make
		things work. this server (and specifically 
		STATUS and APPEND at least) seems broken.

2007-04-03 [colin]	2.8.1cvs86

	* src/folderview.c
		Fix icons on folder close

2007-04-03 [colin]	2.8.1cvs85

	* src/inc.c
		Fix double-ask of offline override in
		certain cases
	* src/imap.c
	* src/imap.h
	* src/imap_gtk.c
		Much more efficient way to synchronise
		for offline use
	* src/etpan/imap-thread.c
		Fix possible segs
	* src/folder.c
	* src/gtk/quicksearch.c
		Fix some GUI lags

2007-04-03 [paul]	2.8.1cvs84

	* src/filtering.c
	* src/folder.c
	* src/folder.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_other.c
		Fix sync being done too late
		Thanks to Colin

2007-04-02 [colin]	2.8.1cvs83

	* src/summaryview.c
		Maemo: Put status and quicksearch at the top
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/spamassassin/spamassassin.c
		Derive trash from inbox if possible

2007-04-02 [paul]	2.8.1cvs82

	* src/plugins/bogofilter/bogofilter_gtk.c
		a few English changes

2007-04-02 [paul]

	2.9.0-rc1 released

2007-04-02 [colin]	2.8.1cvs81

	* src/image_viewer.c
		Fix transparent images by using
		GtkImage
	* src/messageview.c
		Flush events (on new windows) to avoid
		having the textview's image resize fail
		to know the available width

2007-04-01 [colin]	2.8.1cvs80

	* src/prefs_account.c
		If no MH mailbox exist, when creating a POP/Local
		account, just create and use the default one 
		instead of bailing with a "Mailbox doesn't exist"
		error

2007-03-31 [colin]	2.8.1cvs79

	* src/prefs_account.c
		Create signature file if it doesn't exist
		before editing
	* src/prefs_toolbar.c
		Maemo: Move "Use default" on the left so
		that people can find it
	* src/common/defs.h
		Maemo: make default editor "Maemopad", 
		default signature file "MyDocs/signature.txt"

2007-03-31 [colin]	2.8.1cvs78

	* src/prefs_account.c
		Maemo: rework account prefs so
		that less horizontal scrolling
		is required

2007-03-31 [colin]	2.8.1cvs77

	* src/folderview.c
	* src/prefs_common.c
	* src/prefs_common.h
		Fix bug 1167, 'Allow not displaying zeros 
		in folder list'. Patch by MartinP

2007-03-31 [colin]	2.8.1cvs76

	* AUTHORS
		Add Jean-Luc Biord

2007-03-31 [colin]	2.8.1cvs75

	* src/imap.c
		Apply patch from bug 1172, direct
		access to the folder's session instead
		of using getter. Patch by MartinP

2007-03-31 [paul]	2.8.1cvs74

	* src/gtk/authors.h
		no need to list Fabien twice!

2007-03-31 [colin]	2.8.1cvs73

	* src/inc.c
		If we're currently "overriding for %d minutes",
		don't ask

2007-03-31 [colin]	2.8.1cvs72

	* src/compose.c
	* src/imap.c
	* src/inc.c
	* src/inc.h
	* src/messageview.c
	* src/news.c
	* src/plugins/spamassassin/spamassassin.c
		Offline override: Add a parameter to allow
		asking even if the override timer is running.
		Allows to ask every time the user makes an
		explicit action needing online access (such
		as Get Mail), and not when the action is 
		implicit (such as opening an IMAP folder)

2007-03-31 [colin]	2.8.1cvs71

	* src/inc.c
		Override offline: "No" answer shouldn't
		re-ask after 3 seconds, but 10 minutes. 

2007-03-30 [colin]	2.8.1cvs70

	* src/common/socket.c
		Better error reporting on unix socket
		failure (bind usually)
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
		Label window: add a pulsing progress
		bar to show we're not hung :)
	* src/folderview.c
	* src/main.c
	* src/plugins/pgpcore/sgpgme.c
		Update API

2007-03-30 [colin]	2.8.1cvs69

	* src/pop.c
	* src/prefs_common.c
		Fix possible trashing of history and uidl
		files on disk full problems

2007-03-30 [paul]	2.8.1cvs68

	* src/mainwindow.c
	* src/summaryview.c
	* src/summaryview.h
		update summary when changing layout type
		(fixes wrong folder icon being displayed)
		Thanks to Colin

2007-03-29 [colin]	2.8.1cvs67

	* src/prefs_ext_prog.c
		The browser pref is irrelevant on Maemo

2007-03-29 [colin]	2.8.1cvs66

	* src/compose.c
	* src/compose.h
		Maemo: dynamically switch headers/text position
	* src/prefs_common.c
		Maemo: hide compose's ruler by default
	* src/common/socket.c
	* src/common/socket.h
		Fix build warning

2007-03-29 [colin]	2.8.1cvs65

	* src/common/socket.c
	* src/common/socket.h
		Fix build when MAEMO_CFLAGS contains
		_X_OPENSOURCE (resolv.h errors as long
		as we don't add _BSD_SOURCE. Ugly).

2007-03-29 [wwp]	2.8.1cvs64

	* src/prefs_logging.c
		Fix sensitivity of clip-log widgets in prefs/logging,
		thanks to Fabien.

2007-03-29 [wwp]	2.8.1cvs63

	* po/POTFILES.in
		Updated files list for translations, thanks to Fabien.

2007-03-29 [colin]	2.8.1cvs62

	* src/main.c
	* src/common/Makefile.am
	* src/common/utils.c
		Maybe make URI opening work in Maemo
		Requires testing :)

2007-03-28 [colin]	2.8.1cvs61

	* src/folder.c
	* src/folder.h
	* src/folderview.c
		Add the possibility to sort folders arbitrarily
		(via editing of folderlist.xml only). Patch by
		Martin P <mp26+claws@os.inf.tu-dresden.de>
		Fixes bug 1166, 'Folder ordering is fixed and cannot 
		be changed by the user'

2007-03-28 [colin]	2.8.1cvs60

	* src/mimeview.c
		Add popup menu for mime icons

2007-03-28 [colin]	2.8.1cvs59

	* src/mainwindow.c
		Fix a layout issue when presenting
		mainwindow in Small screen layout
	* src/toolbar.c
	* src/toolbar.h
		Add a "Go to folder list" button for
		mainwindow, and make it default in
		the Maemo build

2007-03-28 [colin]	2.8.1cvs58

	* src/compose.c
		Don't dynamically update title on Maemo
		Patch by Jean-Luc Biord

2007-03-27 [colin]	2.8.1cvs57

	* src/compose.c
	* src/folderview.c
	* src/summaryview.c
		Enable tap-and-hold on Maemo

2007-03-26 [colin]	2.8.1cvs56

	* src/compose.c
		More popup-menu (in attachments list)

2007-03-26 [colin]	2.8.1cvs55

	* src/compose.c
		Enable popup-menu signal

2007-03-26 [colin]	2.8.1cvs54

	* src/plugins/pgpinline/pgpinline.c
		Fix bug 1111, 'PGP/inline plugin hides text 
		around encrypted text block'. Patch based on
		a patch from Michal Cihar.

2007-03-26 [wwp]	2.8.1cvs53

	* src/procmsg.c
		Fix getting a false error when sending queued message
		whereas the sending was fine (if there are subfolders
		in the queue folder), thanks to Colin.

2007-03-26 [paul]	2.8.1cvs52

	* src/wizard.c
		update FACE header in welcome message

2007-03-25 [colin]	2.8.1cvs51

	* src/Makefile.am
		Fix make dist

2007-03-25 [colin]	2.8.1cvs50

	* src/main.c
		Fix OSSO_NAME on Maemo (patch by Jean-Luc)

2007-03-24 [colin]	2.8.1cvs49

	* src/main.c
		Fix a few launch problems on Maemo
		Patch by Jean-Luc Biord

2007-03-24 [wwp]	2.8.1cvs48

	* src/alertpanel.c
	* src/alertpanel.h
	* src/messageview.c
	* src/summaryview.c
		Fix wrong action performed when closing the
		"ask about account specific filtering rules
		when filtering manually" dialog by pressing Escape.
		Fix wrong order of buttons in the "return receipt
		notification - the message was sent to several of
		your accounts" dialog.

2007-03-24 [paul]	2.8.1cvs47

	* src/folderview.c
		an improvement to English usage
	* tools/kdeservicemenu/README
		updated Claws url

2007-03-24 [paul]	2.8.1cvs46

	* src/Makefile.am
	* src/stock_pixmap.c
	* src/pixmaps/edit_extern.xpm
	* src/pixmaps/mail_sign.xpm
		rescue long lost icons

2007-03-24 [paul]	2.8.1cvs45

	* src/toolbar.c
		fix toolbar (broken in 2.8.1cvs42)

2007-03-23 [colin]	2.8.1cvs44

	* src/imap.c
		Correctly unsubscribe/resubscribe after
		RENAME

2007-03-23 [colin]	2.8.1cvs43

	* src/prefs_common.c
		Maemo: as the platform is light on RAM, allow
		caches to be discarded faster.

2007-03-23 [colin]	2.8.1cvs42

	* src/Makefile.am
	* src/compose.c
	* src/compose.h
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/summaryview.c
	* src/summaryview.h
	* src/toolbar.c
	* src/toolbar.h
	* src/pixmaps/open_mail.xpm
		Maemo changes: Add the possibility to have
		"Open Email" and "Close Window" buttons on 
		toolbars (and use them in Maemo's default
		toolbars)

2007-03-23 [wwp]	2.8.1cvs41

	* src/action.c
		Reverted that part of the action dialog closure logics, to
		pre-2.8.1cvs19. Managing action dialog w/ no output may be
		done later in a different way (or may not).

2007-03-22 [wwp]	2.8.1cvs40

	* src/action.c
		Fix sticky action dialog when got no output but action command
		is pipe'ing out or inserting (introduced w/ 2.8.1cvs19).

2007-03-22 [colin]	2.8.1cvs39

	* src/prefs_filtering.c
	* src/gtk/combobox.h
		Fix escaping account names in filtering prefs

2007-03-22 [colin]	2.8.1cvs38

	* src/addrindex.c
	* src/ldapctrl.h
	* src/ldapquery.c
		Add any attribute specified in LDAP servers'
		Search attributes to the Other Attributes tab
		of contacts; Add 'telephoneNumber' in the
		default list.

2007-03-22 [colin]	2.8.1cvs37

	* src/folderview.c
	* src/folderview.h
	* src/mainwindow.c
		Try to prevent race conditions when
		changing the folder list
	* src/summaryview.c
		Fix possible red folder icon when
		switching from Small screen layout
		to any other

2007-03-22 [colin]	2.8.1cvs36

	* src/mainwindow.c
	* src/mainwindow.h
	* src/summaryview.c
		Rename "little screen" to "Small screen"
	* src/gtk/Makefile.am
	* src/common/utils.c
	* src/mh.c
		Fix Maemo-related compilation problems

2007-03-21 [colin]	2.8.1cvs35

	* configure.ac
		Fix previous commit
	* claws-mail.desktop
		Remove .png from the Icon, it's useless

2007-03-21 [colin]	2.8.1cvs34

	* configure.ac
	* src/Makefile.am
		Add the necessary lib checking for 
		Maemo

2007-03-21 [colin]	2.8.1cvs33

	* src/main.c
		Fix unconditional "error happened" when
		sending via command-line. "lol @ myself"

2007-03-21 [colin]	2.8.1cvs32

	* claws-mail-40x40.png
	* claws-mail-26x26.png
	* src/account.c
	* src/addressbook.c
	* src/compose.c
	* src/folderview.c
	* src/folderview.h
	* src/main.c
	* src/mainwindow.c
	* src/mainwindow.h
	* src/messageview.c
	* src/prefs_account.c
	* src/prefs_common.c
	* src/summary_search.c
	* src/summaryview.c
	* src/summaryview.h
	* src/gtk/authors.h
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/logwindow.c
	* src/gtk/menu.c
	* src/gtk/prefswindow.c
		Add Maemo port (patch mainly by Jean-Luc Biort)
		Add a new 'Little screen' layout to help on such
		platforms (patch by me)
		Make some default preferences different (more
		adapted) on Maemo (patch by me)

2007-03-21 [wwp]	2.8.1cvs31

	* src/prefs_logging.c
	* src/prefs_logging.h
		Fixed copyright header of newly added files.

2007-03-21 [wwp]	2.8.1cvs30

	* src/Makefile.am
	* src/filtering.c
	* src/filtering.h
	* src/folder.c
	* src/folderview.c
	* src/imap.c
	* src/inc.c
	* src/main.c
	* src/mainwindow.c
	* src/mainwindow.h
	* src/matcher.c
	* src/messageview.c
	* src/news.c
	* src/pop.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_logging.c
	* src/prefs_logging.h
	* src/prefs_other.c
	* src/procmsg.c
	* src/send_message.c
	* src/summaryview.c
	* src/common/log.c
	* src/common/log.h
	* src/common/nntp.c
	* src/common/session.c
	* src/common/smtp.c
	* src/common/socket.c
	* src/etpan/imap-thread.c
	* src/gtk/logwindow.c
	* src/gtk/logwindow.h
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/spamassassin/spamassassin.c
		Added debugging of filtering/processing rules.
		The debug log is here 'Tools/Filtering debug window',
		the options there 'Configuration/Preferences/Other/Logging',
		and the log file is ~/.claws-mail/filtering.log.
		Moved protocol log prefs to 'Other/Logging' as well.
		To support such debugging feature, the existing log API has
		been enhanced (common/log.[ch] and gtk/logwindow.[ch]) and
		this impacts many external modules (commits follow).

2007-03-21 [paul]	2.8.1cvs29

	* src/etpan/Makefile.am
	* src/etpan/imap-thread.c
		add missing #include

2007-03-21 [colin]	2.8.1cvs28

	* src/procmime.c
		Fix bug 1157, 'some broken messages confuse 
		mime parser'. Make sure we can't have MimeInfos
		with negative sizes.

2007-03-20 [colin]	2.8.1cvs27

	* src/main.c
		Fix missing \0 on buffer

2007-03-20 [colin]	2.8.1cvs26

	* src/mh.c
		Use make_dir_hier instead of make_dir 
		to create the MH mailbox

2007-03-20 [colin]	2.8.1cvs25

	* src/folder.c
	* src/folder.h
	* src/prefs_account.c
	* src/wizard.c
		Fix default inbox weirdnesses (after wizard,
		if path is Mail, mailbox identifier is #mh/Mailbox,
		and when creating new accounts)

2007-03-20 [colin]	2.8.1cvs24

	* src/account.c
		Write folderlist after adding/deleting accounts
		that have folders

2007-03-20 [colin]	2.8.1cvs23

	* src/imap.c
	* src/remotefolder.h
		Fix bug 1153, 'CM segfaults if IMAP folder is 
		selected while scanning prior to update'

2007-03-17 [paul]	2.8.1cvs22

	* src/main.c
		fix a typo, and be a little more verbose.

2007-03-17 [wwp]	2.8.1cvs21

	* src/inc.c
		Fix a compiler warning.

2007-03-16 [wwp]	2.8.1cvs20

	* tools/Makefile.am
	* tools/README
		Updated to deal w/ the new mairix.sh tool.

2007-03-16 [wwp]	2.8.1cvs19

	* src/action.c
		Fix logics issues around the action IO dialog:
		- disable entry widget and exec button when
		  the exec button is clicked (don't wait for any
		  output line) - fix possible disabling/re-enabling/
		  re-disabling of those widgets
		- raise an error if executing a %as{} action either
		  empty or invalid, instead of failing silently
		- don't close the dialog if the abort button has been
		  clicked and if there was no output yet
		- set focus to the abort button when the exec button
		  is clicked
		- fix capitalization of a warning message

2007-03-16 [wwp]	2.8.1cvs18

	* tools/mairix.sh
		Added a wrapper to mairix to the tools folder.

2007-03-16 [colin]	2.8.1cvs17

	* src/messageview.c
	* src/mimeview.h
		Allow mimeviewer plugins to print
		their stuff

2007-03-16 [colin]	2.8.1cvs16

	* .cvsignore
		Ignore *.patchset

2007-03-15 [colin]	2.8.1cvs15

	* src/messageview.c
	* src/mimeview.h
		Add a way for mimeviewer plugins to
		implement body search

2007-03-15 [paul]	2.8.1cvs14

	* src/prefs_spelling.c
		fix English usage

2007-03-15 [paul]	2.8.1cvs13

	* src/common/quoted-printable.c
		fix decoding of quoted-printable parts

2007-03-14 [wwp]	2.8.1cvs12

	* src/gtk/logwindow.h
		Oops, remove that devel stuff committed w/ 2.8.1cvs11 :\.

2007-03-14 [wwp]	2.8.1cvs11

	* src/gtk/logwindow.h
		Complete 2.8.1cvs10.

2007-03-14 [colin]	2.8.1cvs10

	* src/gtk/logwindow.c
		Probably fix bug 1149, crash on logwindow
		close - at the expense of performance once
		logwin has been opened

2007-03-14 [colin]	2.8.1cvs9

	* src/main.c
		If claws-mail is running on another
		display, warn instead of popping it up
		on the other display

2007-03-12 [colin]	2.8.1cvs8

	* src/wizard.c
		Fix bug 1145, 'Setting a different name 
		for the Mailbox name isn't reflected in 
		default account settings'. Patch by wwp

2007-03-12 [colin]	2.8.1cvs7

	* src/summaryview.c
		Fix bug 1143, 'Add number of messages to be 
		deleted to confirmation dialog'

2007-03-12 [wwp]	2.8.1cvs6

	* src/folderview.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_summaries.c
		Changed the option that displays unread messages count
		next to the folder name in folder list: it is now
		possible to either display nothing, display the
		unread messages number only or the unread and total messages
		numbers. The patch includes this extra feature as well
		as some minor fixes by rewriting the algo in folderview.c.
		Thanks to Paul for the original idea and implementation, plus
		testing and proof-reading!

2007-03-09 [paul]	2.8.1cvs5

	* tools/Makefile.am
	* tools/README
	* tools/claws-mail-compose-insert-files.pl
		added a script which enables inserting files
		into the message body of a new Claws Mail
		Compose window from the command line. Additionally
		To, Cc, Subject and files to attach to the message
		can be specified.

2007-03-09 [wwp]	2.8.1cvs4

	* src/addr_compl.c
	* src/addr_compl.h
	* src/filtering.c
		Optimize matching of addresses in the addressbook
		(filtering/processing 'found_in_addressbook' condition).

2007-03-07 [wwp]	2.8.1cvs3

	* src/quote_fmt.c
	* src/quote_fmt_lex.l
	* src/quote_fmt_parse.y
		Add a new quote format symbol: %A to insert the
		sender email address (just the address itself).

2007-03-06 [wwp]	2.8.1cvs2

	* src/gtk/gtkutils.c
	* src/plugins/trayicon/trayicon_prefs.h
	* src/plugins/trayicon/trayicon_prefs.c
	* src/plugins/trayicon/trayicon.c
	* src/mainwindow.h
	* src/mainwindow.c
		Add a new trayicon (optional) feature: minimize to tray. When enabled,
		minimizing Claws-Mail main window will hide it to the trayicon instead.


2007-03-06 [paul]	2.8.1cvs1

	* NEWS
	* README
	* RELEASE_NOTES
	* configure.ac
		bump version number following
		stable release

2007-03-06 [paul]	2.8.0cvs24

	* po/cs.po
		corrected by by Tim <timbrain@post.cz>

2007-03-05 [colin]	2.8.0cvs23

	* src/Makefile.am
	* src/procmime.c
		Fix mime/globs path on NetBSD
		patch by George Michaelson

2007-03-05 [wwp]	2.8.0cvs22

	* src/addr_compl.c
		Remove debug statement (accidentally committed w/ cvs14).

2007-03-05 [paul]	2.8.0cvs21

	* src/plugins/pgpcore/prefs_gpg.c
		fix compiler warning

2007-03-05 [wwp]	2.8.0cvs20

	* src/matcher_parser_parse.y
		Fix mismerge between cvs17 and cvs19.

2007-03-05 [wwp]	2.8.0cvs19

	* src/matcher_parser_parse.y
	* src/prefs_filtering_action.c
	* src/matcher.c
	* src/matcher.h
	* src/filtering.c
	* src/filtering.h
		Add new 'add_to_addressbook' filtering/processing action.

2007-03-05 [wwp]	2.8.0cvs18

	* src/filtering.c
		Fix mark_as_ham filtering/processing action: spam flag
		was not unset.

2007-03-04 [colin]	2.8.0cvs17

	* src/filtering.c
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser_parse.y
	* src/prefs_filtering_action.c
		Add 'Mark as spam' and 'Mark as ham' filtering
		actions. Fixes bug 1138.

2007-03-04 [colin]	2.8.0cvs16

	* src/imap.c
		Fix bug 1140, wrong return value
		without libetpan

2007-03-04 [wwp]	2.8.0cvs15

	* src/addr_compl.c
		Rollback cvs14: don't free stuff that is managed in g_list.

2007-03-04 [wwp]	2.8.0cvs14

	* src/addr_compl.c
		Fix a leak in address completion code.

2007-03-04 [colin]	2.8.0cvs13

	* src/addr_compl.c
		Maybe fix bug 1136, 'Crash in group 
		address completion'

2007-03-04 [iwkse]	2.8.0cvs12

	* src/imap.c
		fix: alertpanel.h included only in #ifdef HAVE_LIBETPAN

2007-03-03 [colin]	2.8.0cvs11

	* src/plugins/pgpinline/pgpinline.c
		Fix off-by-one, fix double-free. Fixes
		bug 1135, 'cm-segfault on decrypting 
		with PGP/inline'

2007-03-03 [colin]	2.8.0cvs10

	* configure.ac
	* src/main.c
	* src/common/plugin.c
		Fix bug 1134, 'Valgrind macros unhandled 
		by Irix's cc'

2007-03-02 [colin]	2.8.0cvs9

	* src/mbox.c
		Don't error out on EAGAIN. Fixes 
		bug 1129, '"local mbox file" account 
		isn't retrieving mails'

2007-03-01 [wwp]	2.8.0cvs8

	* src/mainwindow.c
	* src/gtk/colorlabel.c
		Remove accels for extra color labels until we set better
		and definitive ones.

2007-02-28 [wwp]	2.8.0cvs7

	* src/mainwindow.c
	* src/matcher_parser_parse.y
	* src/prefs_common.c
	* src/prefs_msg_colors.c
	* src/procmsg.h
	* src/gtk/colorlabel.c
	* src/gtk/colorlabel.h
		Add more customizable color labels. Cleaned up a bit
		the color label API to avoid duplicate defines of
		the max number of colors.

2007-02-27 [colin]	2.8.0cvs6

	* src/mainwindow.c
	* src/common/utils.c
	* src/common/utils.h
		Fix '+' in mailto URIs for List-* headers

2007-02-27 [colin]	2.8.0cvs5

	* src/gtk/gtkutils.c
		Use gtk_window_set_role instead of 
		_set_wmclass

2007-02-27 [colin]	2.8.0cvs4

	* src/inc.c
		Fix "After receiving new mail, go to inbox" on IMAP,
		and make it work only on manual reception

2007-02-27 [wwp]	2.8.0cvs3

	* src/prefs_filtering.c
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
		Update filtering matcher's and action's color label menus
		when re-opening those dialogs (reflect any change to the
		color labels list in the preferences).

2007-02-27 [colin]	2.8.0cvs2

	* src/imap.c
	* src/etpan/etpan-thread-manager-types.h
	* src/etpan/etpan-thread-manager.c
	* src/etpan/imap-thread.c
		Log imap ALERTs as errors in the log.

2007-02-26 [paul]	2.8.0cvs1

	* tools/claws.i18n.status.pl
		updated

2007-02-26 [paul]	2.7.2cvs75

	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/en_GB.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/pl.po
	* po/pt_BR.po
	* po/sk.po
	* po/sr.po
	* po/zh_CN.po
		updated by Miquel Oliete, Tim Brain, Stephan Sachse,
		me, Flammie Pirinen, Fabien Vantard, Pader Rezso,
		Pawel Pekala, Frederico Goncalves Guimaraes, Andrej Kacian,
		Aleksandar Urosevic, and Ralgh Young

2007-02-25 [mones]	2.7.2cvs74

	* po/es.po
		Updated for release

2007-02-25 [colin]	2.7.2cvs73

	* src/main.c
		Clearing the list is only useful
		to prevent a valgrind false-positive

2007-02-25 [paul]	2.7.2cvs72

	* tools/Makefile.am
	* tools/README
	* tools/kmail-mailbox2claws-mail.pl  **ADDED**
	* tools/maildir2claws-mail.pl  **REMOVED**
		renamed the script, fixed a couple bugs

2007-02-23 [colin]	2.7.2cvs71

	* src/addressbook.c
		Fix a leak, check for a few improbable nulls

2007-02-23 [colin]	2.7.2cvs70

	* src/main.c
	* src/main.h
	* src/plugins/trayicon/trayicon.c
		Fix blinking mainwin when starting in tray
		(show mainwindow later in the startup process,
		 apart if restarting post-crash)

2007-02-23 [colin]	2.7.2cvs69

	* src/folderview.c
	* src/imap_gtk.c
		Fix crash when unsubscribing the currently
		selected/opened folder

2007-02-23 [colin]	2.7.2cvs68

	* src/compose.c
		Fix bug that prevented colorization to
		work without wrap quotation option

2007-02-23 [colin]	2.7.2cvs67

	* src/addr_compl.c
		Fix refcounting, start and end completion who
		behaved as if there couldn't be any other current
		user of completion

2007-02-23 [wwp]	2.7.2cvs66

	* src/addressbook.c
	* src/addrindex.c
		Address completion fixes: fix addressbook_peek_folder_exists() in
		which the algorithm was ridiculously over-obfuscated and broken.
		Fix addrindex_load_completion() as well, to load addresses in
		completion list with regards to what addressbook_peek_folder_exists()
		returns now.

2007-02-23 [wwp]	2.7.2cvs65

	* src/addr_compl.c
		Add addresses to completion when they're non-empty (thanks to Colin).

2007-02-23 [paul]	2.7.2cvs64

	* src/plugins/pgpcore/passphrase.c
		remove 'const '

2007-02-23 [colin]	2.7.2cvs63

	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/pgpcore/prefs_gpg.h
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
		Try harder to respect user's choice wrt
		gpg-agent even with gpg2, by unsetting
		GPG_AGENT_INFO when necessary.

2007-02-22 [paul]	2.7.2cvs62

	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpcore/sgpgme.h
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
		Fix a leak - gpgme_data_release_and_get_mem
		leaks in recent gpgme. Workaround by using
		our own function.

2007-02-22 [paul]	2.7.2cvs61

	* src/gtk/quicksearch.c
		Abandon dynamic search when pressing
		Enter

2007-02-21 [colin]	2.7.2cvs60

	* src/procmsg.c
	* src/plugins/pgpcore/passphrase.c
		Fix little memory leaks
	* src/main.c
		Fix false-positive leak at exit
	* src/gtk/quicksearch.c
		Fix potentially big leak in recursive
		Quicksearch

2007-02-21 [wwp]	2.7.2cvs59

	* src/summaryview.c
		Add missing newline to a debug message.

2007-02-20 [colin]	2.7.2cvs58

	* src/Makefile.am
	* src/mimeview.c
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/pixmaps/mime_pgpsig.xpm
		Add icon for application/pgp-signature

2007-02-20 [colin]	2.7.2cvs57

	* src/Makefile.am
	* src/main.c
	* src/mimeview.c
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/pixmaps/mime_calendar.xpm
	* src/pixmaps/mime_pdf.xpm
	* src/pixmaps/mime_ps.xpm
		Add icons for text/calendar, application/pdf
		and application/postscript

2007-02-20 [colin]	2.7.2cvs56

	* autogen.sh
	* src/matcher_parser_parse.y
	* src/matcher_parser_lex.l
		Fix big memory leak in flex, and
		require flex 2.5.31

2007-02-20 [wwp]	2.7.2cvs55

	* src/matcher_parser_parse.y
		Fix a duplicate token definition (thanks to iwkse).

2007-02-20 [wwp]	2.7.2cvs54

	* src/matcher_parser_lex.l
	* src/quote_fmt_lex.l
		Use proper flex options instead of direct use of #define,
		make the flex-generated C lighter.

2007-02-20 [colin]	2.7.2cvs53

	* src/summaryview.c
		Grab focus in message list after hiding
		the quicksearch, instead of leaving it
		"somewhere"

2007-02-19 [colin]	2.7.2cvs52

	* src/folderview.c
		Fix bug 1033, 'Automatically refresh 
		message list when new messages arrives'
		Looks like folderview->opened can sometimes
		be wrong...

2007-02-19 [paul]	2.7.2cvs51

	* tools/Makefile.am
	* tools/README
	* tools/thunderbird-filters-convertor.pl
		add new script which converts thunderbird filter
		rules to Claws filter rules

2007-02-18 [paul]	2.7.2cvs50

	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/pgpcore/prefs_gpg.h
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
		improved GUI interoperability with gpg-agent

2007-02-18 [paul]	2.7.2cvs49

	* src/prefs_account.c
		Privacy options sensitivity fix

2007-02-17 [colin]	2.7.2cvs48

	* src/messageview.c
		Reset icon to warning in the noticeview

2007-02-15 [colin]	2.7.2cvs47

	* src/folderview.c
		Fix a manifestation of bug 1033 (summaryview failing
		to update for new mails), which happens after editing
		account preferences or preferences that cause a 
		folderview reload.

2007-02-15 [colin]	2.7.2cvs46

	* src/addressbook.c
		Probably fix bug 1123, 'Segmentation 
		fault while opening address book'. I get
		g_warnings if the saved paned position is
		not greater than 0. Also, save position
		when hiding the addressbook instead of
		via signal.

2007-02-14 [colin]	2.7.2cvs45

	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/pgpcore/prefs_gpg.h
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
		Add an option "Use gpg-agent if available". Fixes
		annoyances with distro-installed gpg-agent, when
		no pinentry program is installed, and the user's 
		at a loss on why "decryption failed". Makes more
		clear why passphrase isn't saved when gpg-agent is
		used. Defaults to true, to avoid changing the 
		current behaviour.

2007-02-14 [wwp]	2.7.2cvs44

	* src/matcher_parser_parse.y
		Fix missing line number reset (wrong line number might appear
		when re-loading filtering rules if there's a parser error).

2007-02-13 [colin]	2.7.2cvs43

	* src/common/utils.c
		Don't encode ',' in URIs before passing it
		to the browser command-line. It was probably
		done at a time where commas in URIs made
		mozilla -remote 'openurl(%s,new-window)'
		bug.

2007-02-13 [wwp]	2.7.2cvs42

	* src/prefs_matcher.c
	* src/plugins/bogofilter/bogofilter_gtk.c
		A bit of string factorization around "Select ..." buttons.

2007-02-11 [colin]	2.7.2cvs41

	* src/alertpanel.c
		Make sure to escape the title

2007-02-11 [colin]	2.7.2cvs40

	* src/codeconv.c
		Recognize .utf8 locales as .UTF-8 ones

2007-02-11 [colin]	2.7.2cvs39

	* src/compose.c
		Fix code conversion when dragging a file

2007-02-09 [colin]	2.7.2cvs38

	* src/plugins/clamav/clamav_plugin.c
		Complete Paul's patch with conditional
		compilation to avoid breaking compilation
		on old Dapper and Edgy... Maybe other
		distros too.

2007-02-09 [paul]	2.7.2cvs37

	* src/plugins/clamav/clamav_plugin.c
		fix for the upstream changes in libclamav

2007-02-09 [paul]	2.7.2cvs36

	* src/main.c
	* src/mainwindow.c
	* src/procmsg.c
	* src/procmsg.h
		fix "warn if there are queued messages" (on exit)
		option, which only checked the first mailbox's
		queue
		don't ask before emptying trash if there are no
		messages in trash, also check and empty all trash
		folders
	* src/prefs_other.c
		move "Ask before emptying trash" option
		outside of the "On exit" frame as it's
		not only an "On exit" option

2007-02-09 [paul]	2.7.2cvs35

	* src/addrgather.c
	* src/alertpanel.c
	* src/editldap.c
	* src/prefs_account.c
	* src/prefs_folder_item.c
	* src/prefs_gtk.h
	* src/prefs_matcher.c
	* src/prefs_message.c
	* src/prefs_msg_colors.c
	* src/prefs_summaries.c
	* src/wizard.c
	* src/gtk/inputdialog.c
	* src/plugins/bogofilter/bogofilter_gtk.c
		pedantic commit: use 'checkbtn' everywhere
		instead of a mixture of 'checkbtn' and 'chkbtn'

2007-02-09 [paul]	2.7.2cvs34

	* src/compose.c
		fix default hotkeys
	* src/prefs_other.c
	* src/prefs_send.c
		move "Never send Return Receipts" from
		prefs_other to prefs_send
		add an option "Ask about account specific
		filtering rules..." to prefs_other
	* src/gtk/gtkutils.c
		fix a compiler warning

2007-02-08 [colin]	2.7.2cvs33

	* src/plugins/pgpinline/pgpinline.c
		Fix bug 1110, 'pgpmime fails to process 
		encapsulated openpgp mime (rfc 3156, 6.1 
		-> rfc1847)'
		It was due to an interaction between PGP/Mime
		and PGP/Inline plugin. 

2007-02-08 [colin]	2.7.2cvs32

	* src/inc.c
	* src/mbox.c
	* src/mbox.h
		Fix bug 1117, 'fcntl locking code 
		does not work in mbox.c'

2007-02-08 [colin]	2.7.2cvs31

	* src/prefs_account.c
		Fix Gentoo bug 165819, 'can't create 
		a "local mbox file" account'. Patch
		by Olivier <castan.o@free.fr>

2007-02-07 [colin]	2.7.2cvs30

	* src/ldapquery.c
		Fix bug 1106, 'Claws crash on exit if LDAPS 
		autocompletion was used'

2007-02-07 [paul]	2.7.2cvs29

	* src/folder.c
		cut down on unnecessary debug_prints
	* src/imap_gtk.c
		fix menu_set_active() on 'Show only
		subscribed folders'

2007-02-07 [paul]	2.7.2cvs28

	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/clamav/clamav_plugin.h
	* src/plugins/clamav/clamav_plugin_gtk.c
		fix copyright header

2007-02-07 [paul]	2.7.2cvs27

	* src/procheader.c
		fix bug 1116, 'summary view allow a 
		subject line break'

2007-02-06 [colin]	2.7.2cvs26

	* src/summaryview.c
		Fix delete thread

2007-02-05 [fabien]	2.7.2cvs25

	* po/POTFILES.in
	* src/uri_opener.c
		i18n related - 1 fix and 1 message for translators.

2007-02-05 [colin]	2.7.2cvs24

	* src/gtk/quicksearch.c
		Don't reload summary list if quicksearch wasn't
		active on hiding; move currently selected mail in
		the visible area when showing the quicksearch

2007-02-05 [colin]	2.7.2cvs23

	* src/folderview.c
		Add debug to try to solve bug 1104

2007-02-05 [paul]	2.7.2cvs22

	* src/mainwindow.c
		confirm before emptying trash on exit is
		a Yes or No answer, use Yes or No in the
		dialog

2007-02-04 [colin]	2.7.2cvs21

	* src/compose.c
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/pgpcore/select-keys.c
		Set wmclass on new windows

2007-02-04 [colin]

	2.8.0-rc1 released

2007-02-04 [colin]	2.7.2cvs20

	* src/compose.c
	* src/compose.h
		Auto save drafts on exit, reopen them
		at startup, instead of asking
	* src/account.c
	* src/addressadd.c
	* src/addressbook.c
	* src/addressbook_foldersel.c
	* src/addrgather.c
	* src/crash.c
	* src/editaddress.c
	* src/editbook.c
	* src/editgroup.c
	* src/editjpilot.c
	* src/editldap.c
	* src/editldap_basedn.c
	* src/editvcard.c
	* src/exphtmldlg.c
	* src/expldifdlg.c
	* src/export.c
	* src/foldersel.c
	* src/gedit-print.c
	* src/import.c
	* src/importldif.c
	* src/importmutt.c
	* src/importpine.c
	* src/main.c
	* src/mainwindow.c
	* src/message_search.c
	* src/messageview.c
	* src/prefs_actions.c
	* src/prefs_customheader.c
	* src/prefs_display_header.c
	* src/prefs_filtering.c
	* src/prefs_filtering_action.c
	* src/prefs_folder_column.c
	* src/prefs_gtk.c
	* src/prefs_matcher.c
	* src/prefs_other.c
	* src/prefs_summaries.c
	* src/prefs_summary_column.c
	* src/prefs_template.c
	* src/sourcewindow.c
	* src/ssl_manager.c
	* src/summary_search.c
	* src/uri_opener.c
	* src/gtk/about.c
	* src/gtk/description_window.c
	* src/gtk/foldersort.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/icon_legend.c
	* src/gtk/logwindow.c
	* src/gtk/pluginwindow.c
	* src/gtk/prefswindow.c
		Give different wmclass to different
		windows - thanks to sed ;)

2007-02-04 [colin]	2.7.2cvs19

	* src/main.c
		Revert previous patch, can't reproduce
		it anymore. 

2007-02-03 [colin]	2.7.2cvs18

	* src/main.c
		Don't save the mainwindow size and
		position on emergency exit (libSM's
		"die" callback), Xfce seems to make
		the window smaller just before the
		size's saved.

2007-02-03 [colin]	2.7.2cvs17

	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpinline/pgpinline.h
		Fix more copyrights

2007-02-03 [colin]	2.7.2cvs16

	* src/partial_download.c
	* src/partial_download.h
	* src/ssl_manager.c
	* src/ssl_manager.h
	* src/uri_opener.c
	* src/uri_opener.h
	* src/wizard.c
	* src/wizard.h
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
	* src/gtk/sslcertwindow.c
	* src/gtk/sslcertwindow.h
		Fix copyright on my files

2007-02-02 [colin]	2.7.2cvs15

	* src/Makefile.am
	* src/mainwindow.c
	* src/messageview.c
	* src/messageview.h
	* src/textview.c
	* src/textview.h
	* src/uri_opener.c
	* src/uri_opener.h
		Add Tools/List URIs to allow
		opening any URI in the current mail

2007-02-02 [colin]	2.7.2cvs14

	* src/common/valgrind.h ** NEW FILE **
	* src/common/Makefile.am
	* src/common/plugin.c
		Don't dlclose the plugins if we're running
		under valgrind. (doesn't require valgrind
		either at compile time or run time).

2007-02-01 [paul]	2.7.2cvs13

	* AUTHORS
	* src/gtk/authors.h
	* tools/freshmeat_search.pl
	* tools/google_search.pl
	* tools/multiwebsearch.pl
		add support for non ISO-8859-1 compatible locales
		Patch by Alex Gorbachenko <agent_007@immo.ru>

2007-02-01 [colin]	2.7.2cvs12

	* src/prefs_other.c
	* src/prefs_summaries.c
		Move keybinding prefs to the Other page

2007-02-01 [wwp]	2.7.2cvs11

	* src/plugins/trayicon/trayicon.c
		Fix a raising issue within KDE.

2007-02-01 [colin]	2.7.2cvs10

	* src/codeconv.c
		Fix stray quotes in encoded strings
	* src/addressadd.c
		Fix wrong call causing g_warnings
	* src/textview.c
		Remove useless message

2007-01-31 [wwp]	2.7.2cvs9

	* src/plugins/trayicon/trayicon.c
		fix buggy hiding of main window when closing if close-to-tray
		is not set (bad logics 	in the trayicon hook code).
		Changed the quit confirmation message too.

2007-01-30 [colin]	2.7.2cvs8

	* src/main.c
		Fix hidden mainwindow after clicking on
		the X close button, if compose windows
		exist and the user chooses not to quit

2007-01-30 [colin]	2.7.2cvs7

	* src/main.c
	* src/compose.c
		Handle local URIs to attach files (file:///...)
		Fixes attaching files from Thunar for example

2007-01-30 [colin]	2.7.2cvs6

	* src/prefs_ext_prog.c
		Add 'mousepad' to the list of text editors.
		Mousepad is XFCE's text editor

2007-01-29 [wwp]	2.7.2cvs5

	* po/POTFILES.in
	* src/plugins/trayicon/trayicon_prefs.c
		trayicon i18n fixes, thanks to Fabien.

2007-01-28 [wwp]	2.7.2cvs4

	* src/mainwindow.c
	* src/mainwindow.h
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/trayicon_prefs.c
	* src/plugins/trayicon/trayicon_prefs.h
		Added a new TrayIcon plugin option to close to tray
		(WM's hotkey and [X] button will hide the window instead
		of closing it - closing CM can be done using the tray icon
		menu or the File menu).
		Improved visibility handling in trayicon, clicking the
		trayicon now raise the window to current desktop when it
		was either minimized/shaded/on another desktop.
		Thanks to Paul for testing and fixing a strange behaviour
		in KDE ;-).

2007-01-27 [paul]	2.7.2cvs3

	* src/prefs_folder_item.c
	* src/prefs_receive.c
	* src/plugins/pgpcore/prefs_gpg.c
		use 'start-up' instead of 'startup' in labels

2007-01-26 [wwp]	2.7.2cvs2

	* src/plugins/trayicon/Makefile.am
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/trayicon_prefs.c
	* src/plugins/trayicon/trayicon_prefs.h
		Add a new TrayIcon option to hide the main window at
		start-up.
		Fix trayicon.c copyright header.

2007-01-26 [paul]	2.7.2cvs1

	* NEWS
	* README
	* RELEASE_NOTES
	* configure.ac
		bump up version number following
		stable release

2007-01-25 [mones]	2.7.1cvs60

	* po/es.po
		updated thousands of strings (well, probably less ;-)

2007-01-25 [colin]	2.7.1cvs59

	* src/matcher.c
		Fix 2nd-run loss of matcherrc on new
		configurations. 

2007-01-25 [wwp]	2.7.1cvs58

	* src/mimeview.c
		fix handling of empty value in attach_save_directory too, thanks
		to Colin.

2007-01-25 [wwp]	2.7.1cvs57

	* src/gtk/filesel.c
		fix handling of empty value in attach_load_directory,
		thanks to Colin.

2007-01-25 [wwp]	2.7.1cvs56

	* src/plugins/dillo_viewer/dillo_prefs.h
		fix a typo.

2007-01-25 [colin]	2.7.1cvs55

	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser_parse.y
	* src/prefs_matcher.c
		Add matching on the spam flag

2007-01-24 [colin]	2.7.1cvs54

	* src/folder.c
	* src/common/xml.c
	* src/common/xml.h
		Make sure folderlist.xml is correctly
		written before overwriting it.
	* src/procmsg.c
	* src/procmsg.h
	* src/summaryview.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin.h
	* src/plugins/spamassassin/spamassassin_gtk.c
		Move spam to the correct trash folder after
		learning, if spam directory isn't set.

2007-01-23 [paul]	2.7.1cvs53

	* src/plugins/bogofilter/bogofilter_gtk.c
		fix sensitivity of "Insert X-Bogosity header"
		option

2007-01-23 [colin]	2.7.1cvs52

	* src/toolbar.c
		Translate toolbar items text if
		they're translatable (default)
	* src/addrcache.c
	* src/addrcache.h
	* src/addritem.c
	* src/addritem.h
	* src/codeconv.c
	* src/codeconv.h
	* src/jpilot.c
	* src/jpilot.h
	* src/ldapctrl.c
	* src/ldapctrl.h
	* src/ldapquery.h
	* src/ldif.c
	* src/ldif.h
	* src/etpan/etpan-thread-manager.c
	* src/etpan/etpan-thread-manager.h
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
		More static functions

2007-01-22 [fabien]	2.7.1cvs51

	* src/gtk/gtkutils.c
		gtkut_get_options_frame() : ability to pass
		a 'NULL' value in frame pointer parameter if
		we don't need it.

2007-01-22 [colin]	2.7.1cvs50

	* src/procmsg.c
	* src/procmsg.h
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		Allow moving spams to the account's trash
		instead of default one

2007-01-21 [colin]	2.7.1cvs49

	* src/ldapquery.c
	* src/ldapquery.h
		Revert a static function that shouldn't
		have been

2007-01-21 [colin]	2.7.1cvs48

	* src/ldapquery.c
	* src/ldapquery.h
		Same

2007-01-21 [colin]	2.7.1cvs47

	* src/procmsg.c
	* src/procmsg.h
		Same

2007-01-21 [colin]	2.7.1cvs46

	* src/common/socket.c
	* src/common/socket.h
		Same

2007-01-21 [colin]	2.7.1cvs45

	* src/crash.c
	* src/exporthtml.c
	* src/exporthtml.h
	* src/exportldif.c
	* src/exportldif.h
	* src/folder.c
	* src/folder.h
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/folderview.c
	* src/folderview.h
	* src/gedit-print.c
	* src/gedit-print.h
	* src/main.c
	* src/main.h
	* src/common/socket.c
	* src/common/socket.h
	* src/gtk/gtkaspell.c
	* src/gtk/gtkaspell.h
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Same

2007-01-21 [colin]	2.7.1cvs44

	* src/common/utils.c
	* src/common/utils.h
	* src/etpan/etpan-thread-manager.c
	* src/etpan/etpan-thread-manager.h
		Same (Funny that etpan_thread_unbind
		is called but not etpan_thread_bind)

2007-01-21 [colin]	2.7.1cvs43

	* src/addrselect.c
	* src/addrselect.h
	* src/codeconv.c
	* src/codeconv.h
	* src/compose.c
	* src/compose.h
	* src/etpan/Makefile.am
	* src/gtk/colorlabel.c
	* src/gtk/colorlabel.h
	* src/gtk/sslcertwindow.c
	* src/gtk/sslcertwindow.h
	* src/etpan/etpan-log.c ** REMOVED **
	* src/etpan/etpan-log.h ** REMOVED **
		Same

2007-01-20 [colin]	2.7.1cvs42

	* src/addritem.c
	* src/addritem.h
		Same

2007-01-20 [colin]	2.7.1cvs41

	* src/account.c
	* src/account.h
	* src/addrbook.c
	* src/addrbook.h
	* src/addrcache.c
	* src/addrcache.h
	* src/addrclip.c
	* src/addrclip.h
	* src/addressbook.c
	* src/addressbook.h
	* src/addrharvest.c
	* src/addrharvest.h
	* src/addrindex.c
	* src/addrindex.h
	* src/editaddress.c
	* src/editaddress.h
		Make functions that aren't used in other
		files static

2007-01-20 [colin]	2.7.1cvs40

	* src/account.c
	* src/addrbook.c
	* src/addrcache.c
	* src/addressbook.c
	* src/addrgather.c
	* src/addrindex.c
	* src/addrquery.c
	* src/addrselect.c
	* src/browseldap.c
	* src/compose.c
	* src/editbook.c
	* src/editjpilot.c
	* src/editldap.c
	* src/editldap_basedn.c
	* src/editvcard.c
	* src/exporthtml.c
	* src/exportldif.c
	* src/folder.c
	* src/folderview.c
	* src/image_viewer.c
	* src/imap.c
	* src/importmutt.c
	* src/importpine.c
	* src/jpilot.c
	* src/ldapquery.c
	* src/main.c
	* src/mainwindow.c
	* src/matcher.c
	* src/messageview.c
	* src/mh.c
	* src/mimeview.c
	* src/msgcache.c
	* src/mutt.c
	* src/news.c
	* src/pine.c
	* src/prefs_account.c
	* src/prefs_common.c
	* src/prefs_compose_writing.c
	* src/prefs_ext_prog.c
	* src/prefs_folder_item.c
	* src/prefs_fonts.c
	* src/prefs_message.c
	* src/prefs_msg_colors.c
	* src/prefs_other.c
	* src/prefs_quote.c
	* src/prefs_receive.c
	* src/prefs_send.c
	* src/prefs_spelling.c
	* src/prefs_summaries.c
	* src/prefs_toolbar.c
	* src/prefs_wrapping.c
	* src/privacy.c
	* src/procmime.c
	* src/procmsg.c
	* src/ssl_manager.c
	* src/statusbar.c
	* src/summaryview.c
	* src/toolbar.c
	* src/vcard.c
	* src/common/hooks.c
	* src/common/log.c
	* src/common/passcrypt.c
	* src/common/socket.c
	* src/common/ssl.c
	* src/common/ssl_certificate.c
	* src/common/template.c
	* src/common/utils.c
	* src/etpan/imap-thread.c
	* src/gtk/sslcertwindow.c
	* src/gtk/sslcertwindow.h
		Make functions that could be static, static

2007-01-20 [colin]	2.7.1cvs39

	* src/editldap.c
		Fix tooltip

2007-01-20 [colin]	2.7.1cvs38

	* src/ldapquery.c
	* src/ldaputil.c
	* src/ldaputil.h
		Fix bug 1102, 'claws-mail-2.7.1 
		makes use of deprecated ldap 
		functions'

2007-01-20 [colin]	2.7.1cvs37

	* src/mainwindow.c
	* src/mainwindow.h
	* src/summaryview.c
	* src/gtk/quicksearch.c
		Add Wide message list layout

2007-01-19 [fabien]	2.7.1cvs36

	* src/textview.c
		make sure a font change is considered in links of
		headerview.

2007-01-19 [colin]	2.7.1cvs35

	* src/main.c
	* src/mainwindow.c
	* src/mainwindow.h
	* src/messageview.c
	* src/messageview.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/summaryview.c
	* src/summaryview.h
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Drop 'Separate Folder tree' and 'Separate
		Message View'. Put three layouts in place
		of it.

2007-01-19 [paul]	2.7.1cvs34

	* src/prefs_msg_colors.c
		more use of Q_ for translators

2007-01-19 [paul]	2.7.1cvs33

	* src/imap_gtk.c
	* src/prefs_account.c
		a few changes to the English

2007-01-19 [fabien]	2.7.1cvs32

	* src/wizard.c
		factorize translatable string

2007-01-18 [colin]	2.7.1cvs31

	* src/main.c
		Don't error out on --sync option. Although
		we don't do anything with it, gtk+ handles
		it, and it's useful for debugging X errors

2007-01-18 [fabien]	2.7.1cvs30

	* src/prefs_other.c
		ability to apply on the fly the recent added
		'gtk_can_change_accels' pref (no need to restart).

2007-01-18 [fabien]	2.7.1cvs29

	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/addr_compl.c
	* src/prefs_account.c
		factorize or rewrite some translatable strings.

2007-01-18 [fabien]	2.7.1cvs28

	* src/prefs_gtk.h
	* src/compose.c
		set a 4pix space between "Subject:" label and subject entry in
		compose window.

2007-01-18 [wwp]	2.7.1cvs27

	* src/addressbook.c
		fix conflicting address-copy/paste when focus is set
		to the embedded edit-person form.
 

2007-01-18 [wwp]	2.7.1cvs26

	* src/addressbook.h
		complete 2.7.1cvs23 (one more file was missing from that
		commit).

2007-01-18 [colin]	2.7.1cvs25

	* src/main.c
		Provide a way to migrate without backup
		Re-ask for migration on next start if 
		it has been refused and wizard has been 
		cancelled after.

2007-01-18 [wwp]	2.7.1cvs24

	* src/editaddress.c
		complete 2.7.1.cvs23 (file was missing from previous
		commit).

2007-01-18 [wwp]	2.7.1cvs23

	* src/addressbook.c
		fix potential crashes in address book's focus_in/out signal handlers,
		force focus to the edit-person form when clicked the Edit menu entry or
		button (this only matters if the edit-person form is embedded to the
		AB window, in that case, focus is not set when browsing the contacts
		list w/ keys or mouse clicks).

2007-01-18 [paul]	2.7.1cvs22

	* src/main.c
		add command line options:
		-h for --help
		-q and --quit for --exit
		-v for --version
		print "Unknown option" for unknown options

2007-01-18 [paul]	2.7.1cvs21

	* po/ru.po
		updated by Pavlo Bohmat

2007-01-18 [paul]	2.7.1cvs20

	* src/mainwindow.c
		fix sensitivity issues of Mark as Spam/Ham

2007-01-17 [fabien]	2.7.1cvs19

	* src/prefs_other.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/main.c
		Add a 'gtk_can_change_accels' pref in Preferences/Other which
		control the corresponding gtk property. It could be used to lock
		all shortcuts (avoid to set one of them by inadvertency).

2007-01-17 [colin]	2.7.1cvs18

	* src/summaryview.c
		Fix bug 1100, 'Highlighted e-mail data not visible 
		when color label applied.'. Use a weighted average
		between normal selected foreground color and color
		label instead of a simple one (3/1 instead 1/1).

2007-01-17 [colin]	2.7.1cvs17

	* src/messageview.c
		Better fix for bug 1088, 'Ctrl-h produces repeatable
                crash' - don't prevent mail switching while loading

2007-01-17 [colin]	2.7.1cvs16

	* src/folder.c
	* src/folder.h
	* src/folderview.c
	* src/folderview.h
	* src/imap.c
	* src/imap.h
	* src/imap_gtk.c
		Manage recursive search of unsubscribed folders
		Rescan tree without checking for new messages 
		after subscriptions changed

2007-01-17 [paul]	2.7.1cvs15

	* src/prefs_common.c
	* src/gtk/pluginwindow.c
		fix bug 1101, '"Load plugin" button is
		accidentally hidden'
		unset (-1) initial width in prefs_common,
		fix overlapping buttons,
		and other cleanups

2007-01-17 [paul]	2.7.1cvs14

	* src/procmime.c
		add #include <errno.h>, it's needed
		on some systems

2007-01-17 [paul]	2.7.1cvs13

	* src/common/defs.h
	* tools/make.themes.project
		rename .sylpheed_themeinfo to .claws_themeinfo
		and use it
	* src/etpan/etpan-errors.h
	* src/etpan/etpan-log.c
	* src/etpan/etpan-log.h
	* src/etpan/etpan-thread-manager-types.h
	* src/etpan/etpan-thread-manager.c
	* src/etpan/etpan-thread-manager.h
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
		add copyright header

2007-01-17 [colin]	2.7.1cvs12

	* src/plugins/pgpcore/select-keys.c
	* src/gtk/pluginwindow.c
	* src/prefs_account.c
		Fix warnings

2007-01-16 [colin]	2.7.1cvs11

	* src/imap.c
	* src/imap.h
	* src/imap_gtk.c
		Manage subscribing to subfolders when only
		subscribed folders are shown.

2007-01-16 [colin]	2.7.1cvs10

	* src/folderview.c
		Fix annoying vscrollbar going back to top
		on Check for new folders

2007-01-16 [colin]	2.7.1cvs9

	* src/imap.c
		Remove printf

2007-01-16 [colin]	2.7.1cvs8

	* src/filtering.c
		Bigger buffer for errors
	* src/imap.c
	* src/imap.h
	* src/imap_gtk.c
	* src/prefs_account.c
	* src/prefs_account.h
	* src/wizard.c
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
	* manual/handling.xml
		Add subscriptions management. What it changes:
		Creating a folder subscribes to it
		Deleting a folder unsubscribes it
		New contextual menu item allowing to switch between
		All folders and Subscribed folders, subscribe, and
		unsubscribe. "Creating" an existing but unsubscribed
		folder will subscribe it.
		By default for new accounts, only subscribed folders 
		are shown.


2007-01-16 [paul]	2.7.1cvs7

	* src/summaryview.c
		Allow folder classes to specify only sort_key or
		sort_type instead of both or none.

2007-01-16 [paul]	2.7.1cvs6

	* src/action.c
	* src/compose.c
	* src/mimeview.c
	* src/procmime.c
	* src/textview.c
		Save and use errno for procmime_get_part

2007-01-16 [colin]	2.7.1cvs5

	* src/imap.c
		Never remove INBOX when scanning for
		new folders. It's a special folder
		that has to exist.

2007-01-15 [colin]	2.7.1cvs4

	* src/imap.c
		Fix 'Check for new folders' when IMAP subdirectory
		is set
	* src/etpan/imap-thread.c
		Fix build

2007-01-15 [colin]	2.7.1cvs3

	* src/etpan/imap-thread.c
		Fix invalid free on command-connection
		error

2007-01-15 [wwp]	2.7.1cvs2

	* src/matcher_parser_lex.l
	* src/quote_fmt_lex.l
	* src/matcher_parser_parse.y
		fix copyright header in lexers and parsers.

2007-01-15 [paul]	2.7.1cvs1

	* NEWS
	* README
	* RELEASE_NOTES
	* configure.ac
		bump up version number following
		stable release

2007-01-15 [paul]	2.7.0cvs31

	* AUTHORS
	* src/gtk/authors.h
		add Fabien to the Team list
		add the recent contributors
		make a few corrections

2007-01-15 [paul]	2.7.0cvs30

	* src/mainwindow.c
		fix compiler warning
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/pgpcore/prefs_gpg.h
		add missing include
		fix copyright header

2007-01-14 [colin]	2.7.0cvs29

	* src/gtk/filesel.c
		Use the 'gtk+' backend. Avoids gnome-vfs use,
		two benefits: faster to open, will fix strange
		dbus-related crash. Thanks to Pascal Terjan.

2007-01-14 [colin]	2.7.0cvs28

	* src/etpan/imap-thread.c
		Delete the old imap just after allocating
		the new one. Makes sure we don't get the
		same pointer by sheer luck, which feels
		strange in the debug log.

2007-01-14 [colin]	2.7.0cvs27

	* src/gtk/inputdialog.c
		Make sure we don't print passwords in
		clear text when in debug mode

2007-01-14 [colin]	2.7.0cvs26

	* src/gtk/gtksctree.c
		Fix bug 1098, 'bogus last row display 
		after expanding a thread'. Patch by
		Jindrich Makovicka <makovick@gmail.com>

2007-01-14 [colin]	2.7.0cvs25

	* src/etpan/imap-thread.c
		Close socket manually before
		freeing the imap struct

2007-01-14 [colin]	2.7.0cvs24

	* src/etpan/imap-thread.c
		Maybe fix new reconnection issues

2007-01-13 [colin]	2.7.0cvs23

	* src/summaryview.c
		Freeze/thaw on thread selection

2007-01-13 [paul]	2.7.0cvs22

	* src/mainwindow.c
	* src/summaryview.c
	* src/summaryview.h
		add 'Edit/Delete thread'

2007-01-13 [colin]	2.7.0cvs21

	* src/prefs_account.c
	* src/prefs_compose_writing.c
	* src/prefs_message.c
	* src/prefs_msg_colors.c
	* src/prefs_other.c
	* src/prefs_receive.c
	* src/prefs_spelling.c
	* src/prefs_summaries.c
	* src/prefs_themes.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		Factorize gtk frame creation
		Patch by Pawel

2007-01-13 [colin]	2.7.0cvs20

	* src/message_search.c
	* src/summary_search.c
		Fix Enter in search windows
	* src/messageview.c
		Fix body search starting at the
		end of the mail (and asking for loop)

2007-01-13 [colin]	2.7.0cvs19

	* src/etpan/imap-thread.c
		Make sure we don't free the same imap
		twice

2007-01-13 [colin]	2.7.0cvs18

	* commitHelper
		Allow multiple commitHelpers to
		run at once

2007-01-12 [colin]	2.7.0cvs17

	* src/etpan/imap-thread.c
		Make sure we get rid of the previous mailimap
		when connecting - just in case disconnect was
		unclean

2007-01-12 [paul]	2.7.0cvs16

	* src/compose.c
		Strip S/MIME signatures when re-editing
		S/MIME signed messages.

2007-01-12 [paul]	2.7.0cvs15

	* configure.ac
	* src/addressbook.c
	* src/foldersel.c
	* src/folderview.c
	* src/main.c
		no need to define CLAWS anymore, remove
		all that stuff

2007-01-12 [paul]	2.7.0cvs14

	* src/mimeview.c
		check if the mail's signed as
		it can change the mail structure
		Thanks to Colin

2007-01-12 [paul]	2.7.0cvs13

	* src/procmime.c
		fix Forwarding msgs with attachments
		that have dos line endings
		Thanks to Colin

2007-01-12 [wwp]	2.7.0cvs12

	* configure.ac
		Revert accidentally committed extra version tag.

2007-01-12 [wwp]	2.7.0cvs11

	* src/prefs_account.c
		Fix compilation w/o aspell (completes 2.7.0cvs7).

2007-01-11 [colin]	2.7.0cvs10

	* src/imap.c
		move g_warning to debug_print
		it scares people for no reason

2007-01-11 [colin]	2.7.0cvs9

	* po/POTFILES.in
		Fix files to translate. Patch by
		Fabien

2007-01-11 [paul]	2.7.0cvs8

	* src/imap.c
		Fix recursion when server lists the
		current subfolder in the response
	* src/mimeview.c
		Fix updating of icon_list/ctree
	* src/plugins/pgpcore/select-keys.c
		Fix a few annoyances when choosing
		keys for the CMS (S/MIME) protocol

2007-01-11 [wwp]	2.7.0cvs7

	* src/compose.c
	* src/prefs_account.c
	* src/prefs_account.h
		Add per-account spellcheck default dictionaries settings.

2007-01-10 [colin]	2.7.0cvs6

	* src/prefs_folder_item.c
		Factorize strings - patch by Fabien

2007-01-10 [colin]	2.7.0cvs5

	* src/mainwindow.c
		Fix bug 1095, 'Crash while changing folder 
		columns during incorporation'

2007-01-09 [colin]	2.7.0cvs4

	* src/gtk/pluginwindow.c
		Set the plugin window transient. Seems
		like some window managers hide it in
		the background after "load plugin"...

2007-01-09 [colin]	2.7.0cvs3

	* src/gtk/filesel.c
		Use the same type for alloc and free

2007-01-08 [paul]	2.7.0cvs2

	* po/nl.po
		updated by Tim Dijkstra

2007-01-08 [paul]	2.7.0cvs1

	* src/prefs_themes.c
	* src/common/utils.c
		Fix resource leaks

2007-01-08 [paul]	2.7.0

	* NEWS
	* README
	* RELEASE_NOTES
		2.7.0 released

2007-01-08 [paul]	2.6.1cvs119

	* doc/man/claws-mail.1
		another correction

2007-01-08 [paul]	2.6.1cvs118

	* doc/man/claws-mail.1
		corrections
	* manual/advanced.xml
		improved English usage

2007-01-08 [paul]	2.6.1cvs117

	* po/ca.po
	* po/de.po
	* po/en_GB.po
	* po/fi.po
	* po/it.po
	* po/pt_BR.po
	* po/sk.po
	* po/sr.po
	* po/zh_CN.po
		updated by Miquel Oliete, Stephan Sachse, me,
		Tommi Pirinen, Andrea Spadaccini, Frederico
		Goncalves Guimaraes, Andrej Kacian, Aleksandar
		Urosevic, and Ralgh Young

2007-01-07 [mones]	2.6.1cvs116

	* manual/es/advanced.xml
	* po/es.po
		Synced manual (unhide mark_as_read_delay)
		and updated translation for release

2007-01-07 [paul]	2.6.1cvs115

	* src/prefs_matcher.c
		make the hbox content fit better under
		various languages

2007-01-07 [colin]	2.6.1cvs114

	* src/messageview.c
		Fix bug 1088, 'Ctrl-h produces repeatable
		crash'

2007-01-06 [colin]	2.6.1cvs113

	* src/etpan/imap-thread.c
		Add casts to int to get certs. Fixes
		bug 1064, 'crash @ etpan_certificate_check() 
		when opening an IMAP folder', with latest
		libetpan CVS or >= 0.49
	* src/mainwindow.c
	* src/mainwindow.h
	* src/imap_gtk.c
	* src/news_gtk.c
	* src/prefs_folder_item.c
		Grey out the "synchronise" menu items if
		there's nothing to synchronise.
	* src/plugins/pgpcore/sgpgme.c
		Make an error clearer than "Unknown error"

2007-01-06 [colin]	2.6.1cvs112

	* src/messageview.c
		Don't try to show a message if updating
		Maybe fixes bug 1088, 'ctrl-h produces
		repeatable crash'.

2007-01-06 [colin]	2.6.1cvs111

	* src/summaryview.c
		Disable Control-Space (handle it as Space).

2007-01-05 [paul]	2.6.1cvs110

	* src/imap.c
		Fix bug 934, 'sylpheed claws 2.1 
		doesn't show Exchanges Public Folders'
		Thanks to Hoa and Colin
	* src/msgcache.c
		Refuse to allocate more than 2 MB for a 
		single field, it's a good indication of
		cache corruption.

2007-01-05 [colin]	2.6.1cvs109

	* src/mainwindow.c
		Allow --select'ing emails by Message-ID too

2007-01-05 [colin]	2.6.1cvs108

	* src/common/quoted-printable.c
		Uh! Third fix :)

2007-01-05 [colin]	2.6.1cvs107

	* src/common/quoted-printable.c
		Fix previous commit about bug 1089
		Thanks to Ralf

2007-01-05 [colin]	2.6.1cvs106

	* src/common/quoted-printable.c
		Fix my previous commit on bug 1089
		- Thanks to Ralf :)

2007-01-04 [colin]	2.6.1cvs105

	* src/common/quoted-printable.c
		Fix bug 1089, 'NUL characters in Subject 
		line are misinterpreted'. Not a pain to
		fix in fact.

2007-01-04 [colin]	

	2.7.0-rc3 released

2007-01-04 [wwp]	2.6.1cvs104

	* src/image_viewer.c
		Force operator precedence (fix a compiler warning).

2007-01-04 [colin]	2.6.1cvs103

	* src/image_viewer.c
		Be cautious there too (same fix as the one
		in textview from cvs33)
	* src/messageview.c
		Don't use any MimeViewer plugin when showing
		all headers

2007-01-03 [wwp]	2.6.1cvs102

	* src/html.c
	* src/html.h
		fixed "cent" sign (use the existing ASCII one),
		decode more HTML entities,
		converted table ASCII entries to UTF-8,
		moved a switch() into a hashtable.

2007-01-03 [paul]	2.6.1cvs101

	* src/compose.c
	* src/messageview.c
	* src/procmsg.c
	* src/procmsg.h
		When possible, use move_msg instead of
		copy_msg + remove_msg to move sent mail
		from Queue to Sent. 

2007-01-03 [paul]	2.6.1cvs100

	* src/html.c
		add more html entity recognition:
		pounds, euros, and cents

2007-01-03 [colin]	2.6.1cvs99

	* src/imap_gtk.c
		Don't display an error on NOSELECT
		folders when synchronising

2007-01-03 [paul]	2.6.1cvs98

	* tools/maildir2claws-mail.pl
		only substitute 'sent-mail' if it's
		the full directory name

2007-01-03 [paul]	2.6.1cvs97

	* ChangeLog
	* ChangeLog.pre2.0.0
	* Makefile.am
		archive a chunk of ChangeLog in
		ChangeLog.pre2.0.0
	* ChangeLog.gtk1
	* doc/src/ChangeLog.claws-pre0.8.0
		remove ChangeLog.claws-pre0.8.0, adding
		its contents to ChangeLog.gtk1

2007-01-03 [paul]	2.6.1cvs96

	* src/account.c
	* src/account.h
	* src/action.c
	* src/action.h
	* src/adbookbase.h
	* src/addr_compl.c
	* src/addr_compl.h
	* src/addrbook.c
	* src/addrcache.c
	* src/addrcache.h
	* src/addrcindex.c
	* src/addrcindex.h
	* src/addrclip.c
	* src/addrclip.h
	* src/addrdefs.h
	* src/addressadd.c
	* src/addressadd.h
	* src/addressbook.c
	* src/addressbook.h
	* src/addressbook_foldersel.c
	* src/addressbook_foldersel.h
	* src/addrgather.c
	* src/addrgather.h
	* src/addrharvest.c
	* src/addrharvest.h
	* src/addrindex.c
	* src/addrindex.h
	* src/addritem.c
	* src/addritem.h
	* src/addrquery.c
	* src/addrquery.h
	* src/addrselect.c
	* src/addrselect.h
	* src/alertpanel.c
	* src/alertpanel.h
	* src/browseldap.c
	* src/browseldap.h
	* src/codeconv.c
	* src/codeconv.h
	* src/compose.c
	* src/compose.h
	* src/customheader.c
	* src/customheader.h
	* src/displayheader.c
	* src/displayheader.h
	* src/editaddress.c
	* src/editaddress.h
	* src/editbook.c
	* src/editbook.h
	* src/editgroup.c
	* src/editgroup.h
	* src/editjpilot.c
	* src/editjpilot.h
	* src/editldap.c
	* src/editldap.h
	* src/editldap_basedn.c
	* src/editldap_basedn.h
	* src/editvcard.c
	* src/editvcard.h
	* src/exphtmldlg.c
	* src/exphtmldlg.h
	* src/expldifdlg.c
	* src/expldifdlg.h
	* src/export.c
	* src/export.h
	* src/exporthtml.c
	* src/exporthtml.h
	* src/exportldif.c
	* src/exportldif.h
	* src/filtering.c
	* src/filtering.h
	* src/folder.c
	* src/folder.h
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/foldersel.c
	* src/foldersel.h
	* src/folderutils.c
	* src/folderutils.h
	* src/folderview.c
	* src/folderview.h
	* src/grouplistdialog.c
	* src/grouplistdialog.h
	* src/headerview.c
	* src/html.c
	* src/html.h
	* src/image_viewer.c
	* src/image_viewer.h
	* src/imap.c
	* src/imap.h
	* src/imap_gtk.c
	* src/imap_gtk.h
	* src/import.c
	* src/import.h
	* src/importldif.c
	* src/importldif.h
	* src/importmutt.c
	* src/importmutt.h
	* src/importpine.c
	* src/importpine.h
	* src/inc.c
	* src/inc.h
	* src/jpilot.c
	* src/jpilot.h
	* src/ldapctrl.c
	* src/ldapctrl.h
	* src/ldaplocate.c
	* src/ldaplocate.h
	* src/ldapquery.c
	* src/ldapquery.h
	* src/ldapserver.c
	* src/ldapserver.h
	* src/ldaputil.c
	* src/ldaputil.h
	* src/ldif.c
	* src/ldif.h
	* src/main.c
	* src/main.h
	* src/mainwindow.c
	* src/mainwindow.h
	* src/manual.c
	* src/manual.h
	* src/mbox.c
	* src/message_search.c
	* src/message_search.h
	* src/messageview.c
	* src/messageview.h
	* src/mh.c
	* src/mh.h
	* src/mh_gtk.c
	* src/mh_gtk.h
	* src/mimeview.c
	* src/mimeview.h
	* src/msgcache.c
	* src/msgcache.h
	* src/mutt.c
	* src/mutt.h
	* src/news.c
	* src/news.h
	* src/news_gtk.c
	* src/news_gtk.h
	* src/partial_download.c
	* src/partial_download.h
	* src/pine.c
	* src/pine.h
	* src/pop.c
	* src/pop.h
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_actions.c
	* src/prefs_actions.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_compose_writing.c
	* src/prefs_compose_writing.h
	* src/prefs_customheader.c
	* src/prefs_customheader.h
	* src/prefs_display_header.c
	* src/prefs_display_header.h
	* src/prefs_filtering.c
	* src/prefs_filtering.h
	* src/prefs_filtering_action.c
	* src/prefs_filtering_action.h
	* src/prefs_folder_column.c
	* src/prefs_folder_column.h
	* src/prefs_folder_item.c
	* src/prefs_folder_item.h
	* src/prefs_fonts.c
	* src/prefs_fonts.h
	* src/prefs_gtk.c
	* src/prefs_gtk.h
	* src/prefs_image_viewer.c
	* src/prefs_image_viewer.h
	* src/prefs_matcher.c
	* src/prefs_matcher.h
	* src/prefs_message.c
	* src/prefs_msg_colors.c
	* src/prefs_msg_colors.h
	* src/prefs_other.c
	* src/prefs_quote.c
	* src/prefs_receive.c
	* src/prefs_send.c
	* src/prefs_spelling.c
	* src/prefs_spelling.h
	* src/prefs_summaries.c
	* src/prefs_summaries.h
	* src/prefs_summary_column.c
	* src/prefs_summary_column.h
	* src/prefs_template.c
	* src/prefs_template.h
	* src/prefs_themes.c
	* src/prefs_themes.h
	* src/prefs_toolbar.c
	* src/prefs_toolbar.h
	* src/prefs_wrapping.c
	* src/prefs_wrapping.h
	* src/privacy.c
	* src/privacy.h
	* src/procheader.c
	* src/procheader.h
	* src/procmime.c
	* src/procmime.h
	* src/procmsg.c
	* src/procmsg.h
	* src/quote_fmt.c
	* src/quote_fmt_parse.y
	* src/recv.c
	* src/recv.h
	* src/remotefolder.c
	* src/remotefolder.h
	* src/send_message.c
	* src/send_message.h
	* src/setup.c
	* src/setup.h
	* src/sourcewindow.c
	* src/sourcewindow.h
	* src/ssl_manager.c
	* src/ssl_manager.h
	* src/statusbar.c
	* src/statusbar.h
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/summary_search.c
	* src/summary_search.h
	* src/summaryview.c
	* src/summaryview.h
	* src/textview.c
	* src/textview.h
	* src/toolbar.c
	* src/toolbar.h
	* src/undo.c
	* src/undo.h
	* src/unmime.c
	* src/unmime.h
	* src/vcard.c
	* src/vcard.h
	* src/wizard.c
	* src/wizard.h
	* src/common/base64.c
	* src/common/base64.h
	* src/common/defs.h
	* src/common/hooks.c
	* src/common/hooks.h
	* src/common/log.c
	* src/common/log.h
	* src/common/mgutils.c
	* src/common/mgutils.h
	* src/common/nntp.c
	* src/common/nntp.h
	* src/common/passcrypt.c
	* src/common/passcrypt.h.in
	* src/common/plugin.c
	* src/common/plugin.h
	* src/common/prefs.c
	* src/common/prefs.h
	* src/common/progressindicator.c
	* src/common/progressindicator.h
	* src/common/quoted-printable.c
	* src/common/quoted-printable.h
	* src/common/session.c
	* src/common/session.h
	* src/common/smtp.c
	* src/common/smtp.h
	* src/common/socket.c
	* src/common/socket.h
	* src/common/ssl.c
	* src/common/ssl.h
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
	* src/common/stringtable.c
	* src/common/stringtable.h
	* src/common/template.c
	* src/common/template.h
	* src/common/timing.h
	* src/common/utils.c
	* src/common/utils.h
	* src/common/version.h.in
	* src/common/xml.c
	* src/common/xml.h
	* src/common/xmlprops.c
	* src/common/xmlprops.h
	* src/gtk/about.c
	* src/gtk/colorlabel.c
	* src/gtk/colorsel.c
	* src/gtk/colorsel.h
	* src/gtk/combobox.c
	* src/gtk/combobox.h
	* src/gtk/description_window.c
	* src/gtk/description_window.h
	* src/gtk/filesel.c
	* src/gtk/filesel.h
	* src/gtk/foldersort.c
	* src/gtk/foldersort.h
	* src/gtk/gtksctree.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/inputdialog.c
	* src/gtk/inputdialog.h
	* src/gtk/logwindow.c
	* src/gtk/logwindow.h
	* src/gtk/manage_window.c
	* src/gtk/manage_window.h
	* src/gtk/menu.c
	* src/gtk/menu.h
	* src/gtk/pluginwindow.c
	* src/gtk/pluginwindow.h
	* src/gtk/prefswindow.c
	* src/gtk/prefswindow.h
	* src/gtk/progressdialog.c
	* src/gtk/progressdialog.h
	* src/gtk/sslcertwindow.c
	* src/gtk/sslcertwindow.h
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/clamav/clamav_plugin.h
	* src/plugins/clamav/clamav_plugin_gtk.c
	* src/plugins/demo/demo.c
	* src/plugins/dillo_viewer/dillo_prefs.c
	* src/plugins/dillo_viewer/dillo_prefs.h
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/pgpcore/passphrase.h
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/pgp_viewer.h
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpcore/select-keys.c
	* src/plugins/pgpcore/select-keys.h
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpcore/sgpgme.h
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpinline/pgpinline.h
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/pgpmime.h
	* src/plugins/pgpmime/plugin.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin.h
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/trayicon.c
		it's 2007, update the year in the copyright headers

2007-01-03 [paul]	2.6.1cvs95

	* src/gtk/about.c
		it is 2007, use it in the copyright string

2007-01-03 [paul]	2.6.1cvs94

	* src/html.c
		html entity conversion:
		move &#153; to a more suitable place
		add &bull; and &ndash;
		make sure &mdash; and &#8212; are both
		converted the same

2007-01-02 [colin]	2.6.1cvs93

	* src/addrbook.c
		Fix leak
	* src/common/plugin.c
		Add comment
	* src/etpan/imap-thread.c
		Fix warning

2006-12-31 [paul]	2.6.1cvs92

	* src/prefs_summaries.c
		use gtk_button_new_from_stock()

2006-12-30 [colin]	2.6.1cvs91

	* src/folder.c
	* src/imap_gtk.c
	* src/mh_gtk.c
		Don't update filtering and account paths 
		when copying folders

2006-12-30 [colin]	2.6.1cvs90

	* src/prefs_compose_writing.c
	* src/prefs_quote.c
	* src/prefs_template.c
		Use message font for Writing and 
		Quoting prefs, as well as Templates.

2006-12-30 [colin]	2.6.1cvs89

	* src/prefs_summaries.c
		Rework GUI; patch by Pawel

2006-12-29 [colin]	2.6.1cvs88

	* src/prefs_folder_item.c
		Fix bug 1085, 'Apply to subfolder 
		doesn't work' - I was mistaken saying
		it worked in every case

2006-12-28 [colin]	2.6.1cvs87

	* src/gtk/gtkaspell.c
		Don't assert if use_alternate is true
		and alt_dictionary isn't set -- this 
		is what happens on upgrade! Rather,
		do with it.

2006-12-28 [colin]	2.6.1cvs86

	* Makefile.am
		Fix desktop/icon simplification

2006-12-28 [colin]	2.6.1cvs85

	* Makefile.am
		Make desktop and icon not 
		dependant on the desktop

2006-12-28 [wwp]	2.6.1cvs84

	* src/plugins/pgpmime/claws.def
		Add missing symbol (discards gpg4win's 03-plugins-symbols.patch).

2006-12-28 [wwp]	2.6.1cvs83

	* src/prefs_folder_item.c
		Fix coloring of "simplify subject regexp" (folder prefs),
		which might be left to red whereas the regexp gets empty.

2006-12-28 [wwp]	2.6.1cvs82

	* src/prefs_common.c
	* src/prefs_common.h
	* src/addressbook.c
	* src/addressitem.h
		Save addressbook mainwindow's horizontal and vertical splitter position.

2006-12-27 [wwp]	2.6.1cvs81

	* src/gtk/gtkaspell.c
	* src/gtk/gtkaspell.h
	* src/compose.c
		Fix assignment of compose's default and alternate dictionary from
		account or folder settings. Now gtkaspell_change_dict does rotate
		dicts only when it's called from a menu cb.

2006-12-27 [wwp]	2.6.1cvs80

	* src/folder_item_prefs.c
		Fix randomly initialized default-alt-dictionary (folder prefs),
		complete 2.6.1cvs72.

2006-12-27 [paul]	2.6.1cvs79

	* src/imap_gtk.c
	* src/mh_gtk.c
		Add Copy folder in the folder's contextual
		menu

2006-12-27 [wwp]	2.6.1cvs78

	* src/imap.c
		Clean up session locking, thanks to Colin.

2006-12-26 [colin]	2.6.1cvs77

	* src/statusbar.c
		Revert previous patch

2006-12-26 [colin]	2.6.1cvs76

	* src/folder.c
	* src/folderview.c
	* src/imap.c
	* src/statusbar.c
	* src/etpan/imap-thread.c
		Fix previous commit warnings
		Make statusbar update every second if total < 20
		Make IMAP APPEND faster by simplifying log		

2006-12-26 [colin]	2.6.1cvs75

	* src/folder.c
	* src/folder.h
	* src/folderview.c
	* src/folderview.h
	* src/imap_gtk.c
	* src/mh_gtk.c
		Make it possible to copy folders accross
		mailboxes (this was an arbitrary limitation).
		Still make it impossible to move folders 
		accross mailboxes.

2006-12-26 [colin]	2.6.1cvs74

	* src/etpan/imap-thread.c
		Fix bug 1081, 'claws-mail 
		segfaults when going offline 
		while it transfers mails via 
		imap'

2006-12-26 [colin]	2.6.1cvs73

	* src/folder_item_prefs.c
		Don't forget alt dictionary when
		renaming/moving folders

2006-12-26 [wwp]	2.6.1cvs72

	* src/folder_item_prefs.c
		Add missing defaults for per-folder alt dict
		(forgotten in 2.6.1cvs61).

2006-12-26 [colin]	2.6.1cvs71

	* src/wizard.c
		Add tooltip to state that specifying
		full path to mailbox is possible

2006-12-26 [wwp]	2.6.1cvs70

	* src/partial_download.c
	* src/gtk/gtkvscrollbutton.c
	* src/plugins/pgpinline/plugin.c
		Fix for few compiler warnings that matter.

2006-12-25 [colin]	2.6.1cvs69

	* src/partial_download.c
		Fix marking for download or deletion
		when the header isn't the first
	* src/gtk/logwindow.c
		Fix start of scrolling

2006-12-23 [paul]	2.6.1cvs68

	* src/compose.c
		change last commit to use the 'academic'
		method instead. Thanks to wwp

2006-12-23 [paul]	2.6.1cvs67

	* src/compose.c
		don't warn about empty subject when
		redirecting

2006-12-22 [colin]	2.6.1cvs66

	* src/summary_search.c
		Fix previous patch

2006-12-22 [colin]	2.6.1cvs65

	* src/gtk/gtkutils.c
	* src/imap.c
	* src/jpilot.c
	* src/summary_search.c
		A few warning fixes

2006-12-23 [paul]	

	2.7.0-rc2 released

2006-12-22 [colin]	2.6.1cvs64

	* src/toolbar.c
	* src/toolbar.h
		Add a combo to the learn spam button
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/bogofilter/bogofilter.h
		Allow to store Unsure mails in a specific
		folder to make better teaching easier

2006-12-21 [wwp]	2.6.1cvs63

	* src/compose.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_spelling.c
	* src/gtk/gtkaspell.c
	* src/gtk/gtkaspell.h
		Allow spell-checking using both current and alternate dictionaries
		(thanks to Colin).

2006-12-21 [wwp]	2.6.1cvs62

	* src/gtk/gtkaspell.c
		Apply recheck_when_changing_dict (highlight all mispelled words)
		when switching to alternate dictionary.

2006-12-21 [wwp]	2.6.1cvs61

	* src/compose.c
	* src/folder_item_prefs.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_folder_item.c
	* src/prefs_spelling.c
	* src/gtk/gtkaspell.c
	* src/gtk/gtkaspell.h
		Add global and per-folder prefs to set the default
		alternate dictionary.

2006-12-21 [colin]	2.6.1cvs60

	* src/folder.c
		Look for folders by path in all folders
	* src/html.c
		add &mdash;

2006-12-20 [colin]	2.6.1cvs59

	* src/gtk/quicksearch.c
		Make sure in_typing is false when clearing

2006-12-20 [wwp]	2.6.1cvs58

	* configure.ac
		change manual's target dir to be LFH-compliant (thanks to Colin).

2006-12-20 [wwp]	2.6.1cvs57

	* src/prefs_common.c
	* src/prefs_summaries.c
		i18n fix and factorize patch, thanks to Fabien.

2006-12-20 [paul]	2.6.1cvs56

	* configure.ac
		last of the renaming (??)
	* src/main.c
		correct --help info of --status-full
	* src/plugins/bogofilter/bogofilter.c
		make FALSE default of whitelist_ab

2006-12-19 [colin]	2.6.1cvs55

	* src/jpilot.c
		Same as before, without depending on
		pisock >= 0.12

2006-12-19 [colin]	2.6.1cvs54

	* src/jpilot.c
		Fix bug 1059, 'Better jpilot charset 
		handling'. Use libpisync's charset conversion
		if possible

2006-12-19 [colin]	2.6.1cvs53

	* po/fr.po
		Updated by Fabien

2006-12-19 [wwp]	2.6.1cvs52

	* src/gtk/about.c
		Add missing #include (thanks to Colin).

2006-12-19 [wwp]	2.6.1cvs51

	* src/prefs_receive.c
		Better spacing between widgets in prefs.

2006-12-18 [colin]	2.6.1cvs50

	* src/imap.c
		Fix failure to get separator on LIST "" ""
		Try LIST "" "INBOX" too.

2006-12-18 [wwp]	2.6.1cvs49

	* src/common/session.c
		Fix a compiler warning (thanks to Fabien).

2006-12-18 [wwp]	2.6.1cvs48

	* src/compose.c
	* src/prefs_quote.c
		Factorize some strings for translation (it's about error
		messages when applying or checking template/quote format).

2006-12-18 [colin]	2.6.1cvs47

	* Makefile.am
	* src/common/defs.h
	* src/gtk/Makefile.am
	* src/gtk/about.c
		Add a Release notes tab from the contents of
		$(DOCDIR)/RELEASE_NOTES. Patch by Fabien.

2006-12-17 [colin]	2.6.1cvs46

	* src/mimeview.c
	* src/textview.c
	* src/gtk/filesel.c
		Correctly convert from/to UTF8/filename encoding
		when loading and saving files. Probably fixes
		bug 1068, 'Claws-Mail uses 100% CPU when looking 
		for a file to attach and is blocked...'

2006-12-17 [colin]	2.6.1cvs45

	* src/gtk/logwindow.c
		Fix bug 1067, 'Claws-Mail uses 100% CPU on an 
		IMAP folder and is blocked on main thread': 
		make sure we put utf8 in the log.

2006-12-16 [colin]	2.6.1cvs44

	* src/toolbar.c
	* src/toolbar.h
		Fix bug 1055, 'Add the 'cancel receive' 
		in the available events for the toolbar buttons'

2006-12-16 [colin]	2.6.1cvs43

	* po/POTFILES.in
	* src/imap.c
	* src/common/nntp.c
	* src/common/session.c
		Log error when SSL handshakes fail. 
		Fixes bug 1082, 'incorrect / imprecise 
		error message when imap server provides 
		ssl only through STARTTLS but SSL is 
		selected'

2006-12-15 [wwp]	2.6.1cvs42

	* src/plugins/bogofilter/bogofilter_gtk.c
		set proper sensitivity to widgets I've recently added.

2006-12-15 [colin]	

	2.7.0-rc1 released

2006-12-15 [wwp]	2.6.1cvs41

	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
		bogofilter's whitelist can now use a subset of
		the addressbook (either a book, a subfolder of a book,
		or the whole addressbook by using "Any"). Re-used there
		some pref_matcher widgets and mechanisms to match a subset
		of the addressbook.

2006-12-15 [wwp]	2.6.1cvs40

	* src/wizard.c
	* src/common/plugin.c
	* src/common/plugin.h
	* src/gtk/about.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/demo/demo.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/plugin.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/trayicon/trayicon.c
		factorize some translatable strings (plugins-related),
		fix missing punctuation in several places,
		remove useless translatable \n in about.c,
		and factorize plugin init code w/ a new function
		check_plugin_version() in common/plugin.c.
		Patch by Fabien Vantard <fzzzzz@gmail.com>.

2006-12-15 [wwp]	2.6.1cvs39

	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter_gtk.c
		flag whitelisted spams as spam, but don't filter it to the spam
		folder. Thanks to Colin.

2006-12-15 [ticho]	2.6.1cvs38

	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
		Add option to whitelist senders found in addressbook. Patch by colin.

2006-12-15 [paul]	2.6.1cvs37

	* src/folderview.c
		add missing #include "log.h"

2006-12-15 [paul]	2.6.1cvs36

	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
		Add an option to allow inserting an
		X-Claws-Bogosity header (on MH folders
		only). Patch by Colin

2006-12-14 [colin]	2.6.1cvs35

	* src/main.c
		"Yes" should be the default choice for
		migration configuration

2006-12-14 [paul]	2.6.1cvs34

	* src/prefs_summaries.c
	* manual/advanced.xml
		Unhide mark_as_read_delay

2006-12-14 [paul]	2.6.1cvs33

	* src/messageview.c
	* src/messageview.h
	* src/mimeview.c
	* src/mimeview.h
	* src/summaryview.c
	* src/textview.c
	* src/textview.h
		Fix printing of selection
		Fix printing of message parts
		Fix printing of images
	* src/gtk/gtksourceprintjob.c
		Fix page count when there are images

2006-12-14 [wwp]	2.6.1cvs32

	* src/mainwindow.c
	* src/summaryview.c
	* src/summaryview.h
	* src/gtk/quicksearch.c
		fix quicksearch 'magnify' button status when QS is closed
		using the Escape key, thanks to Colin.

2006-12-14 [wwp]	2.6.1cvs31

	* src/mainwindow.c
	* src/summaryview.c
	* src/summaryview.h
	* src/gtk/quicksearch.c
		fix quicksearch 'magnify' button status when QS is closed
		using the Escape key, thanks to Colin.

2006-12-13 [colin]	2.6.1cvs30

	* src/ldapquery.c
	* src/ldaputil.c
		Use the binary safe version of ldap_get_values,
		to make sure we manipulate null-terminated 
		strings. Maybe fixes bug 1075, 'claws mail 
		segfault when completing ldap adresses'
	* src/syldap.c ** REMOVED **
	* src/syldap.h ** REMOVED **
		Remove dead files

2006-12-13 [mones]	2.6.1cvs29

	* po/es.po
		Fixed piped strings, fixed click translation

2006-12-13 [paul]	2.6.1cvs28

	* src/main.c
		don't translate these strings

2006-12-13 [paul]	2.6.1cvs27

	* po/en_GB.po
		updated

2006-12-13 [colin]	2.6.1cvs26

	* src/main.c
	* src/main.h
		Add claws_is_starting()

2006-12-13 [mones]	2.6.1cvs25

	* manual/es/advanced.xml
	* po/es.po
		Synced manual and updated translation

2006-12-12 [colin]	2.6.1cvs24

	* src/wizard.c
		Add an option to use STARTTLS in the
		welcome wizard. Fixes bug 1080, 
		'Using SSL option in wizard for incoming 
		server does not activate SSL with STARTTLS'

2006-12-12 [colin]	2.6.1cvs23

	* src/main.c
		Don't exit when there's an incomplete
		mailbox configured - leaves a chance 
		to fix a failing IMAP account. Exit
		if no mailbox at all is loaded (case
		of missing plugin).
		Completes bug 1077's fix (I was wrong
		in this bug's comment #3).

2006-12-12 [colin]	2.6.1cvs22

	* src/gtk/menu.h
		Add another menu data type
	* src/prefs_account.c
		Complete the completion of bug 1076
		(doesn't lose the pref on apply)

2006-12-12 [paul]	2.6.1cvs21

	* src/prefs_account.c
		complete the fix of bug 1076
		also be more verbose with the text

2006-12-12 [paul]	2.6.1cvs20

	* src/gtk/combobox.c
		fix compilation warning

2006-12-11 [colin]	2.6.1cvs19

	* src/wizard.c
		Document :port in server entry tooltips

2006-12-11 [colin]	2.6.1cvs18

	* src/main.c
		Fix compile

2006-12-11 [colin]	2.6.1cvs17

	* src/main.c
		Add failing IMAP as a reason for no
		mailbox

2006-12-11 [colin]	2.6.1cvs16

	* src/prefs_account.c
		Check for existence of inbox for local
		accounts too
	* src/wizard.c
		Allow setting the port to use for servers
		by using the usual "server.example.com:port"
		syntax. Fixes bug 1077, 'sylpheed-claws does 
		not start when IMAP server is unavailable'

2006-12-11 [colin]	2.6.1cvs15

	* src/prefs_account.c
		Prevent use of non-existing default inbox

2006-12-11 [colin]	2.6.1cvs14

	* src/prefs_account.c
		Fix sensitivity. Fixes bug 1076, 'privacy 
		options are displayed even when pgp plugin 
		not loaded / available'

2006-12-09 [colin]	2.6.1cvs13

	* manual/advanced.xml
	* src/prefs_common.c
	* src/prefs_common.h
	* src/common/ssl_certificate.c
		Add a new hidden preference, 'unsafe_ssl_certs',
		which allows to store multiple certificates per
		server/port. This is disabled by default because
		it's less secure (presenting a new certificate
		instead of a changed one raises less alarms).
		This will cause Claws to ask about an unknown
		certificate for people who have used 2.6.1cvs8
		or greater.

2006-12-09 [colin]	2.6.1cvs12

	* src/action.c
		Fix cache updating after action

2006-12-07 [wwp]	2.6.1cvs11

	* src/compose.c
		fix email address comparison when replying to all
		(avoid replying to ourselves), thanks to Colin.

2006-12-06 [paul]	2.6.1cvs10

	* src/addrharvest.c
	* src/editldap.c
	* src/expldifdlg.c
	* src/news.c
	* src/toolbar.c
	* src/common/utils.c
		...and more renaming
		Thanks to Colin

2006-12-06 [paul]	2.6.1cvs9

	* src/compose.c
	* src/messageview.c
	* src/procheader.c
	* src/procmime.c
	* src/procmsg.c
	* src/textview.c
		more renaming
		Thanks to Colin

2006-12-06 [colin]	2.6.1cvs8

	* src/ssl_manager.c
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
		Handle multiple certificates per host/port

2006-12-06 [colin]	2.6.1cvs7

	* src/etpan/imap-thread.c
		Fix certificate checking on IMAP

2006-12-06 [colin]	2.6.1cvs6

	* src/folderview.c
		Fix bug 1072, 'Claws stops fetching newsgroups 
		from server when newsgroup got deleted': continue
		checking other groups

2006-12-05 [wwp]	2.6.1cvs5

	* src/message_search.c
	* src/summary_search.c
	* src/gtk/combobox.c
	* src/gtk/combobox.h
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
		make up and down arrow keys in modern gtk_combo_box_entry widgets
		behave like w/ old comboboxes (summary and message search only).

2006-12-05 [paul]	2.6.1cvs4

	* src/wizard.c
		encode headers
		Thanks to Colin

2006-12-05 [paul]	2.6.1cvs3

	* tools/README
	* tools/textviewer.pl
		script updated and description added

2006-12-04 [colin]	2.6.1cvs2

	* src/compose.c
		Run pre-send hook only when checking
		everything

2006-12-04 [paul]	2.6.1cvs1

	* NEWS
	* README
	* RELEASE_NOTES
	* configure.ac
	* tools/README
		bump up version number following stable release

2006-12-04 [paul]	2.6.0cvs83

	* README
		updates and corrections

2006-12-04 [colin]	2.6.0cvs82

	* src/common/utils.c
		Probably fix bug 1066, 'Incorrect mailbox 
		size displayed'

2006-12-04 [colin]	2.6.0cvs81

	* src/common/utils.c
		Trim tabs from mailcap file too.

2006-12-02 [paul]	2.6.0cvs80

	* src/exphtmldlg.c
		fix broken GUI under certain languages
	* src/expldifdlg.c
		put the Cancel button to the right

2006-12-01 [paul]	2.6.0cvs79

	* tools/Makefile.am
		remove reference to removed file

2006-12-01 [wwp]	2.6.0cvs78

	* src/addressbook.c
	* src/editaddress.c
		remove forgotten debug statements.

2006-12-01 [wwp]	2.6.0cvs77

	* manual/advanced.xml
	* manual/fr/advanced.xml
	* src/addressbook.c
	* src/addressbook.h
	* src/addressitem.h
	* src/editaddress.c
	* src/editaddress.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
		add a hidden option to allow embedding the editaddress (edit contact details)
		dialog into the addressbook's window. This doesn't change the default
		behaviour.

2006-12-01 [wwp]	2.6.0cvs76

	* src/message_search.c
	* src/summary_search.c
		fix more focus issues (don't set focus to combobox's entry widget when
		entry's value changed, if entry widget has focus already).

2006-12-01 [wwp]	2.6.0cvs75

	* src/gtk/quicksearch.c
		revert last changes to the quicksearch gtk_combo_box, this needs more
		tuning and testing.

2006-12-01 [paul]	2.6.0cvs74

	* tools/kdeservicemenu/README
	* tools/kdeservicemenu/claws-mail-kdeservicemenu.pl
	* tools/kdeservicemenu/install.sh
	* tools/kdeservicemenu/template_claws-mail-attach-files.desktop
	* tools/kdeservicemenu/template_claws-mail-compress-attach.desktop
		simplify this stuff, and in so doing,
		fix it. (possibly re-extend it again at
		a later date)

2006-12-01 [wwp]	2.6.0cvs73

	* src/gtk/quicksearch.c
		adapt quicksearch code to use modern gtk_combo_box'es.

2006-12-01 [wwp]	2.6.0cvs72

	* src/common/defs.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/message_search.c
	* src/summary_search.c
	* src/gtk/combobox.c
	* src/gtk/combobox.h
		add history combos to all message and summary search fields.

2006-12-01 [wwp]	2.6.0cvs71

	* src/summaryview.c
		As the list may change while the mark as read delay
		runs, we can't rely on the 'row' pointer, which can
		be invalid when the timeout is called. As the mark
		as read is only done if the message is still selected,
		use summaryview->selected instead. Thanks to Colin.

2006-11-30 [paul]	2.6.0cvs70

	* src/textview.c
		give emphasis to "Sylpheed-Claws"
		as well as "Claws Mail"

2006-11-30 [colin]	2.6.0cvs69

	* src/wizard.c
		Put the SSL checkboxes in the receiving
		and sending server pages.

2006-11-29 [colin]	2.6.0cvs68

	* src/gtk/gtkutils.c
	* src/gtk/gtkvscrollbutton.c
		Revert some deprecated fixes - they seem to
		deprecate stuff as soon as a new one gets out.
		g_object_ref_sink needed glib-2.10.

2006-11-29 [colin]	2.6.0cvs67

	* src/common/utils.c
		Create .mailcap if it doesn't exist

2006-11-29 [colin]	2.6.0cvs66

	* src/compose.c
		Followup to cvs60: use original list
		of recipients if replying to a mail
		in Sent Drafts or Queue.

2006-11-27 [paul]	2.6.0cvs65

	* src/image_viewer.c
		revert the last change for now (it's broken)

2006-11-27 [paul]	2.6.0cvs64

	* Makefile.am
	* configure.ac
	* m4/aclocal-include.m4
	* m4/check-type.m4
	* src/Makefile.am
	* src/addr_compl.c
	* src/compose.c
	* src/crash.c
	* src/export.c
	* src/exporthtml.c
	* src/exportldif.c
	* src/imap.c
	* src/import.c
	* src/main.c
	* src/main.h
	* src/matcher.c
	* src/mimeview.c
	* src/procmsg.c
	* src/textview.c
	* src/common/Makefile.am
	* src/common/claws.c
	* src/common/claws.h
	* src/common/ssl.c
	* src/common/sylpheed.c
	* src/common/sylpheed.h
	* src/etpan/Makefile.am
	* src/gtk/Makefile.am
	* src/gtk/claws-marshal.list
	* src/gtk/filesel.c
	* src/gtk/gtksctree.c
	* src/gtk/quicksearch.c
	* src/gtk/sylpheed-marshal.list
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/clamav/clamav_plugin_gtk.c
	* src/plugins/demo/demo.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpcore/claws.def
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpcore/sylpheed.def
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpinline/claws.def
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpinline/sylpheed.def
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/pgpmime/claws.def
	* src/plugins/pgpmime/plugin.c
	* src/plugins/pgpmime/sylpheed.def
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/trayicon.c
		yet more renaming
		remove deprecated gtk_tooltips_set_delay()

2006-11-26 [paul]	2.6.0cvs63

	* src/expldifdlg.c
	* src/folderview.c
	* src/image_viewer.c
	* src/mainwindow.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkvscrollbutton.c
	* src/gtk/prefswindow.c
	* src/plugins/pgpcore/prefs_gpg.c
		replace more deprecated GTK+ functions

2006-11-26 [paul]	2.6.0cvs62

	* src/addr_compl.c
	* src/addressbook.c
	* src/browseldap.c
		replace deprecated gtk_idle_... functions

2006-11-26 [paul]	2.6.0cvs61

	* src/compose.c
	* src/folderview.c
	* src/inc.c
	* src/summaryview.c
	* src/gtk/gtkvscrollbutton.c
	* src/gtk/quicksearch.c
	* src/plugins/pgpcore/passphrase.c
		replace deprecated gtk_timeout_add and
		gtk_timeout_remove

2006-11-26 [paul]	2.6.0cvs60

	* src/compose.c
		fix bug that caused the wrong recipient
		to be selected when replying to a msg
		which is From one of our accounts to
		another of our accounts

2006-11-25 [paul]	2.6.0cvs59

	* src/summaryview.c
		don't change the From column title to
		To if the To column is visible

2006-11-24 [paul]	2.6.0cvs58

	* src/compose.c
		fix bug 1069, 'Sent mails disappear, BCC
		or locking problem?'

2006-11-21 [wwp]	2.6.0cvs57

	* src/compose.c
		fix spelling menu when replying (same as 2.3.1cvs39):
		discrepancy between context menu and top menu when
		folder's dictionary isn't the default one.

2006-11-19 [paul]	2.6.0cvs56

	* src/summaryview.c
		obey always_show_msg option when
		marking as spam
	* src/plugins/bogofilter/bogofilter.c
		fix typo

2006-11-18 [paul]	2.6.0cvs55

	* AUTHORS
	* README
	* debian/copyright
	* manual/ack.xml
	* manual/es/ack.xml
	* manual/fr/ack.xml
	* manual/pl/ack.xml
	* src/gtk/authors.h
	* src/gtk/icon_legend.c
	* src/gtk/icon_legend.h
	* tools/OOo2claws-mail.pl
	* tools/README
	* tools/acroread2claws-mail.pl
	* tools/claws.i18n.status.pl
	* tools/filter_conv.pl
	* tools/filter_conv_new.pl
	* tools/freshmeat_search.pl
	* tools/google_search.pl
	* tools/kmail2claws-mail.pl
	* tools/kmail2claws-mail_v2.pl
	* tools/maildir2claws-mail.pl
	* tools/make.themes.project
	* tools/multiwebsearch.pl
	* tools/outlook2claws-mail.pl
	* tools/tb2claws-mail
	* tools/kdeservicemenu/README
	* tools/kdeservicemenu/claws-mail-kdeservicemenu.pl
		update mine and wwp's email addresses in
		several places
		Patch by wwp
	* src/prefs_compose_writing.c
		set sensitivity on 'new message format' frame

2006-11-17 [paul]	2.6.0cvs54

	* src/gtk/about.c
		more reworking of the GUI
		Patch by Fabien Vantard

2006-11-16 [paul]	2.6.0cvs53

	* src/gtk/about.c
		set a minimum size for the window, allow
		it to automatically expand as necessary

2006-11-16 [wwp]	2.6.0cvs52

	* src/gtk/about.c
		better wrap of copyright info on some systems.

2006-11-16 [paul]	2.6.0cvs51

	* src/gtk/about.c
		move the tech info from the upper panel
		to the Info tab
		use a gtk_text_view for the features tab

2006-11-16 [paul]	2.6.0cvs50

	* po/Makevars
		update my email address
	* src/addressbook.c
	* src/compose.c
	* src/imap_gtk.c
	* src/mh_gtk.c
	* src/news_gtk.c
	* src/summaryview.c
	* src/plugins/trayicon/trayicon.c
		don't offer simple menu separators
		for translation
	* src/folderview.c
		add separator between 'mark all read'
		and 'search folder'

2006-11-15 [wwp]	2.6.0cvs49

	* src/gtk/authors.h
		updated manuals authors.

2006-11-14 [paul]	2.6.0cvs48

	* src/compose.c
		Fix Options/Reply mode after draft save

2006-11-14 [paul]	2.6.0cvs47

	* src/Makefile.am
		Fix make DESTDIR=...
	* src/mbox.c
		Optimise speed
	* src/plugins/pgpinline/pgpinline.c
		Probably fix bug 1061

2006-11-14 [paul]	2.6.0cvs46

	* po/Makevars
		enable Q_ macro
	* src/Makefile.am
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/gtk/about.c
	* src/pixmaps/active.xpm
	* src/pixmaps/inactive.xpm
		add a new page, 'Features', to the About dialog
		showing which features are compiled in and which
		are not

2006-11-14 [paul]	2.6.0cvs45

	* po/ru.po
		updated by Pavlo Bohmat

2006-11-14 [colin]	2.6.0cvs44

	* src/compose.c
	* src/inc.c
	* src/messageview.c
	* src/news.c
	* src/pop.c
	* src/procmsg.c
	* src/gtk/gtkaspell.c
		Fix 64-bit-related warnings
	* src/ssl_manager.c
		Fix possible infinite loop
	* src/plugins/pgpcore/sgpgme.c
		Remove useless check

2006-11-13 [colin]	2.6.0cvs43

	* src/gtk/Makefile.am
		authors.h isn't generated

2006-11-13 [colin]	2.6.0cvs42

	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
		Very probably fix bug 1061, 'crash on 
		opening signed email'. Another cast
		problem

2006-11-13 [colin]	2.6.0cvs41

	* src/plugins/pgpcore/sgpgme.c
		Maybe fix bug 1061, 'crash on opening 
		signed email'

2006-11-13 [wwp]	2.6.0cvs40

	* src/plugins/pgpinline/pgpinline.c
		fix candidate for bug #1057, thanks to Colin.

2006-11-13 [wwp]	2.6.0cvs39

	* src/compose.c
	* src/quote_fmt_parse.y
		fix bug 1052: current parser buffer was not always 
		allocated, ptr to this buffer could be returned as 
		NULL whereas no parser error has occurred. in 
		consequence, defining a template body as "%d" 
		(w/o the quotes) for the first time of the instance 
		of claws-mail, was reporting a parser error. make 
		sure that the buffer is always allocated, even to 
		an empty string.
		fix mis-unescaping in compose.:compose_quote_fmt(): 
		unescaping of the fmt string was always done 
		whereas it must be done *only* when receiving 
		quote format strings issued from the prefs 
		(compose new message, reply, forward, redirect 
		formats), *not* when applying templates.  in 
		consequences, applying templates w/ sequences 
		like \\|p{echo} were failing. make sure that 
		unescaping is done only when necessary.

2006-11-12 [colin]	2.6.0cvs38

	* po/de.po
		Fix typo (s/KB/MB)

2006-11-12 [colin]	2.6.0cvs37

	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
		Release GPG context at the latest 
		possible moment. Maybe fixes 
		bug 1057, 'crash on sending signed 
		message to a newsgroup'
		

2006-11-12 [colin]	2.6.0cvs36

	* src/plugins/pgpcore/sgpgme.c
		Tell a bit more when gpg's status doesn't
		contain any signature

2006-11-12 [colin]	2.6.0cvs35

	* src/compose.c
		Fix bug 1060, 'compilation error with 
		Irix's cc'

2006-11-12 [paul]	2.6.0cvs34

	* doc/man/claws-mail.1
	* src/prefs_gtk.c
	* src/plugins/clamav/README
	* src/plugins/spamassassin/README
	* tools/README
	* tools/freshmeat_search.pl
	* tools/google_search.pl
	* tools/multiwebsearch.pl
		more renaming
	* src/plugins/trayicon/trayicon.c
		fix compiliation warning

2006-11-11 [colin]	2.6.0cvs33

	* src/folderview.c
		Forbid drag and drop from/to different
		folders of type F_UNKNOWN

2006-11-11 [colin]	2.6.0cvs32

	* src/plugins/pgpinline/pgpinline.c
		Fix typo in previous commit:
		- gpgme_new(&ctx);
		+ if ((err = gpgme_new(&data->ctx)) ...)

2006-11-11 [colin]	2.6.0cvs31

	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
		Check success after calling gpgme_new
		Maybe fixes bug 1057, 'crash on sending 
		signed message to a newsgroup'

2006-11-11 [colin]	2.6.0cvs30

	* src/undo.c
		init undostruct to 0s (from
		valgrind log of bug 1057)

2006-11-10 [colin]	2.6.0cvs29

	* src/mainwindow.c
		Set cursor to wait before filtering
		duplicates in all folders
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
		Completely thread away the bogofilter
		filtering

2006-11-10 [mones]	2.6.0cvs28

	* src/compose.c
	* src/compose.h
		added COMPOSE_CHECK_BEFORE_SEND hook

2006-11-10 [paul]	2.6.0cvs27

	* src/crash.c
		more renaming
		add libSM to get_compiled_in_features()
	* src/main.c
		more renaming

2006-11-10 [colin]	2.6.0cvs26

	* src/etpan/imap-thread.c
		Add a reference to libetpan's sasl engine
		so that sasl_done() doesn't get called by
		libetpan, and doesn't break openssl.
		Should fix bug 1053, 'SC fails to reestablish 
		a secure connection'
		Patch by Hoa

2006-11-10 [colin]	2.6.0cvs25

	* manual/addrbook.xml
	* manual/advanced.xml
	* manual/faq.xml
	* manual/intro.xml
		Some more renaming

2006-11-09 [colin]	2.6.0cvs24

	* src/plugins/bogofilter/bogofilter_gtk.c
		Add comment about annoyance

2006-11-09 [colin]	2.6.0cvs23

	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter_gtk.c
		Prepare things needed to thread bogofilter
		filtering: separate bogo stuff and possible GUI
		stuff. 

2006-11-09 [colin]	2.6.0cvs22

	* src/account.c
	* src/compose.c
		Search for one of our accounts in Delivered-To
		(helps for auto-account selection when 
		 replying/forwarding)
	* src/folderview.c
	* src/mainwindow.c
	* src/mainwindow.h
	* src/plugins/trayicon/trayicon.c
		Allow opening a new mail with any account from
		the contextual menu

2006-11-09 [wwp]	2.6.0cvs21

	* src/compose.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_compose_writing.c
		add a compose new message format (in prefs/compose/writing), it's a
		simple subject+body template to use when opening a new composition
		window. It's similar to the existent reply and forward formats.

		enhanced the template/format % symbols substitution mechanism to
		use current composition window information when % are used in
		the compose new message format or in templates applied to new
		messages (there were useless in that situations before). When
		applied to new messages, %d corresponds to the system time/date.

2006-11-09 [paul]	2.6.0cvs20

	* src/gtk/authors.h
		fix last commit

2006-11-09 [paul]	2.6.0cvs19

	* src/gtk/authors.h
		keep tje alphabetical order

2006-11-08 [colin]	2.6.0cvs18

	* src/etpan/imap-thread.c
		Fix bug 1054, 'Slowness logging big 
		data chunks'

2006-11-08 [paul]	2.6.0cvs17

	* tools/Makefile.am
		fix the renaming

2006-11-08 [paul]	2.6.0cvs16

	* src/common/defs.h
		update BUGZILLA_URI

2006-11-08 [paul]	2.6.0cvs15

	* tools/Makefile.am
	* tools/OOo2claws-mail.pl
	* tools/OOo2sylpheed.pl
	* tools/README
	* tools/acroread2claws-mail.pl
	* tools/acroread2sylpheed.pl
	* tools/kmail2claws-mail.pl
	* tools/kmail2claws-mail_v2.pl
	* tools/kmail2sylpheed.pl
	* tools/kmail2sylpheed_v2.pl
	* tools/maildir2claws-mail.pl
	* tools/maildir2sylpheed.pl
	* tools/nautilus2claws-mail.sh
	* tools/nautilus2sylpheed.sh
	* tools/outlook2claws-mail.pl
	* tools/outlook2sylpheed.pl
	* tools/tb2claws-mail
	* tools/tb2sylpheed
	* tools/tbird2claws.py
	* tools/tbird2syl.py
	* tools/kdeservicemenu/claws-mail-kdeservicemenu.pl
	* tools/kdeservicemenu/install.sh
	* tools/kdeservicemenu/sylpheed-kdeservicemenu.pl
	* tools/kdeservicemenu/template_claws-mail-attach-files.desktop
	* tools/kdeservicemenu/template_claws-mail-compress-attach.desktop
	* tools/kdeservicemenu/template_sylpheed-attach-files.desktop
	* tools/kdeservicemenu/template_sylpheed-compress-attach.desktop
		renamed (removed, added) tools files

2006-11-08 [paul]	2.6.0cvs14

	* src/main.c
	* src/common/defs.h
		Migrate sylpheedrc to clawsrc, and fix the standard
		plugins path in the process

2006-11-07 [colin]	2.6.0cvs13

	* src/Makefile.am
		Symlink sylpheed-claws relative to 
		claws-mail

2006-11-07 [colin]	2.6.0cvs12

	* src/compose.c
		Fix typo - Reply-To/Mailing-list is broken in 2.6 :-/

2006-11-07 [paul]	2.6.0cvs11

	* src/gtk/about.c
		Fix a missed occurence of
		Sylpheed-Claws

2006-11-07 [paul]	2.6.0cvs10

	* src/Makefile.am
		Fix symlink installation

2006-11-07 [paul]	2.6.0cvs9

	* src/Makefile.am
		Symlink claws-mail to sylpheed-claws
	* src/common/utils.c
		Fix migrating symlinks
	* src/etpan/imap-thread.c
		check certificate only when there's
		no error

2006-11-07 [paul]	2.6.0cvs8

	* Makefile.am
		Fix icon breakages with Gtk, which needs a 
		cache updated to see them.

2006-11-07 [paul]	2.6.0cvs7

	* .cvsignore
	* AUTHORS
	* COPYING
	* INSTALL
	* Makefile.am
	* NEWS
	* README
	* RELEASE_NOTES
	* autogen.sh
	* claws-mail-128x128.png
	* claws-mail-64x64.png
	* claws-mail.ico
	* claws-mail.pc.in
	* claws-mail.png
	* configure.ac
	* sylpheed-claws-128x128.png
	* sylpheed-claws-64x64.png
	* sylpheed-claws.desktop
	* sylpheed-claws.ico
	* sylpheed-claws.pc.in
	* sylpheed-claws.png
	* debian/README.Debian
	* debian/changelog
	* debian/claws-mail.desktop
	* debian/claws-mail.menu
	* debian/claws-mail.postinst.debhelper
	* debian/claws-mail.postrm.debhelper
	* debian/control
	* debian/copyright
	* debian/files
	* debian/rules
	* debian/sylpheed-claws.desktop
	* debian/sylpheed-claws.menu
	* debian/sylpheed-claws.postinst.debhelper
	* debian/sylpheed-claws.postrm.debhelper
	* doc/man/Makefile.am
	* doc/man/claws-mail.1
	* doc/man/sylpheed-claws.1
	* doc/src/ChangeLog.claws-pre0.8.0
	* manual/Makefile.am
	* manual/account.xml
	* manual/ack.xml
	* manual/addrbook.xml
	* manual/advanced.xml
	* manual/claws-mail-manual.xml
	* manual/faq.xml
	* manual/glossary.xml
	* manual/handling.xml
	* manual/intro.xml
	* manual/keyboard.xml
	* manual/plugins.xml
	* manual/starting.xml
	* manual/sylpheed-claws-manual.xml
	* manual/xml2pdf
	* manual/dist/.cvsignore
	* manual/dist/html/.cvsignore
	* manual/dist/html/Makefile.am
	* manual/dist/pdf/.cvsignore
	* manual/dist/pdf/Makefile.am
	* manual/dist/ps/.cvsignore
	* manual/dist/ps/Makefile.am
	* manual/dist/txt/.cvsignore
	* manual/dist/txt/Makefile.am
	* manual/es/Makefile.am
	* manual/es/advanced.xml
	* manual/es/claws-mail-manual.xml
	* manual/es/faq.xml
	* manual/es/glossary.xml
	* manual/es/handling.xml
	* manual/es/intro.xml
	* manual/es/plugins.xml
	* manual/es/sylpheed-claws-manual.xml
	* manual/es/dist/.cvsignore
	* manual/es/dist/html/.cvsignore
	* manual/es/dist/html/Makefile.am
	* manual/es/dist/pdf/.cvsignore
	* manual/es/dist/pdf/Makefile.am
	* manual/es/dist/ps/.cvsignore
	* manual/es/dist/ps/Makefile.am
	* manual/es/dist/txt/.cvsignore
	* manual/es/dist/txt/Makefile.am
	* manual/fr/Makefile.am
	* manual/fr/account.xml
	* manual/fr/ack.xml
	* manual/fr/addrbook.xml
	* manual/fr/advanced.xml
	* manual/fr/claws-mail-manual.xml
	* manual/fr/faq.xml
	* manual/fr/glossary.xml
	* manual/fr/handling.xml
	* manual/fr/intro.xml
	* manual/fr/keyboard.xml
	* manual/fr/plugins.xml
	* manual/fr/starting.xml
	* manual/fr/sylpheed-claws-manual.xml
	* manual/fr/dist/.cvsignore
	* manual/fr/dist/html/.cvsignore
	* manual/fr/dist/html/Makefile.am
	* manual/fr/dist/pdf/.cvsignore
	* manual/fr/dist/pdf/Makefile.am
	* manual/fr/dist/ps/.cvsignore
	* manual/fr/dist/ps/Makefile.am
	* manual/fr/dist/txt/.cvsignore
	* manual/fr/dist/txt/Makefile.am
	* manual/pl/Makefile.am
	* manual/pl/account.xml
	* manual/pl/ack.xml
	* manual/pl/addrbook.xml
	* manual/pl/advanced.xml
	* manual/pl/claws-mail-manual.xml
	* manual/pl/faq.xml
	* manual/pl/glossary.xml
	* manual/pl/handling.xml
	* manual/pl/intro.xml
	* manual/pl/keyboard.xml
	* manual/pl/plugins.xml
	* manual/pl/starting.xml
	* manual/pl/sylpheed-claws-manual.xml
	* manual/pl/dist/.cvsignore
	* manual/pl/dist/html/.cvsignore
	* manual/pl/dist/html/Makefile.am
	* manual/pl/dist/pdf/.cvsignore
	* manual/pl/dist/pdf/Makefile.am
	* manual/pl/dist/ps/.cvsignore
	* manual/pl/dist/ps/Makefile.am
	* manual/pl/dist/txt/.cvsignore
	* manual/pl/dist/txt/Makefile.am
	* po/.cvsignore
	* po/Makevars
	* src/.cvsignore
	* src/Makefile.am
	* src/account.c
	* src/account.h
	* src/action.c
	* src/action.h
	* src/adbookbase.h
	* src/addr_compl.c
	* src/addr_compl.h
	* src/addrbook.c
	* src/addrcache.c
	* src/addrcache.h
	* src/addrcindex.c
	* src/addrcindex.h
	* src/addrclip.c
	* src/addrclip.h
	* src/addrdefs.h
	* src/addressadd.c
	* src/addressadd.h
	* src/addressbook.c
	* src/addressbook.h
	* src/addressbook_foldersel.c
	* src/addressbook_foldersel.h
	* src/addrgather.c
	* src/addrgather.h
	* src/addrharvest.c
	* src/addrharvest.h
	* src/addrindex.c
	* src/addrindex.h
	* src/addritem.c
	* src/addritem.h
	* src/addrquery.c
	* src/addrquery.h
	* src/addrselect.c
	* src/addrselect.h
	* src/alertpanel.c
	* src/alertpanel.h
	* src/browseldap.c
	* src/browseldap.h
	* src/codeconv.c
	* src/codeconv.h
	* src/compose.c
	* src/crash.c
	* src/crash.h
	* src/customheader.c
	* src/customheader.h
	* src/displayheader.c
	* src/displayheader.h
	* src/editaddress.c
	* src/editaddress.h
	* src/editbook.c
	* src/editbook.h
	* src/editgroup.c
	* src/editgroup.h
	* src/editjpilot.c
	* src/editjpilot.h
	* src/editldap.c
	* src/editldap.h
	* src/editldap_basedn.c
	* src/editldap_basedn.h
	* src/editvcard.c
	* src/editvcard.h
	* src/exphtmldlg.c
	* src/exphtmldlg.h
	* src/expldifdlg.c
	* src/expldifdlg.h
	* src/export.c
	* src/exporthtml.c
	* src/exporthtml.h
	* src/exportldif.c
	* src/exportldif.h
	* src/filtering.c
	* src/filtering.h
	* src/folder.c
	* src/folder.h
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/foldersel.c
	* src/foldersel.h
	* src/folderutils.c
	* src/folderutils.h
	* src/folderview.c
	* src/folderview.h
	* src/grouplistdialog.c
	* src/grouplistdialog.h
	* src/html.c
	* src/html.h
	* src/image_viewer.c
	* src/image_viewer.h
	* src/imap.c
	* src/imap.h
	* src/imap_gtk.c
	* src/imap_gtk.h
	* src/import.c
	* src/import.h
	* src/importldif.c
	* src/importldif.h
	* src/importmutt.c
	* src/importmutt.h
	* src/importpine.c
	* src/importpine.h
	* src/inc.c
	* src/inc.h
	* src/jpilot.c
	* src/jpilot.h
	* src/ldapctrl.c
	* src/ldapctrl.h
	* src/ldaplocate.c
	* src/ldaplocate.h
	* src/ldapquery.c
	* src/ldapquery.h
	* src/ldapserver.c
	* src/ldapserver.h
	* src/ldaputil.c
	* src/ldaputil.h
	* src/ldif.c
	* src/ldif.h
	* src/localfolder.c
	* src/localfolder.h
	* src/main.c
	* src/main.h
	* src/mainwindow.c
	* src/mainwindow.h
	* src/manual.c
	* src/manual.h
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser.h
	* src/matcher_parser_lex.l
	* src/matcher_parser_parse.y
	* src/mbox.c
	* src/mbox.h
	* src/message_search.c
	* src/message_search.h
	* src/messageview.c
	* src/messageview.h
	* src/mh.c
	* src/mh.h
	* src/mh_gtk.c
	* src/mh_gtk.h
	* src/mimeview.c
	* src/mimeview.h
	* src/msgcache.c
	* src/msgcache.h
	* src/mutt.c
	* src/mutt.h
	* src/news.c
	* src/news.h
	* src/news_gtk.c
	* src/news_gtk.h
	* src/noticeview.c
	* src/noticeview.h
	* src/partial_download.c
	* src/partial_download.h
	* src/pine.c
	* src/pine.h
	* src/pop.c
	* src/pop.h
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_actions.c
	* src/prefs_actions.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_compose_writing.c
	* src/prefs_compose_writing.h
	* src/prefs_customheader.c
	* src/prefs_customheader.h
	* src/prefs_display_header.c
	* src/prefs_display_header.h
	* src/prefs_ext_prog.c
	* src/prefs_ext_prog.h
	* src/prefs_filtering.c
	* src/prefs_folder_column.c
	* src/prefs_folder_column.h
	* src/prefs_folder_item.c
	* src/prefs_folder_item.h
	* src/prefs_fonts.c
	* src/prefs_fonts.h
	* src/prefs_gtk.c
	* src/prefs_gtk.h
	* src/prefs_image_viewer.c
	* src/prefs_image_viewer.h
	* src/prefs_matcher.c
	* src/prefs_matcher.h
	* src/prefs_message.c
	* src/prefs_message.h
	* src/prefs_msg_colors.c
	* src/prefs_msg_colors.h
	* src/prefs_other.c
	* src/prefs_other.h
	* src/prefs_quote.c
	* src/prefs_quote.h
	* src/prefs_receive.c
	* src/prefs_receive.h
	* src/prefs_send.c
	* src/prefs_send.h
	* src/prefs_spelling.c
	* src/prefs_spelling.h
	* src/prefs_summaries.c
	* src/prefs_summaries.h
	* src/prefs_summary_column.c
	* src/prefs_summary_column.h
	* src/prefs_template.c
	* src/prefs_template.h
	* src/prefs_themes.c
	* src/prefs_themes.h
	* src/prefs_toolbar.c
	* src/prefs_toolbar.h
	* src/prefs_wrapping.c
	* src/prefs_wrapping.h
	* src/privacy.c
	* src/privacy.h
	* src/procheader.c
	* src/procheader.h
	* src/procmime.c
	* src/procmime.h
	* src/procmsg.c
	* src/procmsg.h
	* src/quote_fmt.c
	* src/quote_fmt_parse.y
	* src/recv.c
	* src/recv.h
	* src/remotefolder.c
	* src/remotefolder.h
	* src/send_message.c
	* src/send_message.h
	* src/setup.c
	* src/setup.h
	* src/sourcewindow.c
	* src/sourcewindow.h
	* src/ssl_manager.c
	* src/ssl_manager.h
	* src/statusbar.c
	* src/statusbar.h
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/summary_search.c
	* src/summary_search.h
	* src/summaryview.c
	* src/summaryview.h
	* src/syldap.c
	* src/syldap.h
	* src/textview.c
	* src/textview.h
	* src/toolbar.c
	* src/toolbar.h
	* src/undo.c
	* src/undo.h
	* src/unmime.c
	* src/unmime.h
	* src/vcard.c
	* src/vcard.h
	* src/wizard.c
	* src/wizard.h
	* src/common/base64.c
	* src/common/base64.h
	* src/common/defs.h
	* src/common/hooks.c
	* src/common/hooks.h
	* src/common/log.c
	* src/common/log.h
	* src/common/mgutils.c
	* src/common/mgutils.h
	* src/common/nntp.c
	* src/common/nntp.h
	* src/common/passcrypt.c
	* src/common/passcrypt.h.in
	* src/common/plugin.c
	* src/common/plugin.h
	* src/common/prefs.c
	* src/common/prefs.h
	* src/common/progressindicator.c
	* src/common/progressindicator.h
	* src/common/quoted-printable.c
	* src/common/quoted-printable.h
	* src/common/session.c
	* src/common/session.h
	* src/common/smtp.c
	* src/common/smtp.h
	* src/common/socket.c
	* src/common/socket.h
	* src/common/ssl.c
	* src/common/ssl.h
	* src/common/stringtable.c
	* src/common/stringtable.h
	* src/common/sylpheed.c
	* src/common/sylpheed.h
	* src/common/template.c
	* src/common/template.h
	* src/common/timing.h
	* src/common/utils.c
	* src/common/utils.h
	* src/common/version.h.in
	* src/common/xml.c
	* src/common/xml.h
	* src/common/xmlprops.c
	* src/common/xmlprops.h
	* src/gtk/about.c
	* src/gtk/colorlabel.c
	* src/gtk/colorlabel.h
	* src/gtk/colorsel.c
	* src/gtk/colorsel.h
	* src/gtk/combobox.c
	* src/gtk/combobox.h
	* src/gtk/description_window.c
	* src/gtk/description_window.h
	* src/gtk/filesel.c
	* src/gtk/filesel.h
	* src/gtk/foldersort.c
	* src/gtk/foldersort.h
	* src/gtk/gtkaspell.c
	* src/gtk/gtkaspell.h
	* src/gtk/gtksctree.c
	* src/gtk/gtkshruler.c
	* src/gtk/gtkshruler.h
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/icon_legend.c
	* src/gtk/icon_legend.h
	* src/gtk/logwindow.c
	* src/gtk/logwindow.h
	* src/gtk/manage_window.c
	* src/gtk/manage_window.h
	* src/gtk/pluginwindow.c
	* src/gtk/pluginwindow.h
	* src/gtk/prefswindow.c
	* src/gtk/prefswindow.h
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
	* src/pixmaps/claws-mail.xpm
	* src/pixmaps/claws-mail_icon.xpm
	* src/pixmaps/claws-mail_logo.xpm
	* src/pixmaps/sylpheed-claws.xpm
	* src/pixmaps/sylpheed-claws_icon.xpm
	* src/pixmaps/sylpheed-claws_logo.xpm
	* src/plugins/bogofilter/Makefile.am
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/clamav/Makefile.am
	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/clamav/clamav_plugin.h
	* src/plugins/clamav/clamav_plugin_gtk.c
	* src/plugins/demo/Makefile.am
	* src/plugins/demo/demo.c
	* src/plugins/dillo_viewer/Makefile.am
	* src/plugins/dillo_viewer/README
	* src/plugins/dillo_viewer/dillo_prefs.c
	* src/plugins/dillo_viewer/dillo_prefs.h
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/pgpcore/passphrase.h
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/pgp_viewer.h
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/pgpcore/prefs_gpg.h
	* src/plugins/pgpcore/select-keys.c
	* src/plugins/pgpcore/select-keys.h
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpcore/sgpgme.h
	* src/plugins/pgpcore/sylpheed.def
	* src/plugins/pgpcore/version.rc
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpinline/pgpinline.h
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpinline/sylpheed.def
	* src/plugins/pgpinline/version.rc
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/pgpmime.h
	* src/plugins/pgpmime/plugin.c
	* src/plugins/pgpmime/sylpheed.def
	* src/plugins/pgpmime/version.rc
	* src/plugins/spamassassin/Makefile.am
	* src/plugins/spamassassin/README
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin.h
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/Makefile.am
	* src/plugins/trayicon/trayicon.c
	* tools/OOo2sylpheed.pl
	* tools/README
	* tools/README.sylprint
	* tools/acroread2sylpheed.pl
	* tools/claws.i18n.status.pl
	* tools/filter_conv.pl
	* tools/filter_conv_new.pl
	* tools/freshmeat_search.pl
	* tools/google_search.pl
	* tools/kmail2sylpheed.pl
	* tools/kmail2sylpheed_v2.pl
	* tools/make.themes.project
	* tools/multiwebsearch.pl
	* tools/nautilus2sylpheed.sh
	* tools/outlook2sylpheed.pl
	* tools/sylprint.pl
	* tools/sylprint.rc
	* tools/tb2sylpheed
	* tools/textviewer.sh
	* tools/vcard2xml.py
	* tools/kdeservicemenu/README
	* tools/kdeservicemenu/sylpheed-kdeservicemenu.pl
	* tools/kdeservicemenu/template_sylpheed-attach-files.desktop
	* tools/kdeservicemenu/template_sylpheed-compress-attach.desktop
		Change name to Claws Mail. Announce to follow...

2006-11-06 [wwp]	2.6.0cvs6

	* src/prefs_template.c
		unify messages related to quote format/template errors (fix
		capitalization), again.

2006-11-06 [wwp]	2.6.0cvs5

	* src/prefs_quote.c
		unify messages related to quote format/template errors.

2006-11-06 [wwp]	2.6.0cvs4

	* src/prefs_msg_colors.c
		more uses of Q_ macro for contextual translations, thanks
		to Fabien (fzzzzz).

2006-11-06 [wwp]	2.6.0cvs3

	* src/compose.c
	* src/common/utils.c
	* src/common/utils.h
		show an alertpanel to make sure users are aware that sensitive
		files are attached (it's file blacklist-based). This will fix
		interaction w/ GoogleEarth for instance, thanks to Colin.

2006-11-06 [wwp]	2.6.0cvs2

	* src/prefs_quote.c
	* src/prefs_template.c
	* src/prefs_template.h
		check quote format when applying/closing prefs. For now this only
		shows up an error dialog box, not preventing the user from using
		a broken quote (reply, forwards) format.

2006-11-06 [wwp]	2.6.0cvs1

	* src/prefs_template.c
		fix missing checks of some template fields.

2006-11-06 [paul]	2.6.0

	* NEWS
	* README
	* RELEASE_NOTES
		2.6.0 released

2006-11-06 [paul]	2.5.6cvs22

	* manual/advanced.xml
	* manual/es/advanced.xml
		put 'respect_flowed_format' info in the correct
		place

2006-11-06 [mones]	2.5.6cvs21

	* po/es.po
		Minor fixes for release

2006-11-06 [paul]	2.5.6cvs20

	* po/cs.po
	* po/de.po
	* po/fr.po
	* po/it.po
	* po/nl.po
	* po/pt_BR.po
	* po/sk.po
	* po/sv.po
	* po/zh_CN.po
		updated by Tim Brain, Stephan Sachse, Fabien Vantard,
		Andrea Spadaccini, Tim Dijkstra, Frederico Goncalves
		Guimaraes, Andrej Kacian, Anders Troback, and Ralgh
		Young

2006-11-02 [colin]	2.5.6cvs19

	* src/imap.c
	* src/imap.h
	* src/prefs_account.c
	* src/etpan/imap-thread.c
		Add GSSAPI support - fixes Debian bug #383274

2006-11-01 [colin]	2.5.6cvs18

	* src/jpilot.c
		Handle libpisock12 support. Probably
		fixes bug 1046, 'jpilot AddressDB.pdb 
		import fail'

2006-11-01 [colin]	2.5.6cvs17

	* src/folderutils.c
		debug_print() folderutils_mark_all_read()

2006-11-01 [colin]	2.5.6cvs16

	* COPYING
		Add missed files to the Apache exception

2006-10-31 [colin]	2.5.6cvs15

	* src/folder.c
	* src/folder.h
		Add a copy_private_data() func to FolderClasses
		Doesn't break the feature freeze, because we 
		won't use it (right now) in the core.

2006-10-31 [colin]	2.5.6cvs14

	* COPYING
		Allow linking with the Apache licensed files in
		src/plugins/spamassassin. Hopefully fixes 
		bug 1048, 'Spamassassin plugin license problem'

2006-10-31 [wwp]	2.5.6cvs13

	* src/compose.c
		fix and optimize trimming of leading linefeeds in body loop.

2006-10-31 [colin]	2.5.6cvs12

	* src/etpan/imap-thread.c
	* src/imap.c
		Make really sure to have NULL sets in case
		of error

2006-10-30 [wwp]	2.5.6cvs11

	* src/prefs_common.c
	* src/prefs_common.h
	* src/compose.c
		fix broken storage of quote format template when it contains \-escape
		sequences. The application of such sequences is also fixed now (\t
		in quote format will be a real tab instead of a 't', for instance).

2006-10-27 [colin]	2.5.6cvs10

	* src/compose.c
		Probably fix bug 1045, 'sylpheed-claws 
		doesn't remove the mail from the IMAP 
		Queue folder after sending'. From
		2.5.6cvs3-stable

2006-10-27 [colin]	2.5.6cvs9

	* configure.ac
		Require libetpan-0.48. I'm so annoying,
		I know ;-)

2006-10-27 [colin]	2.5.6cvs8

	* src/folder.c
	* src/imap.c
		Probably fix bug 1044, 'sylpheed-claws 
		segfaults while moving mails' - Fix relation
		usage when moving to an IMAP mailbox from another
		mailbox

2006-10-26 [paul]	2.5.6cvs7

	* src/gtk/about.c
		add libSM to compiled-in features
		list

2006-10-24 [colin]	2.5.6cvs6

	* src/textview.c
	* src/gtk/gtkutils.c
		Fix crash when printing emails with an
		xface

2006-10-24 [mones]	2.5.6cvs5

	* manual/es/advanced.xml
		Synchronize hidden option respect_flowed_format
	* po/es.po
		Updated translation

2006-10-21 [paul]	2.5.6cvs4

	* src/gtk/authors.h
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/sgpgme.c
		fix building on BSDs
		Thanks to Michael Hughes
		<Sylpheed-Claws_user@thehugheslogcabin.net>

2006-10-20 [colin]	2.5.6cvs3

	* configure.ac
		Bump up libetpan requirement
		*** THIS COMMIT REQUIRES LIBETPAN CVS ***
	* src/common/utils.c
	* src/common/utils.h
		Add convenience get_file_mtime()
	* src/imap.c
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
		Implement UIDPLUS support if the server
		supports it - faster sending in this case

2006-10-19 [colin]	2.5.6cvs2

	* src/gtk/quicksearch.c
		Fix emptying in type-ahead+extended mode
	* src/mainwindow.c
	* src/mainwindow.h
		Add a hook for offline state change
	* src/plugins/trayicon/trayicon.c
		Use it to display offline icons
	* src/plugins/trayicon/Makefile.am
	* src/plugins/trayicon/newmail.offline.xpm
	* src/plugins/trayicon/newmarkedmail.offline.xpm
	* src/plugins/trayicon/nomail.offline.xpm
	* src/plugins/trayicon/unreadmail.offline.xpm
	* src/plugins/trayicon/unreadmarkedmail.offline.xpm
		Add the icons

2006-10-12 [paul]	2.5.6cvs1

	* NEWS
	* README
	* configure.ac
		Update version number following
		stable release

2006-10-19 [colin]	2.5.5cvs18

	* manual/handling.xml
		Add type-ahead search

2006-10-18 [colin]	2.5.5cvs17

	* src/gtk/quicksearch.c
		Remove "save to history only if there's
		no syntax error", it breaks for some 
		reason which I'll investigate later.

2006-10-18 [colin]	2.5.5cvs16

	* src/prefs_common.c
	* src/prefs_common.h
	* src/summaryview.c
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Add a type-ahead option for fast searches
		Patch by Fabien Vantard

2006-10-18 [colin]	2.5.5cvs15

	* src/compose.c
	* src/compose.h
		Add Options/Reply mode/ menu to be able to
		change the recipients of a reply on the fly

2006-10-18 [colin]	2.5.5cvs14

	* src/compose.c
		Fix redirecting of our own sent mails

2006-10-17 [wwp]	2.5.5cvs13

	* src/send_message.c
		Fix duplicate error messages when sending, and missing
		newline in such error messages.

2006-10-17 [colin]	2.5.5cvs12

	* src/compose.c
		Compare addresses case-insensitive

2006-10-17 [colin]	2.5.5cvs11

	* src/plugins/pgpcore/sgpgme.c
		Fix return status

2006-10-17 [colin]	2.5.5cvs10

	* src/plugins/pgpcore/pgp_viewer.c
		Fix return status

2006-10-17 [colin]	2.5.5cvs9

	* src/quote_fmt.c
		Fix a typo (thanks to Fabien)

2006-10-16 [colin]	2.5.5cvs8

	* src/textview.c
		Fix problem with quote-folding when emails
		don't convert cleanly to UTF-8

2006-10-14 [colin]	2.5.5cvs7

	* src/prefs_template.c
		Reset fields when reopening
		the window

2006-10-13 [paul]	2.5.5cvs6

	* manual/advanced.xml
	* src/prefs_message.c
		make 'respect_flowed_format' a hidden
		option, and add a manual entry for it
		Thanks to Colin

2006-10-12 [colin]	2.5.5cvs5

	* src/codeconv.c
		Revert part of 2.5.2cvs21:
		Don't optimise by reusing the 
		last iconv converter if possible:
		it seems slightly broken in a 
		very hard way to reproduce

2006-10-12 [colin]	2.5.5cvs4

	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_message.c
	* src/procmime.c
		Fix bug 1035, 'Incorrect handling 
		of flowed lines'. We now optionnaly
		handle this format (preference is in
		Message View/Text options section)

2006-10-12 [colin]	2.5.5cvs3

	* po/POTFILES.in
		Add new file
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/sgpgme.c
		Don't try to import without asking

2006-10-12 [colin]	2.5.5cvs2

	* src/compose.c
		Fix bug 1036, 'Forwarding a mutlipart
		mail with a "text/html" block to ms
		outlook users leeds to freeze of
		outlook'. Poor outlook users...

2006-10-12 [paul]	2.5.5cvs1

	* NEWS
	* README
	* configure.ac
		Update version number following
		stable release

2006-10-11 [paul]	2.5.4cvs1

	* NEWS
	* README
	* configure.ac
		Update version number following
		stable release

2006-10-11 [paul]	2.5.3cvs32

	* src/textview.c
		fix bug 1032, 'Segmentation fault when showing
		message' (bug in quote folding)
		Thanks to Colin

2006-10-10 [colin]	2.5.3cvs31

	* src/quote_fmt.c
		Rephrase english a bit

2006-10-10 [colin]	2.5.3cvs30

	* src/prefs_compose_writing.c
		Stop making the page larger than the window

2006-10-10 [wwp]	2.5.3cvs29

	* src/compose.c
	* src/prefs_template.c
	* src/quote_fmt.c
	* src/quote_fmt.h
	* src/quote_fmt_lex.l
	* src/quote_fmt_parse.y
		Extend the quote parser a bit: allow to get access to
		basic (composing) account info.

2006-10-10 [colin]	2.5.3cvs28

	* src/procheader.c
		Fix this \t problem in subject

2006-10-09 [colin]	2.5.3cvs27

	* src/main.c
	* src/prefs_gtk.c
		Prepare cache a bit later
		If section already exists, skip the new one 
		(as previously); avoid writing the same block
		twice - if we find a second block with the 
		same id, skip it.
	* src/plugins/pgpcore/pgp_viewer.c
		Set cursor to busy when retrieving a key
	* src/plugins/pgpcore/sgpgme.c
		allow 5 seconds for gpg to export the key
		

2006-10-09 [colin]	2.5.3cvs26

	* configure.ac
	* src/msgcache.c
	* src/prefs_gtk.c
		Check for existence of fgets_unlocked
		and fwrite_unlocked

2006-10-09 [paul]	2.5.3cvs25

	* src/prefs_summaries.c
		replace strftime() with fast_strftime() and in
		the consequence fix the bug in the display of
		AM/PM in the 'Example' string

2006-10-09 [ticho]	2.5.3cvs24

	* po/sk.po
		Updated (and fixed up somewhat) Slovak translation.

2006-10-08 [colin]	2.5.3cvs23

	* src/prefs_folder_item.c
		Explain why prefs in the top-level folder
		aren't retained, but are still useful

2006-10-08 [colin]	2.5.3cvs22

	* src/prefs_gtk.c
		Don't cache anything if caching fails

2006-10-08 [colin]	2.5.3cvs21

	* src/common/utils.c
		always include gi18n.h

2006-10-07 [colin]	2.5.3cvs20

	* src/plugins/pgpcore/pgp_viewer.c
		Kill gpg after 5 seconds wait

2006-10-07 [colin]	2.5.3cvs19

	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/pgp_viewer.h
		Fix copyright

2006-10-07 [colin]	2.5.3cvs18

	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/pgp_viewer.h
		Actually add the files to CVS

2006-10-07 [colin]	2.5.3cvs17

	* src/plugins/pgpcore/sgpgme.c
		Be sure not to crash on 'application/pgp-signature' that
		are not application/pgp-signatures

2006-10-07 [colin]	2.5.3cvs16

	* src/textview.c
	* src/textview.h
		Make a bit more of the API available
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpcore/sgpgme.c
		Add basic key import/export

2006-10-07 [colin]	2.5.3cvs15

	* src/folderview.c
	* src/imap.c
	* src/prefs_account.c
	* src/wizard.c
		Warn users *everywhere* if libetpan's not
		linked in

2006-10-06 [mones]	2.5.3cvs14

	* po/de.po
	* po/es.po
		updated by Stephan Sachse and me

2006-10-06 [colin]	2.5.3cvs13

	* src/main.c
	* src/common/sylpheed.c
		Don't load common plugins if --exit is passed
	* src/prefs_gtk.c
	* src/prefs_gtk.h
		Implement a cache to avoid reading the same
		files over and over again at startup

2006-10-06 [colin]	2.5.3cvs12

	* src/summaryview.c
	* src/gtk/quicksearch.c
		Update display every 5k mails on fast searches

2006-10-06 [colin]	2.5.3cvs11

	* src/textview.c
		Don't do quote folding on HTML or ERTF.
		May fix the Cygwin issues if they were
		happening with HTML mails?

2006-10-05 [colin]	2.5.3cvs10

	* src/prefs_gtk.c
		Oops, forgot one

2006-10-05 [colin]	2.5.3cvs9

	* src/prefs_gtk.c
		Use unlocked_stdio here too

2006-10-05 [colin]	2.5.3cvs8

	* src/folderview.c
		Fix go to next * after preferences apply
	* src/msgcache.c
		Do the fd lock/unlock ourselves instead of
		letting the libc do it at each write 

2006-10-05 [colin]	2.5.3cvs7

	* src/common/utils.c
		Faster division, thanks to Jean Diraison

2006-10-05 [paul]	2.5.3cvs6

	* src/common/utils.c
		fix building with --disable-nls

2006-10-04 [colin]	2.5.3cvs5

	* src/folder.c
		Maybe fix a segfault

2006-10-04 [wwp]	2.5.3cvs4

	* src/prefs_folder_item.c
		Fine-tune layouts in folder item prefs. Suggested by
		Fabien Vantard <fzzzzz@gmail.com>.

2006-10-04 [wwp]	2.5.3cvs3

	* src/prefs_folder_item.c
		Kill the clandestine passengers. You didn't see anything.

2006-10-04 [wwp]	2.5.3cvs2

	* src/prefs_folder_item.c
		Add a way to test the subject simplify regexp in
		folder prefs. Patch by Fabien Vantard <fzzzzz@gmail.com>,
		w/ few layout changes.

2006-20-04 [paul]	2.5.3cvs1

	* NEWS
	* README
	* configure.ac
		Update version number following
		stable release

2006-10-04 [colin]	2.5.2cvs42

	* src/folder.c
	* src/folder.h
	* src/summaryview.c
		Provide a way for folder classes to set their sort
		type and key

2006-10-03 [colin]	2.5.2cvs41

	* src/mh.c
		Don't use strlen() to know if the
		string's empty

2006-10-03 [colin]	2.5.2cvs40

	* src/mh.c
		Fix "check for new folders" with accentued folders

2006-10-03 [ticho]	2.5.2cvs39

	* src/filtering.c
	* src/folder.c
	* src/inc.c
	* src/mbox.c
		Colin's fix for "copy" filtering rules.

2006-10-02 [colin]	2.5.2cvs38

	* src/folderview.c
		Fix for double-click too

2006-10-02 [colin]	2.5.2cvs37

	* src/folderview.c
		correct fix for cvs36

2006-10-02 [colin]	2.5.2cvs36

	* src/folderview.c
		Fix 'goto next unread' after collapsing/expanding 
		a node.

2006-10-02 [colin]	2.5.2cvs35

	* src/summaryview.c
		Fix double freeze/thaw
	* src/common/utils.c
	* src/common/utils.h
		Reimplement strftime
	* src/procheader.c
		Use it


2006-10-02 [colin]	2.5.2cvs34

	* src/mh.c
		Time mh_write_sequences() - it's fast
	* src/summaryview.c
		Init a variable to shut up gcc

2006-10-01 [colin]	2.5.2cvs33

	* src/folder.c
	* src/mh.c
	* src/mh.h
	* src/msgcache.c
		Add helper mh_set_mtime(), and set mtime to stat()'s result
		Add fsync but disable it, it's slow as hell

2006-10-01 [colin]	2.5.2cvs32

	* src/mh.c
	* src/msgcache.c
		fflush() caches and mh_sequences before
		fclose()ing

2006-10-01 [colin]	2.5.2cvs31

	* src/msgcache.c
		Don't ftruncate when not using mmap

2006-09-30 [colin]	2.5.2cvs30

	* src/main.c
		Write folder list *after* saving caches

2006-09-30 [colin]	2.5.2cvs29

	* src/folder.c
	* src/mh.c
		Debug forced mtime changes

2006-09-30 [colin]	2.5.2cvs28

	* src/folder.c
	* src/main.c
		Remove useless debug_print()s (code
		well-tested)

2006-09-30 [colin]	2.5.2cvs27

	* src/mh.c
		Do stuff faster when writing mh_sequences

2006-09-30 [colin]	2.5.2cvs26

	* src/mh.c
		Don't let the writing of .mh_sequences, which
		can change the folder's mtime, let us think
		we need to scan.

2006-09-30 [colin]	2.5.2cvs25

	* src/folder.c
		Move a debug_print where it belongs 
		(processing)
	* src/summaryview.c
		Don't mess with a huge slow subject
		table if we're not threading by
		subject

2006-09-30 [colin]	2.5.2cvs24

	* src/msgcache.c
		Reenable mmaped reads (*not* writes!)
	* src/procmsg.c
		Don't destroy and recreate hashtables just
		for fun
	* src/common/utils.c
		Remove useless reply prefixes (it's case
		unsensitive)

2006-09-30 [wwp]	2.5.2cvs23

	* tools/fix_date.sh
		Fixed a minor bug in date value extraction, added a switch
		to replace non RFC-compliant Date: value, added a switch
		to use strict RFC matching patterns for dates.

2006-09-29 [colin]	2.5.2cvs22

	* src/matcher_parser.h
	* src/matcher_parser_parse.y
	* src/prefs_filtering.c
	* src/statusbar.c
	* src/summary_search.c
	* src/summaryview.c
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Optimise searches by setting different
		refresh intervals (depending if the 
		search is fast or not)

2006-09-29 [colin]	2.5.2cvs21

	* src/codeconv.c
		Optimise by reusing the last iconv converter
		if possible
	* src/textview.c
		Optimise a bit (the foldable quotes feature
		still has an awful O(n^2) algo

2006-09-29 [colin]	2.5.2cvs20

	* src/gtk/gtksctree.c
	* src/gtk/gtksctree.h
		Optimise de-selection via up/down or
		another key

2006-09-28 [colin]	2.5.2cvs19

	* src/action.c
	* src/compose.c
	* src/folderview.c
	* src/mainwindow.c
	* src/messageview.c
	* src/summary_search.c
	* src/toolbar.c
		Avoid using summaryview->ctree directly

2006-09-28 [colin]	2.5.2cvs18

	* src/summaryview.c
	* src/summaryview.h
		Add helpers to freeze/thaw/grab_focus
		Factorize calls to freeze/thaw/grab_focus
		

2006-09-28 [colin]	2.5.2cvs17

	* src/main.c
		More guards for the session management

2006-09-28 [colin]	2.5.2cvs16

	* src/folderview.c
	* src/gtk/gtksctree.c
	* src/gtk/gtksctree.h
		Make expanding not recursive in folderview

2006-09-28 [colin]	2.5.2cvs15

	* src/addressbook.c
		If nothing is selected in the list (right part)
		and a group is selected in the tree (left part),
		mail this group.

2006-09-28 [colin]	2.5.2cvs14

	* src/Makefile.am
		Actually use SM_LIBS

2006-09-28 [ticho]	2.5.2cvs13

	* src/export.c
	* src/messageview.c
	* src/mimeview.c
	* src/news.c
	* src/pop.c
	* src/prefs_themes.c
	* src/procmsg.c
		Small i18n string optimization.
	* src/send_message.c
	* src/summaryview.c
	* src/common/session.c
	* src/common/smtp.c
	* src/common/ssl_certificate.c
	* src/common/utils.c
		Use "Couldn't" instead of "Can't" in UI messages,
		where appropriate.

2006-09-28 [colin]	2.5.2cvs12

	* configure.ac
		Possibly fix link errors

2006-09-27 [wwp]	2.5.2cvs11

	* src/gtk/authors.h
	* doc/man/sylpheed-claws.1
	* manual/ack.xml
	* manual/es/ack.xml
	* manual/fr/ack.xml
	* manual/pl/ack.xml
		Updated authors info (me, myself and I).

2006-09-27 [colin]	2.5.2cvs10

	* src/addressbook.c
		Remove useless printf

2006-09-27 [wwp]	2.5.2cvs9

	* src/editgroup.c
	* src/send_message.c
	* src/inc.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/gtk/progressdialog.c
		remember more windows' sizes (send dialog, received dialog,
		edit group in addressbook).

2006-09-27 [colin]	2.5.2cvs8

	* configure.ac
	* src/main.c
	* src/mainwindow.h
		Use libSM to communicate with the session
		manager, so that we can know when the 
		session ends, save our caches, and draft
		our compose windows.

2006-09-27 [colin]	2.5.2cvs7

	* src/addressbook.c
		Fix issues:
		o Allow Book and Group creation from the tree's
		  contextual menu
		o Do not actually delete the contacts when 
		  deleting groups from the tree (duh!)

2006-09-27 [colin]	2.5.2cvs6

	* src/compose.c
	* src/compose.h
	* src/mainwindow.c
	* src/textview.c
	* src/toolbar.c
		o Allow passing an email address to 
		  compose_new_with_folderitem
		o Update callers
		o Use current folderitem when clicking
		  on a TextView mailto: link
		o Fix a possible leak in TextView

2006-09-27 [colin]	2.5.2cvs5

	* src/html.c
		Use UTF-8 chars to replace HTML entities

2006-09-27 [colin]	2.5.2cvs4

	* AUTHORS
	* src/prefs_account.c
	* src/gtk/authors.h
		Fix bug #1024 (Array index out of
		range in sylpheed-claws-2.5.2)
		Patch by Ales Nosek <anosek@suse.cz>

2006-09-27 [colin]	2.5.2cvs3

	* src/addr_compl.c
		Actually do the test

2006-09-27 [colin]	2.5.2cvs2

	* src/addr_compl.c
	* src/addr_compl.h
		Allow completing with comma (in certain cases: vCalendar
		for example doesn't support that)
		Patch by Fabien Vantard

2006-09-26 [colin]	2.5.2cvs1

	* src/Makefile.am
	* src/addr_compl.c
	* src/addr_compl.h
	* src/addrbook.c
	* src/addrbook.h
	* src/addressbook.c
	* src/addrindex.c
	* src/addrindex.h
	* src/compose.c
	* src/prefs_common.c
	* src/prefs_filtering_action.c
	* src/prefs_folder_item.c
	* src/prefs_template.c
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/pixmaps/addr_one.xpm
	* src/pixmaps/addr_two.xpm
		Add auto-completion on groups

2006-09-26 [colin]	2.5.2

	* NEWS
	* README
	* RELEASE_NOTES
		2.5.2 released

2006-09-26 [colin]	2.5.1cvs5

	* src/matcher.c
		Fix condition

2006-09-26 [colin]	2.5.1cvs4

	* src/mbox.c
		Revert cvs1 (useless as the message is printed 
		every 500 mails)

2006-09-26 [colin]	2.5.1cvs3

	* src/partial_download.c
		Fix crasher found by Alexsandar Urosevic

2006-09-26 [colin]	2.5.1cvs2

	* src/summaryview.c
		Fix bug #1023 (Sylpheed deletes too much messages)

2006-09-26 [ticho]	2.5.1cvs1

	* src/mbox.c
		Make use of gettext's multiple plurals for statusbar
		progress message.

2006-09-25 [paul]	2.5.1

	* NEWS
	* README
	* RELEASE_NOTES
		2.5.1 released

2006-09-25 [colin]	2.5.0cvs3

	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/spamassassin/spamassassin.c
		BogoFilter, Spamassassin: Fix double hook registering after
		visiting preferences
		Spamassassin, Clamav: Just set the mails to move instead of
		doing the move - caller will move the things at once.

2006-09-25 [colin]	2.5.0cvs2

	* src/imap.c
	* src/etpan/imap-thread.c
		Use UID SEARCH ALL instead of UID 1:*
		(braindead servers can't figure out that's
		the same...)

2006-09-25 [wwp]	2.5.0cvs1

	* src/message_search.c
		Added the ability to stop a running search (in message body).

2006-09-25 [paul]	2.5.0

	* NEWS
	* README
	* RELEASE_NOTES
		2.5.0 released

2006-09-25 [paul]	2.4.0cvs214

	* po/cs.po
	* po/de.po
	* po/fi.po
	* po/fr.po
	* po/nl.po
	* po/pt_BR.po
	* po/sk.po
	* po/sr.po
	* po/zh_CN.po
		updated by Tim, Stephan Sachse, Flammie Pirinen,
		Fabien Vantard, Tim Dijkstra, Frederico Goncalves Guimaraes,
		Ticho, Aleksander Urosevic, Ralgh Young

2006-09-24 [mones]	2.4.0cvs213

	* po/es.po
		Updated for release

2006-09-23 [colin]	2.4.0cvs212

	* src/gtk/inputdialog.c
		Fix [ ] remember this appearing in normal
		input dialogs after it's been used by
		mimeview.
	* src/folder.c
	* src/folderview.c
	* src/msgcache.c
	* src/procmsg.c
	* src/summaryview.c
	* src/textview.c
	* src/common/timing.h
		Enable timings in debug mode and make it
		look prettier.

2006-09-22 [colin]	2.4.0cvs211

	* README
		Revert test change
	* commitHelper
		ping the correct URI

2006-09-22 [colin]	2.4.0cvs210

	* README
		Let's see if bug #1022 is fixed

2006-09-21 [colin]	2.4.0cvs209

	* src/wizard.c
	* src/common/plugin.c
		Prepare infra to load predefined plugins when
		no configuration existed. Don't actually load
		anything yet (feat. freeze)

2006-09-21 [wwp]	2.4.0cvs208

	* manual/fr/faq.xml
		Partial sync w/ 2.4.0cvs72:
		wrap file and minor updates.

2006-09-21 [wwp]	2.4.0cvs207

	* tools/fix_date.sh
		several fixes and enhancements. A new --force switch has been
		added to prevent overriding by default Date: header when
		already existing.

2006-09-21 [paul]	2.4.0cvs206

	* src/common/utils.c
		add Chinese UTF8 Re prefix

2006-09-21 [wwp]	2.4.0cvs205

	* tools/Makefile.am
		Fics alfabettical order.

2006-09-21 [wwp]	2.4.0cvs204

	* tools/fix_date.sh
	* tools/Makefile.am
		Added an action tool to fix missing Date field in emails.
		Updated Makefile.am to reflect those last two additions.

2006-09-21 [wwp]	2.4.0cvs203

	* tools/uuooffice
		Added a action tool to open uuencoded docs w/
		OpenOffice (based on uudec method).

2006-09-21 [colin]	2.4.0cvs202

	* src/compose.c
	* src/textview.c
		Workaround possible GTK crash: remove selection 
		clipboard before destroying widget, or GTK+-2.10
		dies. Thanks to Hiro.

2006-09-20 [colin]	2.4.0cvs201

	* src/compose.c
		Fix free-after-use in some cases (when 
		procmime_encode_content() frees mimeinfo->data.mem
		and turns it to a temp file)

2006-09-20 [colin]	2.4.0cvs200

	* src/folderview.c
	* src/summaryview.c
	* src/gtk/gtksctree.c
	* src/gtk/gtksctree.h
		Add tooltips in the folderview and summaryview
		(Doesn't break string freeze as they already
		exist)
	* src/toolbar.c
		Put the spam button in the default configuration
		if compiled with bogo plugin too

2006-09-19 [colin]	2.4.0cvs199

	* src/summaryview.c
	* src/summaryview.h
		Update folder name label on folder rename
	* src/prefs_matcher.c
	* src/gtk/logwindow.h
		Fix warnings
		Patches by Fabien

2006-09-19 [wwp]	2.4.0cvs198

	* src/summary_search.c
		fix can't click forward/backward buttons in the
		search messages.

2006-09-18 [paul]	2.4.0cvs197

	* src/wizard.c
		add missing bracket, capitalise the A of
		'SpamAssassin'

2006-09-18 [paul]	2.4.0cvs196

	* src/compose.c
		fix bug 1012 'crashed upon sending mail
		from compose window'
		Thanks to Colin

2006-09-16 [colin]	2.4.0cvs195

	* src/folderview.c
		Fix "real-time" sorting by freezing/thawing

2006-09-16 [colin]	2.4.0cvs194

	* manual/faq.xml
		Fix the anti-spam entry a bit

2006-09-16 [colin]	2.4.0cvs193

	* src/wizard.c
		Make sure reviewers have no excuse when stating
		Sylpheed-Claws doesn't have antispam capabilities.

2006-09-16 [colin]	2.4.0cvs192

	* src/main.c
		Revert part of 2.3.0cvs18, Saving caches on SIGPIPE,
		as if the SIGPIPE comes from etpan's thread we could
		trigger a GUI update from this thread.

2006-09-16 [colin]	2.4.0cvs191

	* src/summaryview.c
		Init all members of the struct

2006-09-16 [paul]	2.4.0cvs190

	* src/account.c
		improvements to the English

2006-09-15 [colin]	2.4.0cvs189

	* src/summaryview.c
		HIG order on dialog

2006-09-14 [colin]	2.4.0cvs188

	* src/common/socket.c
	* src/common/socket.h
	* src/common/ssl.c
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
	* src/etpan/imap-thread.c
		the get_fqdn() call done to get canonical name when
		checking an SSL certificate is blocking, which is
		sad as we just did a non-blocking lookup to connect.
		Fix that by letting the fqdn available to the SockInfo,
		and use that in ssl_certificate_check(). For IMAP,
		we don't do it as the lookup's done by libetpan, but
		it's less annoying as IMAP connections as much more
		rare than POP3 connections.

2006-09-14 [paul]	2.4.0cvs187

	* manual/advanced.xml
		improvements to the English,
		properly place the new hidden options
		within the alphabetical order
	* src/gtk/pluginwindow.c
		improvements to the English

2006-09-14 [colin]	2.4.0cvs186

	* src/prefs_common.c
	* src/prefs_common.h
	* src/gtk/gtksctree.c
	* manual/advanced.xml
		New hidden pref, stripes_color_offset, to change
		the value added/substracted to normal bgcolor to
		create the stripes in summaries

2006-09-13 [colin]	2.4.0cvs185

	* src/gedit-print.c
	* src/messageview.c
	* src/messageview.h
	* src/summaryview.c
	* src/textview.c
		Fix misc. printing issues: 
		- Bad font for linkified headers
		- Different font if the mail was displayed or not
		- Factorize the thing

2006-09-13 [colin]	2.4.0cvs184

	* src/common/ssl_certificate.c
		Only get FQDN once when checking certificate

2006-09-13 [colin]	2.4.0cvs183

	* src/account.c
	* src/gtk/pluginwindow.c
		Misc. GUI fixes by Fabien

2006-09-13 [wwp]	2.4.0cvs182

	* configure.ac
	* src/common/utils.h
	* src/common/utils.c
		get rid of unused wide-char functions.

2006-09-13 [wwp]	2.4.0cvs181

	* src/plugins/pgpinline/sylpheed.def
	* src/textview.c
		merge more w32 patches from gpg4win sources (Marcus Brinkmann <marcus@g10code.de>):
		add privacy_reset_error to the .def file,
		do not fork for an external textviewer.

2006-09-13 [wwp]	2.4.0cvs180

	* src/prefs_common.c
		fix broken font entry in prefs (patch issued by the gpg4win team,
		probably by Marcus Brinkmann <marcus@g10code.de>).

2006-09-13 [colin]	2.4.0cvs179

	* src/folder.h
		Fix a warning in summaryview.c
	* src/mainwindow.c
	* src/summaryview.c
	* src/summaryview.h
		Add missing Mark/* elements in the
		main menu

2006-09-12 [colin]	2.4.0cvs178

	* src/prefs_actions.c
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
		Use (New) instead of New everywhere

2006-09-12 [wwp]	2.4.0cvs177

	* manual/fr/addrbook.xml
	* manual/fr/handling.xml
		updated some quotes in the fr manual to match the fr translation.

2006-09-12 [wwp]	2.4.0cvs176

	* src/prefs_matcher.c
		don't store translated string elements in matcher expressions.
		Also fixed a misused of Q_().

2006-09-11 [wwp]	2.4.0cvs175

	* src/plugins//bogofilter/bogofilter.c
	* src/plugins//clamav/clamav_plugin.c
	* src/plugins//demo/demo.c
	* src/plugins//dillo_viewer/dillo_viewer.c
	* src/plugins//pgpcore/plugin.c
	* src/plugins//pgpinline/plugin.c
	* src/plugins//pgpmime/plugin.c
	* src/plugins//spamassassin/spamassassin.c
		gettext-ize more strings (mostly plugin error messages).

2006-09-11 [colin]	2.4.0cvs174

	* src/alertpanel.c
		Make maximum buffer size bigger to avoid
		truncating translated messages. Patch by
		Fabien

2006-09-11 [colin]	2.4.0cvs173

	* src/etpan/imap-thread.c
		Fix compilation on OpenBSD, thanks to 
		Landry

2006-09-10 [wwp]	2.4.0cvs172

	* manual/account.xml
	* manual/addrbook.xml
	* manual/handling.xml
	* manual/es/handling.xml
	* manual/fr/account.xml
	* manual/fr/addrbook.xml
	* manual/fr/handling.xml
		documented addressbook matching (condition configuration):
		  addrbook.xml, en fr
		documented per-account filtering rules (handling/filtering
		  section, account section):
		  account.xml, handling.xml, en fr
		slightly updated the handling/searching section to tell few
		  words about the extended search ability:
		  handling.xml, en fr
		added missing <quote></quotes> to Quick Search:
		  handling.xml, en fr es
		fixed a typo (auomatically):
		  handling.xml, en
		changes revisited by Paul.

2006-09-10 [paul]	2.4.0cvs171

	* src/prefs_actions.c
	* src/prefs_filtering.c
	* src/prefs_template.c
		adjustments to the gui
		Patch by Fabien Vantard (slightly modified)

2006-09-10 [colin]	2.4.0cvs170

	* src/summaryview.c
		Check folderitem/summaryview consistency
		(basically automates Update summary). Fixes
		#1011 (wrong (negative) count on unread 
		messages)

2006-09-10 [colin]	2.4.0cvs169

	* src/gtk/gtksctree.c
		Fix recursive expansion via mouse
	* src/plugins/bogofilter/bogofilter.c
		Use normal filtering way of moving
		messages (batching), possibly fixing
		bug #1015 (Bogofilter plugin doubles 
		new messages)

2006-09-09 [wwp]	2.4.0cvs168

	* src/prefs_filtering.c
		better place for this fix.

2006-09-09 [wwp]	2.4.0cvs167

	* src/prefs_filtering.c
		fix a minor bug when the enabled status of a filtering/processing
		rule always got set to TRUE when replacing this rule. That still
		make sense when adding a new rule, but now when replacing, we
		don't override the value of 'enabled'.
		Also renamed the func prefs_filtering_list_view_get_rule_name()
		to prefs_filtering_list_view_get_info() as this function not only
		returns the name, but also the account_id and the enabled status.

2006-09-09 [mones]	2.4.0cvs166

	* manual/glossary.xml
	* manual/plugins.xml
		Minor format corrections
	* manual/gpl.xml
		Fix misplaced NO WARRANTY section
	* manual/es/advanced.xml
	* manual/es/faq.xml
	* manual/es/glossary.xml
	* manual/es/gpl.xml
	* manual/es/handling.xml
	* manual/es/plugins.xml
	* manual/es/starting.xml
		Incorporate changes from English version
	* manual/fr/ack.xml
	* manual/pl/ack.xml
	* manual/es/ack.xml
		Fix address, (add translation credits in es version)
	* po/es.po
		Updated translation

2006-09-09 [wwp]	2.4.0cvs165

	* src/prefs_filtering.c
		fix a crash when opening filtering prefs, if matcherrc file contains
		broken data (non-existing account id, which is theoretically not
		possible).

2006-09-08 [colin]	2.4.0cvs164

	* src/folder.c
		Wrong assert, make it an if()
	* src/gtk/gtksctree.c
		Fix bug #1013 (expand selected thread 
		tree) - expanding is now recursive

2006-09-07 [wwp]	2.4.0cvs163

	* src/prefs_matcher.c
		make better sentences about addressbook matching in the
		matcher prefs. This should make translators' work easier
		too.

2006-09-07 [wwp]	2.4.0cvs162

	* src/prefs_filtering.c
		code simplification (get rid of dup var. assignment).

2006-09-07 [wwp]	2.4.0cvs161

	* src/summaryview.c
		use GTK_STOCK icons when possible, patch by Fabien Vantard
		<fzzzzz@gmail.com>.

2006-09-07 [paul]	2.4.0cvs160

	* src/mimeview.c
		fix compilation warnings
		Thanks to Colin

2006-09-07 [paul]	2.4.0cvs159

	* src/mimeview.c
		select the mimepart icon when
		displaying as text
		Thanks to Colin

2006-09-06 [paul]	2.4.0cvs158

	* src/prefs_filtering.c
		fix labels and table element spacing
		Patch by Fabien Vantard

2006-09-06 [paul]

	2.5.0-rc3 released

2006-09-06 [paul]	2.4.0cvs157

	* manual/es/advanced.xml
		fix typo

2006-09-06 [wwp]	2.4.0cvs156

	* src/mainwindow.c
		fix an dup launch issue when iconified, thanks to Colin.

2006-09-06 [wwp]	2.4.0cvs155

	* src/gtk//gtksctree.h
		oops, forgot that one!

2006-09-06 [wwp]	2.4.0cvs154

	* manual/pl/advanced.xml
	* manual/advanced.xml
	* manual/es/advanced.xml
	* manual/fr/advanced.xml
	* src/prefs_customheader.c
	* src/prefs_filtering_action.c
	* src/foldersel.c
	* src/prefs_summaries.c
	* src/prefs_filtering.c
	* src/account.c
	* src/compose.c
	* src/prefs_summary_column.c
	* src/addr_compl.c
	* src/prefs_actions.c
	* src/prefs_folder_column.c
	* src/ssl_manager.c
	* src/prefs_template.c
	* src/prefs_display_header.c
	* src/prefs_common.h
	* src/prefs_matcher.c
	* src/prefs_common.c
	* src/prefs_toolbar.c
	* src/summaryview.c
	* src/folderview.c
	* src/gtk/gtksctree.c
	* src/gtk/pluginwindow.c
	* src/gtk/progressdialog.c
	* src/gtk/prefswindow.c
		renamed hidden option enable_rules_hint to use_stripes_everywhere
		to make its meaning more obvious (all versions of the manual reflect
		the change).
		added an extra hidden option use_stripes_in_summary to allow
		discarding these stripes in mainwindow's folder and message lists;
		en and fr manuals only are OK towards this.

2006-09-06 [colin]	2.4.0cvs153

	* src/textview.c
		Hide Sylpheed-Claws' internal queue headers
		when showing all headers. They'll be present
		only in Source window.

2006-09-05 [colin]	2.4.0cvs152

	* src/plugins/trayicon/trayicon.c
		Fix crash at exit - we have to disconnect
		our handlers
	* src/plugins/trayicon/libeggtrayicon/eggtrayicon.c
		Update eggtrayicon - patch adapted from a
		patch by Fryderyk Dziarmagowski <freetz@gmx.net>
		on Sylpheed's ML

2006-09-05 [colin]	2.4.0cvs151

	* src/mainwindow.c
	* src/gtk/logwindow.c
		Fix race condition when something writes
		to the log too soon during init. Thanks
		to Fabien Vantard

2006-09-05 [colin]	2.4.0cvs150

	* src/mimeview.c
		Don't select part on right-click either

2006-09-05 [paul]	2.4.0cvs149

	* src/mimeview.c
		completion of previous commit
		Thanks to Colin

2006-09-05 [colin]	2.4.0cvs148

	* src/mimeview.c
		Don't force selection on middle-click, just open

2006-09-04 [colin]	2.4.0cvs147

	* src/mimeview.c
		Looks like gtk_notebook_set_current_page()
		sometimes steals focus, and this annoys us
		in MimeViewers as it renders navigation
		keys useless. Take back focus after switching
		pages.

2006-09-04 [colin]	2.4.0cvs146

	* src/messageview.c
		Set stop_loading when clicking on Next
		during load. Don't add a callback to 
		avoid over-complicating things.

2006-09-04 [colin]	2.4.0cvs145

	* src/mimeview.c
	* src/messageview.c
		Fix multiple loads in separate messageview

2006-09-04 [colin]	2.4.0cvs144

	* src/summaryview.c
		Let navigation keys be handled during 
		load

2006-09-04 [colin]	2.4.0cvs143

	* src/messageview.c
	* src/summaryview.c
	* src/textview.c
	* src/textview.h
		Make loading of huge mails (lots of text and/or
		images) cancellable, so the GUI doesn't block 

2006-09-04 [colin]	2.4.0cvs142

	* src/plugins/trayicon/trayicon.c
		Fix annoyance when removing a folder with 
		unread mails: trayicon didn't update

2006-09-04 [paul]	2.4.0cvs141

	* src/gtk/icon_legend.c
		straighten up columns
		Patch by Fabien Vantard

2006-09-04 [wwp]	2.4.0cvs140

	* src/prefs_filtering.c
		fix new line's account name in filtering prefs:
		was "All", is now "(New)".

2006-09-04 [paul]	2.4.0cvs139

	* tools/make.themes.project
		use "AUTOMAKE_OPTIONS = dist-bzip2"
		instead of homebrewed "make release"

2006-09-03 [colin]	2.4.0cvs138

	* src/folderview.c
		Fix bug #1007 (Wrong folder highlighted)

2006-09-03 [colin]	2.4.0cvs137

	* src/compose.c
		Don't set Newsgroup: header to a mail folder
		path

2006-09-03 [paul]	2.4.0cvs136

	* src/prefs_other.c
	* src/prefs_spelling.c
		unify the gui

2006-09-03 [paul]	2.4.0cvs135

	* src/prefs_summaries.c
		correct menu item text in prefs_keybind_apply_clicked()

2006-09-03 [paul]	2.4.0cvs134

	* manual/advanced.xml
		some improvements to the descriptions
	* src/mainwindow.c
	* src/messageview.c
	* src/summaryview.c
	* src/gtk/menu.c
		fix menu sensitivity issues
	* src/prefs_message.c
		drop the useless word 'short'
	* src/prefs_other.c
		add the word 'lines' indicating log length
		is a measure of lines
	* src/textview.c
		fix compilation warnings

2006-09-02 [colin]	2.4.0cvs133

	* src/messageview.c
		Display a special return-receipt message
		if the message is from the user
	* src/summaryview.c
		Fix missing freeze of the list when marking
		all read and unthreading for exec. Thanks
		to Stephan Sachse.

2006-09-02 [paul]	2.4.0cvs132

	* src/mainwindow.c
	* src/prefs_message.c
	* src/summaryview.c
		fix some english

2006-09-02 [wwp]	2.4.0cvs131

	* src/prefs_filtering.c
		added an account name column to the filtering rules
		dialog.

2006-09-02 [colin]	2.4.0cvs130

	* src/gtk/logwindow.c
	* src/gtk/logwindow.h
		Block scrolling if we're not at the end
		of the log

2006-09-02 [colin]	2.4.0cvs129

	* src/folder.c
		Make sure account-specific rules can't
		be used in {pre-,post-,}processing
	* src/mainwindow.c
	* src/gtk/logwindow.c
	* src/gtk/logwindow.h
		Jump to last error when clicking on the
		warning icon

2006-09-02 [colin]	2.4.0cvs128

	* src/imap.c
	* src/import.c
	* src/mainwindow.c
	* src/mainwindow.h
		Fix warning icon
	* src/inc.c
	* src/mbox.c
	* src/mbox.h
		Let proc_mbox know its account, for
		account-specific rules

2006-09-01 [colin]	2.4.0cvs127

	* src/codeconv.c
		Don't uselessly use iconv to convert from
		us-ascii
	* src/alertpanel.c
	* src/mainwindow.c
	* src/mainwindow.h
	* src/inc.c
		Fix certain log cases, disable warning icon
		for now, the correct way to display it when
		necessary and only when necessary is probably
		to do it manually rather than use error logs
	* src/etpan/imap-thread.c
		Clean up UID logging a bit
	* src/gtk/logwindow.c
	* src/gtk/logwindow.h
		Make logging faster when the window's closed

2006-09-01 [wwp]	2.4.0cvs126

	* manual/fr/account.xml
		reflect changes to the ref. manual (parts of cvs72):
		fix tabnames and quotes.

2006-09-01 [wwp]	2.4.0cvs125

	* manual/fr/plugins.xml
		reflect changes to the reference manual (cvs42):
		update IRC channel info.

2006-09-01 [wwp]	2.4.0cvs124

	* commitHelper
		use CVSEDITOR env. var. if set, according to `man cvs`.

2006-09-01 [wwp]	2.4.0cvs123

	* manual/advanced.xml
		better sentence again (thanks to Paul).

2006-09-01 [wwp]	2.4.0cvs122

	* manual/advanced.xml
	fix definition of toolbar_detachable and rework a bit the one of
	enable_dotted_lines.

2006-09-01 [mones]	2.4.0cvs121

	* manual/advanced.xml
		Document enable_dotted_lines

2006-09-01 [paul]	2.4.0cvs120

	* src/folderview.c
	* src/folderview.h
	* src/imap.c
	* src/mainwindow.c
	* src/summaryview.c
		obey the 'When entering folder...' option
		when using the /View/Go to/... menu items
		Thanks to Colin

2006-08-31 [colin]	2.4.0cvs119

	* src/folderview.c
		Revert 2.4.0cvs116, wrong fix.

2006-08-31 [colin]	2.4.0cvs118

	* src/gtk/gtksctree.c
		Better state the various copyrights

2006-08-31 [colin]	2.4.0cvs117

	* src/prefs_common.c
		fix enable_dotted_lines

2006-08-31 [colin]	2.4.0cvs116

	* src/folderview.c
		Use pref "Always open on select" when going
		to next unread folder
	* src/gtk/gtksctree.c
		Fix link failure to _gtk_clist_create_cell_layout
		on certain computers. (Why not mine, I wonder)

2006-08-31 [colin]	2.4.0cvs115

	* src/procmsg.c
	* src/textview.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/spamassassin/spamassassin.c
		Requalify some "errors" to warnings
	* src/mainwindow.c
	* src/mainwindow.h
	* src/statusbar.c
		Add an icon in the statusbar to notify
		of errors
	* src/gtk/gtksctree.c
	* src/folderview.c
	* src/summaryview.c
		Make the GtkSCTree look more modern by
		alternating background lines
	* src/prefs_common.c
	* src/prefs_common.h
		Add a pref to let people have the old
		way if they prefer


2006-08-30 [colin]	2.4.0cvs114

	* src/procmsg.c
	* src/procmsg.h
		Provide a way to filter a list of
		messages in an optimised manner, and
		add a list-filtering hook
	* src/folder.c
	* src/inc.c
	* src/mbox.c
		Use the list filtering
	* src/plugins/bogofilter/bogofilter.c
		Use the list-filtering hook
		Use -b (bulk) mode for more speed
		when learning and filtering
	* src/etpan/imap-thread.c
		Make log output shorter in UID SEARCH


2006-08-30 [colin]	2.4.0cvs113

	* src/plugins/bogofilter/bogofilter.c
		Really fast mass learning - thanks to David
		Relson for the options explanations :)

2006-08-30 [colin]	2.4.0cvs112

	* src/msgcache.c
		Fix compilation on FreeBSD. Thanks
		to Michael Hugues

2006-08-29 [colin]	2.4.0cvs111

	* src/folderview.c
		Handle "popup_menu" signal (for popping the 
		menu via the keyboard)
	* src/mimeview.c
	* src/mimeview.h
	* src/summaryview.c
	* src/textview.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
		Factorize scrolling code, and add an API 
		for MimeViewers to handle scroll orders

2006-08-29 [wwp]	2.4.0cvs110

	* src/plugins//bogofilter/bogofilter.c
	* src/plugins//spamassassin/spamassassin.c
		make the bogofilter/spamassassin filtering error dialogs at
        incorporation obey to the "don't popup error dialog on
        receive error" option. If disabled, feed the log window w/
        the error message.

2006-08-29 [paul]

	2.5.0-rc2 released

2006-08-29 [paul]	2.4.0cvs109

	* Makefile.am
		remove 'make release', it's not needed
		since we use 'AUTOMAKE_OPTIONS = dist-bzip2'

2006-08-29 [paul]	2.4.0cvs108

	* src/foldersel.c
	* src/summary_search.c
	* src/gtk/progressdialog.c
	* src/plugins/pgpcore/passphrase.c
		replace deprecated gtk_window_set_policy()

2006-08-29 [colin]	2.4.0cvs107

	* src/folder.c
		Fix data loss when copy fails during a move:
		only use fast remove_msgs if everything was
		copied OK; else use slow remove_msg on the
		mails that got copied only.

2006-08-28 [paul]	2.4.0cvs106

	* src/mh.c
		revert change in 2.4.0cvs104, it breaks
		stuff

2006-08-28 [paul]	2.4.0cvs105

	* src/plugins/spamassassin/spamassassin.c
		english fix

2006-08-28 [paul]	2.4.0cvs104

	* src/mh.c
		fix data loss when moving to another
		mailbox fails
	* src/prefs_spelling.c
		improve the english
	* src/gtk/pluginwindow.c
		improve the layout of the dialog text
	All thanks to Colin

2006-08-28 [paul]	2.4.0cvs103

	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter_gtk.c
		fix english up a bit, innit

2006-08-28 [paul]	2.4.0cvs102

	* configure.ac
	* po/Makefile.in.in
	* po/Makevars
		require autoconf 2.60, enabling building
		with gettext 0.15 (gettext 0.14.x build still
		possible). Replace Makefiles with versions
		from gettext 0.15.
		Remove configure options --with-localedir and
		--with-mandir. The options that are provided
		directly by autoconf 2.60 can be used instead:
		--mandir --localedir

2006-08-27 [colin]	2.4.0cvs101

	* src/plugins/bogofilter/Makefile.am
		Fix make dist (no README)

2006-08-27 [colin]	2.4.0cvs100

	* src/folder.c
		Don't use F_UNKNOWN folders for any default
		outbox/trash/etc
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
		Add an option to specify the path to bogofilter
		Use single-quotes to be able to learn in folders
		with spaces in their names
		Verify learning status

2006-08-27 [colin]	2.4.0cvs99

	* manual/faq.xml
	* manual/plugins.xml
		Document Bogofilter plugin

2006-08-27 [colin]	2.4.0cvs98

	* src/compose.c
	* src/messageview.c
	* src/procmsg.c
	* src/procmsg.h
		When possible, copy the queued mail to sent folder
		instead of re-adding. Much faster on IMAP.

2006-08-27 [colin]	2.4.0cvs97

	* src/msgcache.c
		Disable mmaped caches - huge metadata loss
		here after a power failure.
	* src/summaryview.c
		Add quicksearch timing
	* src/common/plugin.c
	* src/common/plugin.h
		Implement an interface to tell what plugins
		provide. Prevent loading of similar plugins.
	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/demo/demo.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/trayicon/trayicon.c
		Implement plugin_provides()

2006-08-27 [colin]	2.4.0cvs96

	* configure.ac
	* src/plugins/Makefile.am
	* src/plugins/bogofilter/.cvsignore
	* src/plugins/bogofilter/Makefile.am
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter.h
	* src/plugins/bogofilter/bogofilter_gtk.c
		New Bogofilter plugin, provides filtering and
		learning. Spamassassin will go to extra plugins.

2006-08-26 [mones]	2.4.0cvs95

	* manual/handling.xml
		Fix subfolder path in the example (thanks to Paul) 

2006-08-26 [mones]	2.4.0cvs94

	* manual/glossary.xml
		2.2. + add ISP to the glossary
		7.5. + Add UIDL to glossary
		7.7. + Add TCP to glossary
	* manual/handling.xml
		7.1. + Mentions GNU/Linux distribution, what about the non...
		7.2. = s/html/HTML/, quote --local option -> Dillo HTML Viewer
		7.3. + Mentions .bashrc, what about the non-bash ones? 
		7.4. = Use appropriate quotation for commands
		7.6. = change "" to <quote></quote>
	* manual/plugins.xml
		6.1. + Example #mh/Mailbox/Friends -> #mh/inbox/Friends		
	* manual/starting.xml
		2.1. + local mbox file: some examples of mbox file locations...
		Also reformatted files requiring it

2006-08-26 [wwp]	2.4.0cvs93

	* src/summary_search.c
		disable find buttons while summary search is running.

2006-08-25 [colin]	2.4.0cvs92

	* src/folder.c
	* src/folderutils.c
	* src/mh.c
	* src/procmsg.h
	* src/summaryview.c
		Speed up MH moving, and add progressbar
		for MH deletion
	* src/msgcache.c
		Write cache files using mmap() too

2006-08-25 [wwp]	2.4.0cvs91

	* src/summaryview.c
		switch spam<->ham button when a message has been marked as spam or ham
		and is still selected. Thanks to Colin.

2006-08-25 [paul]	2.4.0cvs90

	* src/Makefile.am
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/summaryview.c
	* src/gtk/icon_legend.c
	* src/pixmaps/copied.xpm
	* src/pixmaps/moved.xpm
		add icons for delayed execution marked for
		copying, marked for moving

2006-08-25 [mones]	2.4.0cvs89

	* manual/glossary.xml
		Fix the other glossary items:
		5.1. = Inmmediate execution -> <quote>immediate execution...
		5.2. = Fix MBOX capitalization -> Mbox
		5.3. + Improve Plugins def. w/ tech. ref.
		5.4. = Quotation -> replace '>' by <quote>></quote>
		5.5. - SMTP Server. -> remove dot
	* po/es.po
		Updated translation

2006-08-25 [mones]	2.4.0cvs88

	* manual/ack.xml
		Reformatted, changed email address
	* manual/glossary.xml
		Reformatted, fixed MANUAL-TODO items:
		8.2. + add ROT-13 to glossary
		8.4. + add URL to glossary
	* manual/es/advanced.xml
		Fixed <literal>s

2006-08-25 [paul]	2.4.0cvs87

	* src/gtk/icon_legend.c
		add 'marked for deletion' icon
		arrange icons by containing column
		wrap long label text

2006-08-25 [colin]	2.4.0cvs86

	* src/common/utils.c
	* src/common/utils.h
		Add the sc_g_*list_bigger functions in
		a place everyone can use it
	* src/summaryview.c
		Only freeze/thaw the list when working
		on the selection, if it's bigger than 1
	* src/gtk/gtksctree.c
		Only freeze/thaw the list when unselec-
		ting 'all' if ('all' != 1)
		This avoids some flickering

2006-08-24 [colin]	2.4.0cvs85

	* src/addressbook.c
		Fix strange list selection
		Fix random seg (Invalid read of freed memory)

2006-08-24 [colin]	2.4.0cvs84

	* src/alertpanel.c
	* src/gtk/inputdialog.c
	* src/plugins/pgpcore/passphrase.c
		Revert minimal width patch of 2.4.0cvs67,
		as it is also a maximal width. Use 
		gtk_window_set_default_size instead.

2006-08-24 [colin]	2.4.0cvs83

	* src/msgcache.c
		Write cache/mark to temp files before
		overwriting old ones (avoids metadata
		loss if writing the new files fail).
		Use mmap() to read cache/mark file, as
		this makes cache reading faster. Dis-
		abled for big-endian machines until it
		can be tested. (Big-endian users: set
		msgcache_use_mmap = TRUE in the relevant
		#if).
	* src/procmsg.h
		Move rarely used fields of MsgInfo in 
		another structure, which will only be
		allocated if needed. Face, X-Face,
		Return receipt headers and List-*
		headers are moved. Mails having none
		of these occupy 52 bytes less with
		this patch, which makes 2.5MB of RAM
		saved on a 50k folder).
	* src/headerview.c
	* src/mainwindow.c
	* src/messageview.c
	* src/partial_download.c
	* src/procheader.c
	* src/procmsg.c
	* src/textview.c
		Follow this structure change.

2006-08-24 [wwp]	2.4.0cvs82

	* manual/es/.cvsignore
	* manual/es/dist/.cvsignore
	* manual/es/dist/html/.cvsignore
	* manual/es/dist/pdf/.cvsignore
	* manual/es/dist/ps/.cvsignore
	* manual/es/dist/txt/.cvsignore
		more (generated) files to ignore.

2006-08-24 [colin]	2.4.0cvs81

	* src/folder.c
	* src/mh.c
		Fix possible problems with local delivery. Check the folder doesn't
		need scan before setting its mtime when saving cache (which can be
		done long after the folder's been modified by an external process);
		Check that the stored item's mtime didn't change in mh functions.

2006-08-24 [mones]	2.4.0cvs80

	* manual/advanced.xml
		Rewrapping, some fixes and MANUAL-TODO items:
		8.1. = change "" to <quote></quote>
		8.3. = quote menu items
		8.5. - deploying -> new user ... ideally a new user (redundant)

2006-08-23 [colin]	2.4.0cvs79

	* src/gtk/gtksctree.c
		When selecting or deselecting range, only
		freeze/thaw when selection is bigger than 10

2006-08-23 [colin]	2.4.0cvs78

	* src/messageview.c
	* src/mimeview.c
	* src/mimeview.h
	* src/plugins/dillo_viewer/dillo_viewer.c
		Provide an API for MimeViewer plugins to
		return a text selection for replying

2006-08-23 [colin]	2.4.0cvs77

	* src/image_viewer.c
	* src/textview.c
		Use gtk_pixbuf_new_from_file_at_scale(), which
		is faster than getting the pixbuf then resizing
		it.

2006-08-23 [colin]	2.4.0cvs76

	* src/procmime.c
		UTF-8 should be sent Quoted-printable

2006-08-22 [colin]	2.4.0cvs75

	* src/mh.c
		Check if scan is required before touching
